
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest4 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test001"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(262144.03f, 35, 338087802);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test002"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.5688328859678227d, 0.8248501627407815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test003"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-0.9011603057788997d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test004"); }


    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer1 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(6);
    java.util.List list2 = cMAESOptimizer1.getStatisticsFitnessHistory();
    java.util.List list3 = cMAESOptimizer1.getStatisticsMeanHistory();
    java.util.List list4 = cMAESOptimizer1.getStatisticsSigmaHistory();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test005"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.01960274855203177d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1400098159131415d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test006"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.4429658943484902d, 0.9969049100849814d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4429658943484902d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test007"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1259122480, 100);
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException4 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(short)(-1));
    java.lang.Number number5 = notStrictlyPositiveException4.getMin();
    java.lang.Number number6 = notStrictlyPositiveException4.getMin();
    dimensionMismatchException2.addSuppressed((java.lang.Throwable)notStrictlyPositiveException4);
    java.lang.Number number8 = notStrictlyPositiveException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0+ "'", number6.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0+ "'", number8.equals(0));

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test008"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.5919414385456868d, 1.546119097410702d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.546119097410702d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test009"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(2.6457513110645907d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 14.094030107067814d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test010"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.07739182480844334d, 0.019412197539976417d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.07739182480844334d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test011"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.9999999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8414709848078964d));

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test012"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.8414222155717918d, 1.546119097410702d, (-0.24842778679675914d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test013"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0787171938695459d, 0.5669767943827976d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.23664486374856172d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test014"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1452076054732987038L, (java.lang.Number)0.417022f, true);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test015"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.13436424090271992d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.13477185760395305d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test016"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair3 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 0.07861679367956467d, true);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test017"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.VECTOR_MUST_HAVE_AT_LEAST_ONE_ELEMENT;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.9179488867871778E-9d, (java.lang.Number)0.0f, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = numberIsTooLargeException4.getContext();
    boolean b7 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test018"); }


    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker2 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array5 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer6 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair9 = new org.apache.commons.math3.optimization.PointValuePair(d_array5, 10.0d, true);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array5, 0.0d, true);
    java.lang.Object obj13 = pointValuePair12.getSecond();
    double[] d_array14 = pointValuePair12.getPoint();
    double[] d_array15 = pointValuePair12.getPoint();
    double[] d_array17 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer18 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array17);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair21 = new org.apache.commons.math3.optimization.PointValuePair(d_array17, 10.0d, true);
    boolean b22 = simpleValueChecker2.converged(12, pointValuePair12, pointValuePair21);
    double d23 = simpleValueChecker2.getRelativeThreshold();
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker27 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double d28 = simpleValueChecker27.getAbsoluteThreshold();
    double[] d_array32 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair35 = new org.apache.commons.math3.optimization.PointValuePair(d_array32, 0.0d, false);
    java.lang.Object obj36 = pointValuePair35.getSecond();
    double[] d_array37 = pointValuePair35.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator43 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker47 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array50 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer51 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array50);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair54 = new org.apache.commons.math3.optimization.PointValuePair(d_array50, 10.0d, true);
    double[] d_array56 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair59 = new org.apache.commons.math3.optimization.PointValuePair(d_array56, 0.0d, false);
    java.lang.Object obj60 = pointValuePair59.getSecond();
    boolean b61 = simpleValueChecker47.converged(1, pointValuePair54, pointValuePair59);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer62 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array37, 0, 2.718281828459045d, true, 10, 0, randomGenerator43, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker47);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair64 = new org.apache.commons.math3.optimization.PointValuePair(d_array37, 1.9179488867871778E-9d);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair66 = new org.apache.commons.math3.optimization.PointValuePair(d_array37, 0.9999999999999999d);
    double[] d_array67 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair69 = new org.apache.commons.math3.optimization.PointValuePair(d_array67, (-0.37480524448791047d));
    double[] d_array70 = pointValuePair69.getPoint();
    boolean b71 = simpleValueChecker27.converged(100, pointValuePair66, pointValuePair69);
    java.lang.Object obj72 = pointValuePair66.getFirst();
    java.lang.Object obj73 = pointValuePair66.getSecond();
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker76 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array79 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer80 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array79);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair83 = new org.apache.commons.math3.optimization.PointValuePair(d_array79, 10.0d, true);
    double[] d_array85 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair88 = new org.apache.commons.math3.optimization.PointValuePair(d_array85, 0.0d, false);
    java.lang.Object obj89 = pointValuePair88.getSecond();
    boolean b90 = simpleValueChecker76.converged(1, pointValuePair83, pointValuePair88);
    java.lang.Object obj91 = pointValuePair83.getSecond();
    boolean b92 = simpleValueChecker2.converged(25022203, pointValuePair66, pointValuePair83);
    double[] d_array93 = pointValuePair83.getPointRef();
    double[] d_array94 = pointValuePair83.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj13 + "' != '" + 0.0d+ "'", obj13.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj36 + "' != '" + 0.0d+ "'", obj36.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj60 + "' != '" + 0.0d+ "'", obj60.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj73 + "' != '" + 0.9999999999999999d+ "'", obj73.equals(0.9999999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj89 + "' != '" + 0.0d+ "'", obj89.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b90 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj91 + "' != '" + 10.0d+ "'", obj91.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test019"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-26.438424705757555d), 0.9969161416789952d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test020"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getCount();
    int i3 = incrementor0.getCount();
    incrementor0.resetCount();
    boolean b5 = incrementor0.canIncrement();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test021"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-0.22341083056640654d), 0.5996045770523841d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.22341083056640654d);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test022"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    boolean b4 = incrementor0.canIncrement();
    int i5 = incrementor0.getMaximalCount();
    int i6 = incrementor0.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test023"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.0011195160246724935d, 8.881784197001252E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-3.684118982105744E-16d));

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test024"); }


    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker2 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double d3 = simpleValueChecker2.getAbsoluteThreshold();
    double[] d_array7 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair10 = new org.apache.commons.math3.optimization.PointValuePair(d_array7, 0.0d, false);
    java.lang.Object obj11 = pointValuePair10.getSecond();
    double[] d_array12 = pointValuePair10.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator18 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker22 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer26 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair29 = new org.apache.commons.math3.optimization.PointValuePair(d_array25, 10.0d, true);
    double[] d_array31 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair34 = new org.apache.commons.math3.optimization.PointValuePair(d_array31, 0.0d, false);
    java.lang.Object obj35 = pointValuePair34.getSecond();
    boolean b36 = simpleValueChecker22.converged(1, pointValuePair29, pointValuePair34);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer37 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array12, 0, 2.718281828459045d, true, 10, 0, randomGenerator18, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker22);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair39 = new org.apache.commons.math3.optimization.PointValuePair(d_array12, 1.9179488867871778E-9d);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair41 = new org.apache.commons.math3.optimization.PointValuePair(d_array12, 0.9999999999999999d);
    double[] d_array42 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair44 = new org.apache.commons.math3.optimization.PointValuePair(d_array42, (-0.37480524448791047d));
    double[] d_array45 = pointValuePair44.getPoint();
    boolean b46 = simpleValueChecker2.converged(100, pointValuePair41, pointValuePair44);
    double d47 = simpleValueChecker2.getRelativeThreshold();
    double d48 = simpleValueChecker2.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj11 + "' != '" + 0.0d+ "'", obj11.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj35 + "' != '" + 0.0d+ "'", obj35.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test025"); }


    int[] i_array1 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister2 = new org.apache.commons.math3.random.MersenneTwister(i_array1);
    long long3 = mersenneTwister2.nextLong();
    double d4 = mersenneTwister2.nextGaussian();
    mersenneTwister2.setSeed(4);
    // The following exception was thrown during execution in test generation
    try {
      int i8 = mersenneTwister2.nextInt(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 2478582838207141962L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.421885651896664d);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test026"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.75672764f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.7567277f);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test027"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_POPULATION_SIZE;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)(byte)0, (java.lang.Number)0.9999097435d, (java.lang.Number)0.942795626548638d);
    java.lang.Number number5 = outOfRangeException4.getHi();
    java.lang.Throwable[] throwable_array6 = outOfRangeException4.getSuppressed();
    java.lang.Number number7 = outOfRangeException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.942795626548638d+ "'", number5.equals(0.942795626548638d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.942795626548638d+ "'", number7.equals(0.942795626548638d));

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test028"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(18.714973875118524d, 0.0d, 0.0787793632982978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test029"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(183.87023772979413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2645114375808335d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test030"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_COMPUTE_NTH_ROOT_FOR_NEGATIVE_N;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_NORMALIZE_A_ZERO_NORM_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException5 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = mathUnsupportedOperationException5.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = mathUnsupportedOperationException5.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = mathUnsupportedOperationException5.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math3.exception.util.LocalizedFormats.INSUFFICIENT_ROWS_AND_COLUMNS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_MEAN;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException17 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats14, obj_array16);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException18 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, (java.lang.Number)(short)(-1), obj_array16);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, obj_array16);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, obj_array16);
    exceptionContext8.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats9, obj_array16);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException22 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array16);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math3.exception.util.LocalizedFormats.OVERFLOW_IN_SUBTRACTION;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_SUBSTITUTE_ELEMENT_FROM_EMPTY_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException29 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats25, (java.lang.Number)(-1L), (java.lang.Number)0.8813735870195429d, false);
    java.lang.Throwable[] throwable_array30 = numberIsTooSmallException29.getSuppressed();
    java.lang.Object[] obj_array31 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array30);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException32 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats24, obj_array31);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException33 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats23, obj_array31);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array31);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException35 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array31);
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException37 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.2512042086078805d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test031"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)0.2975721555599507d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test032"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array1, 10.0d, true);
    java.lang.Object obj6 = pointValuePair5.getValue();
    java.lang.Object obj7 = pointValuePair5.getFirst();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj6 + "' != '" + 10.0d+ "'", obj6.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj7);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test033"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-4755415987172432967L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 4755415987172432967L);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test034"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.46885622f, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.46885622f);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test035"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(0);
    incrementor0.incrementCount((-1));
    incrementor0.resetCount();
    boolean b7 = incrementor0.canIncrement();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount(5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test036"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.80226517f, 2.9802322E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.9802322E-8f);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test037"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair4 = new org.apache.commons.math3.optimization.PointValuePair(d_array1, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException5 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b6 = pointValuePair4.equals((java.lang.Object)mathUnsupportedOperationException5);
    org.apache.commons.math3.util.Pair pair7 = new org.apache.commons.math3.util.Pair((org.apache.commons.math3.util.Pair)pointValuePair4);
    java.lang.Object obj8 = pair7.getKey();
    java.lang.Object obj9 = pair7.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj9 + "' != '" + 0.0d+ "'", obj9.equals(0.0d));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test038"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8445897050863588844L);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister2 = new org.apache.commons.math3.random.MersenneTwister();
    mersenneTwister2.setSeed(10);
    int[] i_array5 = null;
    org.apache.commons.math3.random.MersenneTwister mersenneTwister6 = new org.apache.commons.math3.random.MersenneTwister(i_array5);
    byte[] byte_array7 = new byte[] {  };
    mersenneTwister6.nextBytes(byte_array7);
    mersenneTwister2.nextBytes(byte_array7);
    mersenneTwister1.nextBytes(byte_array7);
    int i12 = mersenneTwister1.nextInt(6);
    int i14 = mersenneTwister1.nextInt(61373301);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 30409061);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test039"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.14288697588932528d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1428869758893253d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test040"); }


    float f3 = org.apache.commons.math3.util.Precision.round(0.07871712f, 32, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 0.07871712f);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test041"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.4170220046815991d, 0.0787171938695459d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test042"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.5868885f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test043"); }


    double[] d_array1 = null;
    org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister((-1L));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer10 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(6, d_array1, (-1937831252), 0.0787171938695459d, false, 12, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister8, false);
    int i11 = cMAESOptimizer10.getMaxEvaluations();
    java.util.List list12 = cMAESOptimizer10.getStatisticsSigmaHistory();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list12);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test044"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.9999699135948174d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test045"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(8.881785E-16f, 1.129844064579523d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 8.881786E-16f);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test046"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(6.486979552993428d, 3.746277901605317d, 0.9998039600078416d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test047"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(10.248381178277313d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7763568394002505E-15d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test048"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.5978457819086704d);
    java.lang.String str3 = notStrictlyPositiveException2.toString();
    java.lang.Throwable[] throwable_array4 = notStrictlyPositiveException2.getSuppressed();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.TOO_MANY_REGRESSORS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException9 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats6, obj_array8);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException14 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, obj_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats6, (java.lang.Number)100.0d, obj_array13);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException16 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array13);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math3.exception.util.LocalizedFormats.SCALE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { localizedFormats18 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats17, obj_array19);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext21 = mathArithmeticException20.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math3.exception.util.LocalizedFormats.CLASS_DOESNT_IMPLEMENT_COMPARABLE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math3.exception.util.LocalizedFormats.DENOMINATOR_FORMAT;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { localizedFormats23 };
    exceptionContext21.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats22, obj_array24);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_ZERO_LENGTH_OR_NULL_NOT_ALLOWED;
    org.apache.commons.math3.util.Pair pair27 = new org.apache.commons.math3.util.Pair((java.lang.Object)obj_array24, (java.lang.Object)localizedFormats26);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, (org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array24);
    java.lang.Object[] obj_array30 = null;
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException31 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, (java.lang.Number)229.1831180523293d, obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math3.exception.NotStrictlyPositiveException: sample size (0.598) exceeds collection size (0)"+ "'", str3.equals("org.apache.commons.math3.exception.NotStrictlyPositiveException: sample size (0.598) exceeds collection size (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test049"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.14419822448985647d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.14320702369648894d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test050"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-11.97555557998987d), 0.6071942147295133d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-11.975555579989868d));

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test051"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(-1.1102230246251565E-16d), (java.lang.Number)0.8965250437166541d, false);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test052"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)5935515629882433952L);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test053"); }


    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer1 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(100);
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction3 = null;
    org.apache.commons.math3.optimization.GoalType goalType4 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    double[] d_array8 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer9 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array8);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 10.0d, true);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair15 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 0.0d, true);
    java.lang.Object obj16 = pointValuePair15.getSecond();
    double[] d_array17 = pointValuePair15.getPoint();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer18 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(100, d_array17);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer19 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(1, d_array17);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker22 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer26 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair29 = new org.apache.commons.math3.optimization.PointValuePair(d_array25, 10.0d, true);
    double[] d_array31 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair34 = new org.apache.commons.math3.optimization.PointValuePair(d_array31, 0.0d, false);
    java.lang.Object obj35 = pointValuePair34.getSecond();
    boolean b36 = simpleValueChecker22.converged(1, pointValuePair29, pointValuePair34);
    java.lang.Object obj37 = pointValuePair29.getSecond();
    double[] d_array38 = pointValuePair29.getPointRef();
    double[] d_array39 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair40 = cMAESOptimizer1.optimize(868, multivariateFunction3, goalType4, d_array17, d_array38, d_array39);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj16 + "' != '" + 0.0d+ "'", obj16.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj35 + "' != '" + 0.0d+ "'", obj35.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj37 + "' != '" + 10.0d+ "'", obj37.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test054"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)1.7182445209284818d, (java.lang.Number)0.9960820816966968d, (java.lang.Number)7.295817015018361E-104d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = outOfRangeException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test055"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.OVERFLOW_IN_FRACTION;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.SCALE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { localizedFormats2 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array3);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = mathArithmeticException4.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math3.exception.util.LocalizedFormats.CLASS_DOESNT_IMPLEMENT_COMPARABLE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math3.exception.util.LocalizedFormats.DENOMINATOR_FORMAT;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { localizedFormats7 };
    exceptionContext5.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats6, obj_array8);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException13 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, obj_array12);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException18 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats15, obj_array17);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException19 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, (java.lang.Number)100.0d, obj_array17);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_SIZE_EXCEEDS_MAX_VARIABLES;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math3.exception.util.LocalizedFormats.TOO_MANY_REGRESSORS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException25 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats22, obj_array24);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats27 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array29 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException30 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats27, obj_array29);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException31 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats22, (java.lang.Number)100.0d, obj_array29);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException32 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats21, obj_array29);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException33 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats20, obj_array29);
    exceptionContext5.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, obj_array29);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException35 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array29);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException37 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.040345155231971574d);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException41 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)Double.NEGATIVE_INFINITY, (java.lang.Number)2.3025850929940463d, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test056"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(1259122480, 655267105);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 655267105);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test057"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.19607811912140044d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7075708677041361d));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test058"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(6.496782061140671d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test059"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)0.8813735870195429d, (java.lang.Number)1.5607966601082315d, false);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.NUMERATOR;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException6 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, (java.lang.Number)(-0.6008140850926206d));
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)notStrictlyPositiveException6);
    java.lang.Number number8 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 1.5607966601082315d+ "'", number8.equals(1.5607966601082315d));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test060"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 0.40971674410908043d, 1937831252);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test061"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(Float.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test062"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)33526.42606862925d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test063"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(211235929750981552L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 211235929750981552L);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test064"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance((-0.4013125264871905d), 0.0d, 6.513011550775108E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test065"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)0.15739600582033475d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test066"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(1.1102230246251565E-16d, 43, 93740670);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test067"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.0012424502554025177d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test068"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.COVARIANCE_MATRIX;
    org.apache.commons.math3.util.Pair pair2 = new org.apache.commons.math3.util.Pair((java.lang.Object)localizedFormats0, (java.lang.Object)99.99999999999999d);
    java.lang.Object obj3 = pair2.getSecond();
    java.lang.Object obj4 = pair2.getFirst();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj3 + "' != '" + 99.99999999999999d+ "'", obj3.equals(99.99999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test069"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 0, 18);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test070"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.0787171938695459d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.996903401169711d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test071"); }


    double d2 = org.apache.commons.math3.util.Precision.round(0.9999886716396943d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test072"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0d, 1.000000000849637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test073"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(338087802);
    long long2 = mersenneTwister1.nextLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1825391535028608260L);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test074"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.15071714f, 1.0000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.15071714f);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test075"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.4429658943484902d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.20123515364332d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test076"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.9999346490652955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test077"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(100, 868);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test078"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(6.486979552993428d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test079"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.49543508531097236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5159532007013735d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test080"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(2.2305876242860343d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2890409332159725d));

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test081"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1L, (java.lang.Number)(byte)1, true);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test082"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.7182445209284818d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8770571561010145d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test083"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.008149317309066902d, 0.761511811895975d, 0.9999097435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test084"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.71518934f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test085"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.07746929009946406d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4262946269058196d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test086"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(867.7721f, 143, 61373301);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test087"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-1.7855426166875177d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test088"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(8.881784E-16f, 0.063106775f, 2.980232E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test089"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-12.944289813551192d), 1.5573607112098173d, 1.000000000849637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test090"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(1.2469769073459873d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.479807260525049d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test091"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.46885622f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.46885622f);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test092"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    org.apache.commons.math3.optimization.GoalType goalType3 = cMAESOptimizer2.getGoalType();
    int i4 = cMAESOptimizer2.getMaxEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker5 = cMAESOptimizer2.getConvergenceChecker();
    java.util.List list6 = cMAESOptimizer2.getStatisticsSigmaHistory();
    java.util.List list7 = cMAESOptimizer2.getStatisticsFitnessHistory();
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction9 = null;
    org.apache.commons.math3.optimization.GoalType goalType10 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker13 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array16 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer17 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array16);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair20 = new org.apache.commons.math3.optimization.PointValuePair(d_array16, 10.0d, true);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair23 = new org.apache.commons.math3.optimization.PointValuePair(d_array16, 0.0d, true);
    java.lang.Object obj24 = pointValuePair23.getSecond();
    double[] d_array25 = pointValuePair23.getPoint();
    double[] d_array26 = pointValuePair23.getPoint();
    double[] d_array28 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer29 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array28);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair32 = new org.apache.commons.math3.optimization.PointValuePair(d_array28, 10.0d, true);
    boolean b33 = simpleValueChecker13.converged(12, pointValuePair23, pointValuePair32);
    double[] d_array34 = pointValuePair23.getPointRef();
    org.apache.commons.math3.optimization.PointValuePair pointValuePair37 = new org.apache.commons.math3.optimization.PointValuePair(d_array34, 1.0816326530612246d, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair38 = cMAESOptimizer2.optimize(10, multivariateFunction9, goalType10, d_array34);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj24 + "' != '" + 0.0d+ "'", obj24.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test093"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.FRACTION;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test094"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.4142135623730951d, 0.0012424502554025177d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0004306931674392d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test095"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.2695308703424027d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2631882554511558d);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test096"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.9957129102214886d, 0.7151893652121089d, 0.8813735870195429d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test097"); }


    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer1 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(6);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = cMAESOptimizer1.getConvergenceChecker();
    java.util.List list3 = cMAESOptimizer1.getStatisticsDHistory();
    java.util.List list4 = cMAESOptimizer1.getStatisticsSigmaHistory();
    int i5 = cMAESOptimizer1.getMaxEvaluations();
    java.util.List list6 = cMAESOptimizer1.getStatisticsDHistory();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test098"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.0d, 0.0d, 1.0025811062437018d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test099"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.VECTOR_MUST_HAVE_AT_LEAST_ONE_ELEMENT;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.9179488867871778E-9d, (java.lang.Number)0.0f, false);
    java.lang.Number number5 = numberIsTooLargeException4.getArgument();
    java.lang.Number number6 = numberIsTooLargeException4.getMax();
    java.lang.Number number7 = numberIsTooLargeException4.getArgument();
    java.lang.Number number8 = numberIsTooLargeException4.getMax();
    java.lang.Number number9 = numberIsTooLargeException4.getMax();
    java.lang.Number number10 = numberIsTooLargeException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.9179488867871778E-9d+ "'", number5.equals(1.9179488867871778E-9d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.0f+ "'", number6.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 1.9179488867871778E-9d+ "'", number7.equals(1.9179488867871778E-9d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0.0f+ "'", number8.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 0.0f+ "'", number9.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 1.9179488867871778E-9d+ "'", number10.equals(1.9179488867871778E-9d));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test100"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)2.8872709503576206d, number1, true);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test101"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)8.881784E-16f);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 8.881784E-16f+ "'", number2.equals(8.881784E-16f));

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test102"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(7.4505806E-9f, 0.54881346f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.4505806E-9f);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test103"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0f, 0.7151893652121089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test104"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(2.2305876242860343d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test105"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.016252620390376952d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01625118951096206d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test106"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.024899524253625075d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.025212106397722d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test107"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.3205004784536853d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.12073856289982111d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test108"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.1400098159131415d, (-0.19255353006279746d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test109"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException3 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array2);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException8 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array7);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)100.0d, obj_array7);
    java.lang.Number number10 = maxCountExceededException9.getMax();
    java.lang.Throwable[] throwable_array11 = maxCountExceededException9.getSuppressed();
    java.lang.Number number12 = maxCountExceededException9.getMax();
    java.lang.Number number13 = maxCountExceededException9.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 100.0d+ "'", number10.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 100.0d+ "'", number12.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 100.0d+ "'", number13.equals(100.0d));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test110"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.7291145f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test111"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.000000000849637d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test112"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.4510709309336693d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 83.14024011661863d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test113"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.1920928E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-24));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test114"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.7344359933146324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.084306098356293d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test115"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(1.20123515364332d, 53, (-7));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test116"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(4096.001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test117"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    org.apache.commons.math3.optimization.GoalType goalType3 = cMAESOptimizer2.getGoalType();
    int i4 = cMAESOptimizer2.getMaxEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker5 = cMAESOptimizer2.getConvergenceChecker();
    java.util.List list6 = cMAESOptimizer2.getStatisticsMeanHistory();
    java.util.List list7 = cMAESOptimizer2.getStatisticsSigmaHistory();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker8 = cMAESOptimizer2.getConvergenceChecker();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker9 = cMAESOptimizer2.getConvergenceChecker();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker10 = cMAESOptimizer2.getConvergenceChecker();
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction12 = null;
    org.apache.commons.math3.optimization.GoalType goalType13 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    double[] d_array14 = null;
    double[] d_array19 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister26 = new org.apache.commons.math3.random.MersenneTwister(8445897050863588844L);
    boolean b27 = mersenneTwister26.nextBoolean();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer29 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(93740670, d_array19, 0, 0.8022650594081673d, false, 338087802, (-1014580284), (org.apache.commons.math3.random.RandomGenerator)mersenneTwister26, false);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array19, 1.4711276743037347d);
    int[] i_array38 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister39 = new org.apache.commons.math3.random.MersenneTwister(i_array38);
    double d40 = mersenneTwister39.nextDouble();
    double d41 = mersenneTwister39.nextDouble();
    mersenneTwister39.clear();
    boolean b43 = mersenneTwister39.nextBoolean();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer45 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(1009701827, d_array19, 4, 10.0d, true, 93740670, (-1014580284), (org.apache.commons.math3.random.RandomGenerator)mersenneTwister39, false);
    double[] d_array46 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair47 = cMAESOptimizer2.optimize(25022203, multivariateFunction12, goalType13, d_array14, d_array19, d_array46);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.13436424090271992d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.8474337429145731d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test118"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(6.296254784542902E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.296254784626103E-6d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test119"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.44299309245913404d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4286455584935028d));

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test120"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)0.13436424090271992d, (java.lang.Number)10.0d, (java.lang.Number)1.0f);
    java.lang.Number number4 = outOfRangeException3.getLo();
    java.lang.Number number5 = outOfRangeException3.getLo();
    java.lang.Number number6 = outOfRangeException3.getHi();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = new org.apache.commons.math3.exception.util.ExceptionContext((java.lang.Throwable)outOfRangeException3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 10.0d+ "'", number4.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0d+ "'", number5.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1.0f+ "'", number6.equals(1.0f));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test121"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.15710723404658583d, 0.0d, (-0.0465662975014915d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test122"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.8965250437166541d, 1.2469769073459873d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8965250437166541d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test123"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.6777039475155267d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1882425739314122d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test124"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(4.326080659802649d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6360946126020629d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test125"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test126"); }


    float f2 = org.apache.commons.math3.util.Precision.round(7.478153f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.0f);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test127"); }


    double[] d_array2 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer3 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer12 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister10, false);
    byte[] byte_array16 = new byte[] { (byte)0, (byte)(-1), (byte)(-1) };
    mersenneTwister10.nextBytes(byte_array16);
    long long18 = mersenneTwister10.nextLong();
    double d19 = mersenneTwister10.nextGaussian();
    mersenneTwister10.setSeed(402613113023623976L);
    mersenneTwister10.clear();
    mersenneTwister10.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 8445897050863588844L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == (-0.5101594552843198d));

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test128"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.0d, 0.0d, (-0.7688412568142692d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test129"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-11.975555579989868d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 79412.28827820117d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test130"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(16.255810658840957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6101473418747816d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test131"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.546119097410702d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.026984868877779684d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test132"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.7567277f, (-3.4359738E10f), 338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test133"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(2.3025850929940463d, (-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test134"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.003105011664156d, (-1.2628074534869465d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test135"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.54881346f, (java.lang.Number)0.017396703343529156d, false);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test136"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.06440208633189615d, 0.6764386613548281d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1564205712720445d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test137"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.07879871521265389d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test138"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor((-50), maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test139"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.99627207622075d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7081671460884866d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test140"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.FUNCTION_NOT_POLYNOMIAL;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-1.0d), (java.lang.Number)0, (java.lang.Number)10L);
    java.lang.String str5 = localizedFormats0.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "function is not polynomial"+ "'", str5.equals("function is not polynomial"));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test141"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)0.07871713f, (java.lang.Number)0.9086743489308475d, false);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test142"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.5191427216538489d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4982677192846716d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test143"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair4 = new org.apache.commons.math3.optimization.PointValuePair(d_array1, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException5 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b6 = pointValuePair4.equals((java.lang.Object)mathUnsupportedOperationException5);
    boolean b8 = pointValuePair4.equals((java.lang.Object)8.881784197001252E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test144"); }


    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker2 = new org.apache.commons.math3.optimization.SimpleValueChecker(0.03052079489677639d, 0.0d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test145"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)1.1920929E-7f);
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 1.1920929E-7f+ "'", number2.equals(1.1920929E-7f));

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test146"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test147"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.UNPARSEABLE_REAL_VECTOR;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test148"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.0009877980461306d, number1, true);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test149"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.UNKNOWN_PARAMETER;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_PARSE_AS_TYPE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException5 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array4);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException6 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array4);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array4);
    java.util.Locale locale8 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = localizedFormats0.getLocalizedString(locale8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test150"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(10, 104289926);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 104289926);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test151"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(9.5367431640625E-7d, (-1882960991));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test152"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(5.298292365610484d, 1.1102230246251565E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.298292365610484d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test153"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(1825391535028608260L, 3063839374913541636L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1825391535028608260L);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test154"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(3.1166905557240625d, (-0.8414709848078964d), 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test155"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(6.486979552993428d, 0.16765036534441544d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.16765036534441524d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test156"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.0f, 0.16765036534441524d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.99999994f);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test157"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(53, 30000);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test158"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.9037510304058526d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.966828851383919d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test159"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.344058570908068E43d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.700888353141718E44d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test160"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(3.1166905557240625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2603196664946235d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test161"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.2695308703424027d, 4.722217422458345d, 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test162"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.0004306931674392d, (-1882960991));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test163"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor((-2133986319), maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test164"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.570645300200989d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test165"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.546119097410702d, (-0.6381276686402511d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.546119097410702d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test166"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-11.97555557998987d), 0.07839421769982352d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test167"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.7567276f, (java.lang.Number)0.9846573163722735d, true);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException3.getContext();
    java.util.Set set6 = exceptionContext5.getKeys();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set6);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test168"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array1, 10.0d, true);
    java.lang.Object obj6 = pointValuePair5.getKey();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj6);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test169"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.025212106397722d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test170"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(Float.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test171"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.017433852809413897d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test172"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.6925295610828424d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test173"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.351249872567267d, 0.0787793632982978d, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test174"); }


    double[] d_array2 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 0.0d, false);
    java.lang.Object obj6 = pointValuePair5.getSecond();
    double[] d_array7 = pointValuePair5.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator13 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker17 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array20 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer21 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array20);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair24 = new org.apache.commons.math3.optimization.PointValuePair(d_array20, 10.0d, true);
    double[] d_array26 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair29 = new org.apache.commons.math3.optimization.PointValuePair(d_array26, 0.0d, false);
    java.lang.Object obj30 = pointValuePair29.getSecond();
    boolean b31 = simpleValueChecker17.converged(1, pointValuePair24, pointValuePair29);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer32 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array7, 0, 2.718281828459045d, true, 10, 0, randomGenerator13, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker17);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair34 = new org.apache.commons.math3.optimization.PointValuePair(d_array7, 1.9179488867871778E-9d);
    double[] d_array35 = pointValuePair34.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj6 + "' != '" + 0.0d+ "'", obj6.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj30 + "' != '" + 0.0d+ "'", obj30.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test175"); }


    double[] d_array2 = new double[] { 10.0d };
    int[] i_array9 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(i_array9);
    byte[] byte_array14 = new byte[] { (byte)100, (byte)0, (byte)10 };
    mersenneTwister10.nextBytes(byte_array14);
    double[] d_array18 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer19 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array18);
    org.apache.commons.math3.optimization.GoalType goalType20 = cMAESOptimizer19.getGoalType();
    int i21 = cMAESOptimizer19.getMaxEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker22 = cMAESOptimizer19.getConvergenceChecker();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer23 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(30000, d_array2, 0, 0.0d, false, (-127), 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister10, false, convergenceChecker22);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException26 = new org.apache.commons.math3.exception.DimensionMismatchException(0, 0);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext27 = dimensionMismatchException26.getContext();
    java.util.Set set28 = exceptionContext27.getKeys();
    java.lang.Throwable throwable29 = exceptionContext27.getThrowable();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister32 = new org.apache.commons.math3.random.MersenneTwister(100L);
    int[] i_array34 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister35 = new org.apache.commons.math3.random.MersenneTwister(i_array34);
    mersenneTwister32.setSeed(i_array34);
    exceptionContext27.setValue("zero denominator in fraction {0}/{1}", (java.lang.Object)i_array34);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister38 = new org.apache.commons.math3.random.MersenneTwister(i_array34);
    mersenneTwister10.setSeed(i_array34);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister40 = new org.apache.commons.math3.random.MersenneTwister(i_array34);
    mersenneTwister40.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test176"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.80226517f, 0.80226517f, 7.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test177"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(4.326080659802649d, 2.3632256259657867d, 0.5370843467987593d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test178"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(1.1458403926387204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.1450833514239704d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test179"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.0d, 655267105);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test180"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)(-0.07871712f), (java.lang.Number)(-6), (java.lang.Number)2.3025850929940463d);
    java.lang.Number number4 = outOfRangeException3.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-6)+ "'", number4.equals((-6)));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test181"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.7004812735187379d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8369475930539128d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test182"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(3.469446951953614E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.469446951953614E-18d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test183"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException3 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array2);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = mathUnsupportedOperationException3.getContext();
    java.util.Set set5 = exceptionContext4.getKeys();
    java.util.Set set6 = exceptionContext4.getKeys();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set6);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test184"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)2.0d, (java.lang.Number)(-712.4446454973049d), false);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    java.lang.Number number5 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-712.4446454973049d)+ "'", number5.equals((-712.4446454973049d)));

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test185"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(1.9179488867871778E-9d, (-0.11244395313535784d), 0.01625118951096206d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test186"); }


    double[] d_array1 = null;
    org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister((-1L));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer10 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(6, d_array1, (-1937831252), 0.0787171938695459d, false, 12, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister8, false);
    org.apache.commons.math3.optimization.GoalType goalType11 = cMAESOptimizer10.getGoalType();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array12 = cMAESOptimizer10.getStartPoint();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType11);

  }

  @Test
  public void test187() {}
// Defects4J: flaky method
//   @Test
//   public void test187() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest4.test187"); }
// 
// 
//     int[] i_array0 = null;
//     org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(i_array0);
//     long long2 = mersenneTwister1.nextLong();
//     boolean b3 = mersenneTwister1.nextBoolean();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long2 == 7601525465616549971L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b3 == false);
// 
//   }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test188"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(11.11323642505115d, (-0.0465662975014915d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test189"); }


    float f2 = org.apache.commons.math3.util.Precision.round(0.0f, (-24));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test190"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.9987651424210936d, (-1937831252));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test191"); }


    float f2 = org.apache.commons.math3.util.Precision.round(0.0f, 53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test192"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.42451759467098804d, 1.2469769073459873d, 868);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test193"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-0.7906670417726677d), 1.1474293757792702E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7906670417726677d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test194"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(5.551115123125783E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test195"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.016252620390376952d, 0.5692038811360856d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5694358664238991d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test196"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_SUBSTITUTE_ELEMENT_FROM_EMPTY_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException5 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, (java.lang.Number)(-1L), (java.lang.Number)0.8813735870195429d, false);
    java.lang.Throwable[] throwable_array6 = numberIsTooSmallException5.getSuppressed();
    java.lang.Object[] obj_array7 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathArithmeticException8.getContext();
    java.lang.Throwable[] throwable_array10 = mathArithmeticException8.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test197"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum((-100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test198"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(6.036533944934105E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-30.43836130486142d));

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test199"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(5.9604645E-8f, 0.4245175f, (-5));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test200"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)4.9E-324d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test201"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(99.99999999999997d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 100.0d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test202"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.9841972395802795d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9841972395802796d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test203"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(1.1462158347805889d, 0.0d, 0.5367681330705697d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test204"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 0.0d, false);
    java.lang.Object obj7 = pointValuePair6.getSecond();
    double[] d_array8 = pointValuePair6.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator14 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker18 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer22 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array21);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair25 = new org.apache.commons.math3.optimization.PointValuePair(d_array21, 10.0d, true);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair30 = new org.apache.commons.math3.optimization.PointValuePair(d_array27, 0.0d, false);
    java.lang.Object obj31 = pointValuePair30.getSecond();
    boolean b32 = simpleValueChecker18.converged(1, pointValuePair25, pointValuePair30);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer33 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array8, 0, 2.718281828459045d, true, 10, 0, randomGenerator14, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker18);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair35 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 1.9179488867871778E-9d);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair37 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 0.9999999999999999d);
    double[] d_array38 = pointValuePair37.getPoint();
    double[] d_array46 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer47 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array46);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister54 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer56 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array46, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister54, false);
    int i57 = mersenneTwister54.nextInt();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer59 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(4, d_array38, 25022203, 1.4436354751788103d, true, (-1), 30000, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister54, false);
    java.util.List list60 = cMAESOptimizer59.getStatisticsMeanHistory();
    org.apache.commons.math3.optimization.GoalType goalType61 = cMAESOptimizer59.getGoalType();
    java.util.List list62 = cMAESOptimizer59.getStatisticsSigmaHistory();
    int i63 = cMAESOptimizer59.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj7 + "' != '" + 0.0d+ "'", obj7.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj31 + "' != '" + 0.0d+ "'", obj31.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test205"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(3.8104773809653514d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.810477380965352d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test206"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 2013722375, 104289926);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test207"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.AT_LEAST_ONE_ROW;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.0885491877645955d);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.BINOMIAL_INVALID_PARAMETERS_ORDER;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notPositiveException2, (org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array4);
    java.lang.Number number6 = notPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.0885491877645955d+ "'", number6.equals(0.0885491877645955d));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test208"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-1.097704979660168d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7996731315903127d));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test209"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.7539022543433046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test210"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NUMERATOR;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-0.6008140850926206d));
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException5 = new org.apache.commons.math3.exception.DimensionMismatchException(1, 1);
    java.lang.Throwable[] throwable_array6 = dimensionMismatchException5.getSuppressed();
    int i7 = dimensionMismatchException5.getDimension();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = dimensionMismatchException5.getContext();
    java.lang.Throwable throwable9 = exceptionContext8.getThrowable();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.NUMERATOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException16 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, (java.lang.Number)(-1L), (java.lang.Number)0.8813735870195429d, false);
    java.lang.Throwable[] throwable_array17 = numberIsTooSmallException16.getSuppressed();
    java.lang.Object[] obj_array18 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array17);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, obj_array18);
    exceptionContext8.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, obj_array18);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array18);
    java.lang.String str22 = mathArithmeticException21.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.apache.commons.math3.exception.MathArithmeticException: numerator"+ "'", str22.equals("org.apache.commons.math3.exception.MathArithmeticException: numerator"));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test211"); }


    float f2 = org.apache.commons.math3.util.Precision.round(8.881786E-16f, 104289926);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test212"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.8414222155717919d, 0.7454080442318307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.09601417133996115d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test213"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.9846573163722735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5252308098588607d);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test214"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 18);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test215"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.09658627990900893d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test216"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test217"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.14320702369648894d, 0.9037510304058525d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1571518694927816d);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test218"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.01960400402683603d, (-50));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.4141310816555655E85d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test219"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test220"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.9f, 262144.03f, 61373301);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test221"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    int i3 = incrementor0.getCount();
    int i4 = incrementor0.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test222"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 0.0d, false);
    java.lang.Object obj7 = pointValuePair6.getSecond();
    double[] d_array8 = pointValuePair6.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator14 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker18 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer22 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array21);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair25 = new org.apache.commons.math3.optimization.PointValuePair(d_array21, 10.0d, true);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair30 = new org.apache.commons.math3.optimization.PointValuePair(d_array27, 0.0d, false);
    java.lang.Object obj31 = pointValuePair30.getSecond();
    boolean b32 = simpleValueChecker18.converged(1, pointValuePair25, pointValuePair30);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer33 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array8, 0, 2.718281828459045d, true, 10, 0, randomGenerator14, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker18);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair35 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 1.9179488867871778E-9d);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister42 = new org.apache.commons.math3.random.MersenneTwister(100L);
    double d43 = mersenneTwister42.nextGaussian();
    mersenneTwister42.clear();
    mersenneTwister42.setSeed(0);
    int i47 = mersenneTwister42.nextInt();
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker51 = new org.apache.commons.math3.optimization.SimpleValueChecker(0.9999346490652955d, 1.4646619727113324d);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer52 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-127), d_array8, (-1014580284), 0.9963d, true, (-655267105), 25022203, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister42, false, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker51);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats53 = org.apache.commons.math3.exception.util.LocalizedFormats.VECTOR_MUST_HAVE_AT_LEAST_ONE_ELEMENT;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException57 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats53, (java.lang.Number)1.9179488867871778E-9d, (java.lang.Number)0.0f, false);
    java.lang.Number number58 = numberIsTooLargeException57.getArgument();
    java.lang.Number number59 = numberIsTooLargeException57.getMax();
    java.lang.Number number60 = numberIsTooLargeException57.getArgument();
    java.lang.Number number61 = numberIsTooLargeException57.getMax();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext62 = new org.apache.commons.math3.exception.util.ExceptionContext((java.lang.Throwable)numberIsTooLargeException57);
    org.apache.commons.math3.util.Pair pair63 = new org.apache.commons.math3.util.Pair((java.lang.Object)(-1014580284), (java.lang.Object)exceptionContext62);
    java.lang.Throwable throwable64 = exceptionContext62.getThrowable();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj7 + "' != '" + 0.0d+ "'", obj7.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj31 + "' != '" + 0.0d+ "'", obj31.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.9086743489308475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == (-1937831252));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number58 + "' != '" + 1.9179488867871778E-9d+ "'", number58.equals(1.9179488867871778E-9d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number59 + "' != '" + 0.0f+ "'", number59.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number60 + "' != '" + 1.9179488867871778E-9d+ "'", number60.equals(1.9179488867871778E-9d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number61 + "' != '" + 0.0f+ "'", number61.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable64);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test223"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.9502199454349173d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.253941043085807d);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test224"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test225"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)1.024989822209913d);
    java.lang.Number number2 = notPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test226"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.9841972395802795d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1509619880476916d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test227"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(93740670);
    int i2 = incrementor1.getMaximalCount();
    incrementor1.setMaximalCount((-1079834169));
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount(61373301);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 93740670);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test228"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 32);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test229"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(30000, (-5));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 30000);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test230"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.7567277f);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test231"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.570645300200989d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test232"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-2133986319));

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test233"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(127, 327741615);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 127);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test234"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test235"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.021825671f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test236"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(7.261849891689969d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8610472674514938d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test237"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.8248501627407814d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test238"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(5, 50);
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 50);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test239"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.9998039600078416d, 3.017878108166248d, 7.042231955176289E-22d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test240"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(3, (-1937831252));
    int i3 = dimensionMismatchException2.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1937831252));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test241"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.4248668f, 0.039358564f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test242"); }


    double d2 = org.apache.commons.math3.util.Precision.round(0.9037510304058526d, (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test243"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.0f, (-100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-100.0f));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test244"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(6.296254784501302E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-5.2009177061152965d));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test245"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test246"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.142616120638254d, 0.30102999566398114d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1426161206382537d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test247"); }


    double[] d_array2 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 0.0d, false);
    java.lang.Object obj6 = pointValuePair5.getSecond();
    double[] d_array7 = pointValuePair5.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator13 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker17 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array20 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer21 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array20);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair24 = new org.apache.commons.math3.optimization.PointValuePair(d_array20, 10.0d, true);
    double[] d_array26 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair29 = new org.apache.commons.math3.optimization.PointValuePair(d_array26, 0.0d, false);
    java.lang.Object obj30 = pointValuePair29.getSecond();
    boolean b31 = simpleValueChecker17.converged(1, pointValuePair24, pointValuePair29);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer32 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array7, 0, 2.718281828459045d, true, 10, 0, randomGenerator13, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker17);
    org.apache.commons.math3.optimization.GoalType goalType33 = cMAESOptimizer32.getGoalType();
    java.util.List list34 = cMAESOptimizer32.getStatisticsSigmaHistory();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array35 = cMAESOptimizer32.getUpperBound();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj6 + "' != '" + 0.0d+ "'", obj6.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj30 + "' != '" + 0.0d+ "'", obj30.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list34);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test248"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.9872490299995828d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4109328826169991d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test249"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.TOO_LARGE_CUTOFF_SINGULAR_VALUE;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, 0, 6);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math3.exception.util.LocalizedFormats.UNKNOWN_PARAMETER;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_PARSE_AS_TYPE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException11 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats8, obj_array10);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats7, obj_array10);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats6, obj_array10);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable5, obj_array10);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.5370843467987593d, obj_array10);
    java.lang.Number number16 = maxCountExceededException15.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 0.5370843467987593d+ "'", number16.equals(0.5370843467987593d));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test250"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.11021491576018706d, 1.2261657691392547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2261657691392547d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test251"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round((-0.9861532868085193d), (-655267105), 53);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test252"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(3.860921062872504d, 0.07746929009946406d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test253"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    int i4 = incrementor0.getCount();
    incrementor0.resetCount();
    incrementor0.resetCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount(3);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test254"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.COVARIANCE_MATRIX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.UNMATCHED_ODE_IN_EXPANDED_SET;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException8 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, (java.lang.Number)(-1L), (java.lang.Number)0.8813735870195429d, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = numberIsTooSmallException8.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_NUMBER_OF_SAMPLES;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.UNBOUNDED_SOLUTION;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException16 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, (java.lang.Number)(-1L), (java.lang.Number)0.8813735870195429d, false);
    java.lang.Throwable[] throwable_array17 = numberIsTooSmallException16.getSuppressed();
    java.lang.Object[] obj_array18 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array17);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, (java.lang.Object[])throwable_array17);
    exceptionContext9.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, (java.lang.Object[])throwable_array17);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, (java.lang.Object[])throwable_array17);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException22 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, (java.lang.Object[])throwable_array17);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException23 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.0625d, (java.lang.Object[])throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test255"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.0f), 8.881786E-16f, 0.7291144f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test256"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.80226517f, 0.8328280053571673d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.8022652f);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test257"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-0.24842778679675914d), 50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.7970482201159038E14d));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test258"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.6595798923920324d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test259"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-7620559045538868611L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 7620559045538868611L);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test260"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(4755415987172432967L, 1452076054732987038L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1452076054732987038L);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test261"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.0891667155567681d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.043631503719952d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test262"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-0.0f), 0.5868886f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.5868886f);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test263"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(11013.232874703393d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11013.232874703393d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test264"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 0.17370104107850193d, 3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test265"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-3175362882241709494L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 3175362882241709494L);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test266"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.5216237747189036d, 1.0816326530612246d, 1.1474293757792702E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test267"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-0.5101594552843198d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test268"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(8.470329472543003E-22d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test269"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-6), 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 7);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test270"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NUMBER_OF_SUCCESSES;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)20.447857477346233d, (java.lang.Number)712.4446454973049d, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test271"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.6777039475155267d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5174261607243498d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test272"); }


    double[] d_array2 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer3 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer12 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister10, false);
    int i13 = mersenneTwister10.nextInt();
    long long14 = mersenneTwister10.nextLong();
    double d15 = mersenneTwister10.nextGaussian();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException18 = new org.apache.commons.math3.exception.DimensionMismatchException(0, 0);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext19 = dimensionMismatchException18.getContext();
    java.util.Set set20 = exceptionContext19.getKeys();
    java.lang.Throwable throwable21 = exceptionContext19.getThrowable();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister24 = new org.apache.commons.math3.random.MersenneTwister(100L);
    int[] i_array26 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister27 = new org.apache.commons.math3.random.MersenneTwister(i_array26);
    mersenneTwister24.setSeed(i_array26);
    exceptionContext19.setValue("zero denominator in fraction {0}/{1}", (java.lang.Object)i_array26);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister30 = new org.apache.commons.math3.random.MersenneTwister(i_array26);
    mersenneTwister10.setSeed(i_array26);
    double d32 = mersenneTwister10.nextDouble();
    mersenneTwister10.clear();
    mersenneTwister10.clear();
    int i36 = mersenneTwister10.nextInt(32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 8445897050863588844L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == (-0.5101594552843198d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.13436424090271992d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 27);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test273"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)0.0787793632982978d);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test274"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-5.366232273174298E-4d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test275"); }


    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker2 = new org.apache.commons.math3.optimization.SimpleValueChecker((-712.4446454973049d), 1.4919351469368358d);
    double d3 = simpleValueChecker2.getRelativeThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-712.4446454973049d));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test276"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.2469769073459873d, 2.2305876242860343d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2469769073459873d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test277"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.5868886623511733d, 108.00272688554598d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test278"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_COMPUTE_BETA_DENSITY_AT_1_FOR_SOME_BETA;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)5.551115123125783E-17d);
    boolean b3 = notPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test279"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(2.5569496136034155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3674371989565415d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test280"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(8.84307387433558E-39d, 7, 93740670);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test281"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0d, (-0.35788835751511267d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test282"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(0.0f, 1003700882, 1095513148);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test283"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.MAX_ITERATIONS_EXCEEDED;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (-1937831252), (-1023));
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException5 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.421885651896664d);
    dimensionMismatchException3.addSuppressed((java.lang.Throwable)notStrictlyPositiveException5);
    java.lang.Number number7 = dimensionMismatchException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-1937831252)+ "'", number7.equals((-1937831252)));

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test284"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.06435764989580653d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4007437202928983d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test285"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.LIST_OF_CHROMOSOMES_BIGGER_THAN_POPULATION_SIZE;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.1102230246251565E-14d);
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException5 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.1462158347805889d, obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test286"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(0.0f, 21727, 65);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test287"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-0.0f), 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test288"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.37350518732603005d, (-0.9848233860826024d), 2.6680729211090126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test289"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta((-0.8518362492668914d), 0.5868886623511733d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5868886623511733d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test290"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.07739182480844334d, 0.0838251827d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7455143669457163d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test291"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.063106775f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.4505806E-9f);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test292"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-1882960991), 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test293"); }


    double[] d_array2 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException6 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b7 = pointValuePair5.equals((java.lang.Object)mathUnsupportedOperationException6);
    org.apache.commons.math3.util.Pair pair8 = new org.apache.commons.math3.util.Pair((org.apache.commons.math3.util.Pair)pointValuePair5);
    double[] d_array9 = pointValuePair5.getPoint();
    org.apache.commons.math3.util.Pair pair10 = new org.apache.commons.math3.util.Pair((java.lang.Object)(-1L), (java.lang.Object)d_array9);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair13 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, 0.0d, false);
    java.lang.Object obj14 = pointValuePair13.getFirst();
    double[] d_array15 = pointValuePair13.getPoint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test294"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-99.99999f), (-4096.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-99.99999f));

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test295"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.80226505f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.80226505f);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test296"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(99.99999f, (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.2499995f);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test297"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(3.141592653589793d, 868);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test298"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.0009877980461306d, 1.546119097410702d, 50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test299"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-0.27563948388104964d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.28295683447521275d));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test300"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_COLUMN_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_MEAN;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException7 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, obj_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, (java.lang.Number)(short)(-1), obj_array6);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array6);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array6);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = mathArithmeticException10.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test301"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.1426161206382537d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9097228630882779d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test302"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, (-7620559045538868611L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test303"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-0.27914314994456974d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-15.993724371811345d));

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test304"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.4669214877224426d, 59921093);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test305"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(1.7254630513334037d, 93740670, 59921093);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test306"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.2145165269817783d, 712.4446454973049d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.267140870520531d));

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test307"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)0.13436424090271992d, (java.lang.Number)10.0d, (java.lang.Number)1.0f);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = outOfRangeException3.getContext();
    java.lang.Number number5 = outOfRangeException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.13436424090271992d+ "'", number5.equals(0.13436424090271992d));

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test308"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.5688785078785228d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test309"); }


    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer0 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer();
    java.util.List list1 = cMAESOptimizer0.getStatisticsSigmaHistory();
    int i2 = cMAESOptimizer0.getEvaluations();
    int i3 = cMAESOptimizer0.getEvaluations();
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction5 = null;
    org.apache.commons.math3.optimization.GoalType goalType6 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    double[] d_array9 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, 0.0d, false);
    java.lang.Object obj13 = pointValuePair12.getSecond();
    double[] d_array14 = pointValuePair12.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator20 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker24 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array27 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer28 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array27);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array27, 10.0d, true);
    double[] d_array33 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair36 = new org.apache.commons.math3.optimization.PointValuePair(d_array33, 0.0d, false);
    java.lang.Object obj37 = pointValuePair36.getSecond();
    boolean b38 = simpleValueChecker24.converged(1, pointValuePair31, pointValuePair36);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer39 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array14, 0, 2.718281828459045d, true, 10, 0, randomGenerator20, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker24);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair41 = new org.apache.commons.math3.optimization.PointValuePair(d_array14, 3.8834864931005E-310d);
    double[] d_array42 = pointValuePair41.getPoint();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair43 = cMAESOptimizer0.optimize(18, multivariateFunction5, goalType6, d_array42);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj13 + "' != '" + 0.0d+ "'", obj13.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj37 + "' != '" + 0.0d+ "'", obj37.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test310"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(9.18236859295302E19d, 1.6889994146767113E-4d, 50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test311"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(211235929750981552L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 211235929750981552L);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test312"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.0680027973133575d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.8183957551394077d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test313"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.113236425051152d, 2.8E-322d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test314"); }


    double d2 = org.apache.commons.math3.util.Precision.round(0.07894693242471851d, (-24));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test315"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100);
    mersenneTwister1.setSeed(0L);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test316"); }


    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker2 = new org.apache.commons.math3.optimization.SimpleValueChecker(0.0787171938695459d, 1.2129005211903137d);
    double d3 = simpleValueChecker2.getRelativeThreshold();
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker7 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double d8 = simpleValueChecker7.getAbsoluteThreshold();
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair15 = new org.apache.commons.math3.optimization.PointValuePair(d_array12, 0.0d, false);
    java.lang.Object obj16 = pointValuePair15.getSecond();
    double[] d_array17 = pointValuePair15.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator23 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker27 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array30 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer31 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array30);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair34 = new org.apache.commons.math3.optimization.PointValuePair(d_array30, 10.0d, true);
    double[] d_array36 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair39 = new org.apache.commons.math3.optimization.PointValuePair(d_array36, 0.0d, false);
    java.lang.Object obj40 = pointValuePair39.getSecond();
    boolean b41 = simpleValueChecker27.converged(1, pointValuePair34, pointValuePair39);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer42 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array17, 0, 2.718281828459045d, true, 10, 0, randomGenerator23, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker27);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair44 = new org.apache.commons.math3.optimization.PointValuePair(d_array17, 1.9179488867871778E-9d);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair46 = new org.apache.commons.math3.optimization.PointValuePair(d_array17, 0.9999999999999999d);
    double[] d_array47 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair49 = new org.apache.commons.math3.optimization.PointValuePair(d_array47, (-0.37480524448791047d));
    double[] d_array50 = pointValuePair49.getPoint();
    boolean b51 = simpleValueChecker7.converged(100, pointValuePair46, pointValuePair49);
    double[] d_array52 = pointValuePair49.getPointRef();
    java.lang.Object obj53 = pointValuePair49.getValue();
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker56 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.5607966601082315d, 5730.0d);
    double[] d_array58 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair60 = new org.apache.commons.math3.optimization.PointValuePair(d_array58, (-0.37480524448791047d));
    double[] d_array61 = pointValuePair60.getPoint();
    double[] d_array63 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair66 = new org.apache.commons.math3.optimization.PointValuePair(d_array63, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException67 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b68 = pointValuePair66.equals((java.lang.Object)mathUnsupportedOperationException67);
    java.lang.Object obj69 = pointValuePair66.getValue();
    boolean b70 = simpleValueChecker56.converged(25022203, pointValuePair60, pointValuePair66);
    boolean b71 = simpleValueChecker2.converged((-655267105), pointValuePair49, pointValuePair66);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair73 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair74 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b75 = simpleValueChecker2.converged((-655267105), pointValuePair73, pointValuePair74);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0787171938695459d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj16 + "' != '" + 0.0d+ "'", obj16.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj40 + "' != '" + 0.0d+ "'", obj40.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj53 + "' != '" + (-0.37480524448791047d)+ "'", obj53.equals((-0.37480524448791047d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj69 + "' != '" + 0.0d+ "'", obj69.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == true);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test317"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(1.0025811062437018d, 0.30102999566398114d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.30102999566398103d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test318"); }


    double[] d_array2 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException6 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b7 = pointValuePair5.equals((java.lang.Object)mathUnsupportedOperationException6);
    org.apache.commons.math3.util.Pair pair8 = new org.apache.commons.math3.util.Pair((org.apache.commons.math3.util.Pair)pointValuePair5);
    double[] d_array9 = pointValuePair5.getPoint();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer10 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array9);
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction12 = null;
    org.apache.commons.math3.optimization.GoalType goalType13 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    double[] d_array15 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer16 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array15);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair19 = new org.apache.commons.math3.optimization.PointValuePair(d_array15, 10.0d, true);
    double[] d_array20 = null;
    double[] d_array25 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister32 = new org.apache.commons.math3.random.MersenneTwister(8445897050863588844L);
    boolean b33 = mersenneTwister32.nextBoolean();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer35 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(93740670, d_array25, 0, 0.8022650594081673d, false, 338087802, (-1014580284), (org.apache.commons.math3.random.RandomGenerator)mersenneTwister32, false);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair37 = new org.apache.commons.math3.optimization.PointValuePair(d_array25, 1.4711276743037347d);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer38 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(3, d_array25);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair39 = cMAESOptimizer10.optimize(93740670, multivariateFunction12, goalType13, d_array15, d_array20, d_array25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test319"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException5 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, (java.lang.Number)(-1L), (java.lang.Number)0.8813735870195429d, false);
    java.lang.Throwable[] throwable_array6 = numberIsTooSmallException5.getSuppressed();
    java.lang.Object[] obj_array7 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathIllegalStateException8.getContext();
    java.lang.Object obj11 = exceptionContext9.getValue("org.apache.commons.math3.exception.NotStrictlyPositiveException: standard deviation (-1)");
    java.lang.Object obj13 = exceptionContext9.getValue("maximal number of iterations ({0}) exceeded");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj13);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test320"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.OUT_OF_RANGE_SIMPLE;
    java.util.Locale locale1 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str2 = localizedFormats0.getLocalizedString(locale1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test321"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)1.4711276743037347d);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException5 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array4);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException10 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats7, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, (java.lang.Number)100.0d, obj_array9);
    tooManyEvaluationsException1.addSuppressed((java.lang.Throwable)maxCountExceededException11);
    java.lang.Number number13 = tooManyEvaluationsException1.getMax();
    java.lang.Number number14 = tooManyEvaluationsException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 1.4711276743037347d+ "'", number13.equals(1.4711276743037347d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 1.4711276743037347d+ "'", number14.equals(1.4711276743037347d));

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test322"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, (-6));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test323"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(108.00272688554598d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test324"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.2277699630522962d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0336303536426408d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test325"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(1259122480, 100);
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException4 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(short)(-1));
    java.lang.Number number5 = notStrictlyPositiveException4.getMin();
    java.lang.Number number6 = notStrictlyPositiveException4.getMin();
    dimensionMismatchException2.addSuppressed((java.lang.Throwable)notStrictlyPositiveException4);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math3.exception.util.LocalizedFormats.ILL_CONDITIONED_OPERATOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math3.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats9, obj_array10);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_SQUARE_MATRIX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException16 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats13, obj_array15);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext17 = mathUnsupportedOperationException16.getContext();
    java.lang.Throwable throwable18 = exceptionContext17.getThrowable();
    java.lang.Throwable[] throwable_array19 = throwable18.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, (java.lang.Object[])throwable_array19);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException21 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats9, (java.lang.Object[])throwable_array19);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException4, (org.apache.commons.math3.exception.util.Localizable)localizedFormats8, (java.lang.Object[])throwable_array19);
    java.lang.Number number23 = notStrictlyPositiveException4.getMin();
    java.lang.Number number24 = notStrictlyPositiveException4.getMin();
    java.lang.Number number25 = notStrictlyPositiveException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0+ "'", number6.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + 0+ "'", number23.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number24 + "' != '" + 0+ "'", number24.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + 0+ "'", number25.equals(0));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test326"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(0.8022652f, (-50), (-7));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test327"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-0.11244395313535784d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.11268105316873825d));

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test328"); }


    double[] d_array1 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array3 = cMAESOptimizer2.getLowerBound();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test329"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.5403023058681398d, 0.6360946126020629d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5403023058681399d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test330"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(2.028241E31f, 95, 2013722375);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test331"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.351249872567267d, 1.0009877980461306d, 0.28381780049956107d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test332"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.5978457819086704d);
    java.util.Locale locale3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = localizedFormats0.getLocalizedString(locale3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test333"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100L);
    double d2 = mersenneTwister1.nextGaussian();
    mersenneTwister1.clear();
    int i5 = mersenneTwister1.nextInt(7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9086743489308475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test334"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.2145165269817783d, 1.4642103801992226d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.14547170942041737d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test335"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(12, 2013722375);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 12);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test336"); }


    double d3 = org.apache.commons.math3.util.Precision.round(0.0d, 10, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test337"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)2.2250738585072014E-308d);
    boolean b3 = notPositiveException2.getBoundIsAllowed();
    java.lang.Number number4 = notPositiveException2.getMin();
    java.lang.Number number5 = notPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test338"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.7906670417726677d, 0.4669214877224426d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8961300416825269d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test339"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(8.881784E-16f, 0.07871712f, 25022203);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test340"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(9.723943146046171d, 4.641588833612778d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 38473.199455763504d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test341"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    org.apache.commons.math3.optimization.GoalType goalType3 = cMAESOptimizer2.getGoalType();
    int i4 = cMAESOptimizer2.getMaxEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker5 = cMAESOptimizer2.getConvergenceChecker();
    java.util.List list6 = cMAESOptimizer2.getStatisticsSigmaHistory();
    int i7 = cMAESOptimizer2.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test342"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.417022f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.417022f);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test343"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)0.6694408103566049d, (java.lang.Number)3.7462779016053167d, true);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = new org.apache.commons.math3.exception.util.ExceptionContext((java.lang.Throwable)numberIsTooLargeException3);
    java.lang.Throwable throwable5 = exceptionContext4.getThrowable();
    java.util.Set set6 = exceptionContext4.getKeys();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set6);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test344"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(262144.03f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 262144);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test345"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(22.597067790157976d, 0.1571518694927816d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 22.597067790157972d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test346"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number0, (java.lang.Number)(-0.37480524448791047d), true);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test347"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-0.0d), 1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test348"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test349"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.417022f, (-0.9018914245032618d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.41702196f);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test350"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException(localizable0, (java.lang.Number)0.8328280053571673d, (java.lang.Number)0.6931020512916352d, (java.lang.Number)2.0d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test351"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test352"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(7.478153f, 0.0f, 338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test353"); }


    float f2 = org.apache.commons.math3.util.Precision.round(0.7567276f, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.7567f);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test354"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)7.4505806E-9f);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = notPositiveException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test355"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test356"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(6.486979552993428d, 1.1947055233182955d, 0.083629395918069d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test357"); }


    double[] d_array1 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(100, d_array1);
    int i3 = cMAESOptimizer2.getMaxEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker4 = cMAESOptimizer2.getConvergenceChecker();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = cMAESOptimizer2.getUpperBound();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker4);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test358"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(45.96640195490024d, (-0.4830285882373499d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.4830285882373499d));

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test359"); }


    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker2 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double d3 = simpleValueChecker2.getAbsoluteThreshold();
    double d4 = simpleValueChecker2.getAbsoluteThreshold();
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker8 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double d9 = simpleValueChecker8.getAbsoluteThreshold();
    double[] d_array13 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair16 = new org.apache.commons.math3.optimization.PointValuePair(d_array13, 0.0d, false);
    java.lang.Object obj17 = pointValuePair16.getSecond();
    double[] d_array18 = pointValuePair16.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator24 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker28 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array31 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer32 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array31);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair35 = new org.apache.commons.math3.optimization.PointValuePair(d_array31, 10.0d, true);
    double[] d_array37 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair40 = new org.apache.commons.math3.optimization.PointValuePair(d_array37, 0.0d, false);
    java.lang.Object obj41 = pointValuePair40.getSecond();
    boolean b42 = simpleValueChecker28.converged(1, pointValuePair35, pointValuePair40);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer43 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array18, 0, 2.718281828459045d, true, 10, 0, randomGenerator24, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker28);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair45 = new org.apache.commons.math3.optimization.PointValuePair(d_array18, 1.9179488867871778E-9d);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair47 = new org.apache.commons.math3.optimization.PointValuePair(d_array18, 0.9999999999999999d);
    double[] d_array48 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair50 = new org.apache.commons.math3.optimization.PointValuePair(d_array48, (-0.37480524448791047d));
    double[] d_array51 = pointValuePair50.getPoint();
    boolean b52 = simpleValueChecker8.converged(100, pointValuePair47, pointValuePair50);
    double[] d_array53 = pointValuePair50.getPoint();
    double[] d_array57 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer58 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array57);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister65 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer67 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array57, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister65, false);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister74 = new org.apache.commons.math3.random.MersenneTwister(0);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker78 = new org.apache.commons.math3.optimization.SimpleValueChecker(0.9999097434746644d, 0.0d);
    double d79 = simpleValueChecker78.getRelativeThreshold();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer80 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1023), d_array57, 12, 1.4810552260868695d, false, 1937831252, 25022203, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister74, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker78);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair83 = new org.apache.commons.math3.optimization.PointValuePair(d_array57, 9.723943146046171d, true);
    java.lang.Object obj84 = pointValuePair83.getValue();
    boolean b85 = simpleValueChecker2.converged((-1), pointValuePair50, pointValuePair83);
    double d86 = simpleValueChecker2.getAbsoluteThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj17 + "' != '" + 0.0d+ "'", obj17.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj41 + "' != '" + 0.0d+ "'", obj41.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.9999097434746644d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj84 + "' != '" + 9.723943146046171d+ "'", obj84.equals(9.723943146046171d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 1.0d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test360"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(7837409582861837988L, 5935515629882433952L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7837409582861837988L);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test361"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.07739182480844334d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test362"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    boolean b4 = incrementor0.canIncrement();
    int i5 = incrementor0.getCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test363"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.5403023058681399d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 30.957041787430907d);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test364"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(5235514316520443466L, (-7491853864872071061L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-7491853864872071061L));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test365"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    org.apache.commons.math3.optimization.GoalType goalType3 = cMAESOptimizer2.getGoalType();
    int i4 = cMAESOptimizer2.getMaxEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker5 = cMAESOptimizer2.getConvergenceChecker();
    java.util.List list6 = cMAESOptimizer2.getStatisticsMeanHistory();
    java.util.List list7 = cMAESOptimizer2.getStatisticsSigmaHistory();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker8 = cMAESOptimizer2.getConvergenceChecker();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker9 = cMAESOptimizer2.getConvergenceChecker();
    int i10 = cMAESOptimizer2.getMaxEvaluations();
    java.util.List list11 = cMAESOptimizer2.getStatisticsFitnessHistory();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list11);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test366"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(522.7352996704365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 29950.52647362234d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test367"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-1.2890409332159725d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test368"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(93740670);
    int i2 = incrementor1.getMaximalCount();
    incrementor1.setMaximalCount((-1079834169));
    int i5 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 93740670);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test369"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.30102999566398103d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.351249872567267d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test370"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(45.96640195d, 22.597067790157976d, (-0.21832965848010036d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test371"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(95, maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test372"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-99.999985f), 0.8610472674514938d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-99.99998f));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test373"); }


    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker2 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array5 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer6 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair9 = new org.apache.commons.math3.optimization.PointValuePair(d_array5, 10.0d, true);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array5, 0.0d, true);
    java.lang.Object obj13 = pointValuePair12.getSecond();
    double[] d_array14 = pointValuePair12.getPoint();
    double[] d_array15 = pointValuePair12.getPoint();
    double[] d_array17 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer18 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array17);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair21 = new org.apache.commons.math3.optimization.PointValuePair(d_array17, 10.0d, true);
    boolean b22 = simpleValueChecker2.converged(12, pointValuePair12, pointValuePair21);
    double d23 = simpleValueChecker2.getRelativeThreshold();
    double d24 = simpleValueChecker2.getAbsoluteThreshold();
    double[] d_array27 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer28 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array27);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array27, 10.0d, true);
    double[] d_array32 = pointValuePair31.getPointRef();
    java.lang.Object obj33 = pointValuePair31.getKey();
    double[] d_array34 = pointValuePair31.getPoint();
    double[] d_array36 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer37 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array36);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair40 = new org.apache.commons.math3.optimization.PointValuePair(d_array36, 10.0d, true);
    double[] d_array41 = pointValuePair40.getPointRef();
    java.lang.Object obj42 = pointValuePair40.getFirst();
    boolean b43 = simpleValueChecker2.converged((-2133986319), pointValuePair31, pointValuePair40);
    java.lang.Object obj44 = pointValuePair40.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj13 + "' != '" + 0.0d+ "'", obj13.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj44 + "' != '" + 10.0d+ "'", obj44.equals(10.0d));

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test374"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(108.00272688554598d, 4.59118429647651E19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 108.00272688554598d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test375"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, (-1882960991));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1882960991));

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test376"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.9037510304058526d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4923215889322998d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test377"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(4.9E-324d, (-5.2009177061152965d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test378"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.3783638f, 6.2499995f, 4.8828125E-4f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test379"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(8.653397151028903d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2864.789062920583d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test380"); }


    double d2 = org.apache.commons.math3.util.Precision.round(6.296254784626103E-6d, 35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.296254784626103E-6d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test381"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test382"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.5688328859678227d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test383"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POWER_OF_TWO_PLUS_ONE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException5 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = mathUnsupportedOperationException5.getContext();
    java.lang.Throwable throwable7 = exceptionContext6.getThrowable();
    java.lang.Throwable[] throwable_array8 = throwable7.getSuppressed();
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)3.0d, (java.lang.Object[])throwable_array8);
    java.lang.Number number10 = maxCountExceededException9.getMax();
    java.lang.Number number11 = maxCountExceededException9.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 3.0d+ "'", number10.equals(3.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 3.0d+ "'", number11.equals(3.0d));

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test384"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(9.5367431640625E-7d, 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.2250738585072014E-308d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test385"); }


    float f2 = org.apache.commons.math3.util.Precision.round(0.0f, (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test386"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.8022651f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.8022651f);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test387"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(3.7462779016053167d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3099465955852758d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test388"); }


    double[] d_array2 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer3 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer12 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister10, false);
    long long13 = mersenneTwister10.nextLong();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister14 = new org.apache.commons.math3.random.MersenneTwister();
    mersenneTwister14.setSeed(10);
    int[] i_array17 = null;
    org.apache.commons.math3.random.MersenneTwister mersenneTwister18 = new org.apache.commons.math3.random.MersenneTwister(i_array17);
    byte[] byte_array19 = new byte[] {  };
    mersenneTwister18.nextBytes(byte_array19);
    mersenneTwister14.nextBytes(byte_array19);
    mersenneTwister10.nextBytes(byte_array19);
    boolean b23 = mersenneTwister10.nextBoolean();
    // The following exception was thrown during execution in test generation
    try {
      int i25 = mersenneTwister10.nextInt((-6));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 1452076054732987038L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test389"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException3 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array2);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException8 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array7);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)100.0d, obj_array7);
    java.lang.Number number10 = maxCountExceededException9.getMax();
    java.lang.Throwable[] throwable_array11 = maxCountExceededException9.getSuppressed();
    java.lang.Number number12 = maxCountExceededException9.getMax();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext13 = new org.apache.commons.math3.exception.util.ExceptionContext((java.lang.Throwable)maxCountExceededException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 100.0d+ "'", number10.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 100.0d+ "'", number12.equals(100.0d));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test390"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.TOO_LARGE_CUTOFF_SINGULAR_VALUE;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, 0, 6);
    int i4 = dimensionMismatchException3.getDimension();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = new org.apache.commons.math3.exception.util.ExceptionContext((java.lang.Throwable)dimensionMismatchException3);
    java.lang.Object obj6 = null;
    org.apache.commons.math3.util.Pair pair7 = new org.apache.commons.math3.util.Pair((java.lang.Object)dimensionMismatchException3, obj6);
    java.lang.Object obj8 = pair7.getKey();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj8);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test391"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.5735999905130874d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5558230062359745d));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test392"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.3783638f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.3783638f);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test393"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.3822399771262705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1785771898998472d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test394"); }


    double[] d_array2 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer3 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer12 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister10, false);
    org.apache.commons.math3.optimization.GoalType goalType13 = cMAESOptimizer12.getGoalType();
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction15 = null;
    org.apache.commons.math3.optimization.GoalType goalType16 = null;
    double[] d_array21 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister28 = new org.apache.commons.math3.random.MersenneTwister(8445897050863588844L);
    boolean b29 = mersenneTwister28.nextBoolean();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer31 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(93740670, d_array21, 0, 0.8022650594081673d, false, 338087802, (-1014580284), (org.apache.commons.math3.random.RandomGenerator)mersenneTwister28, false);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair33 = new org.apache.commons.math3.optimization.PointValuePair(d_array21, 1.4711276743037347d);
    int[] i_array40 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister41 = new org.apache.commons.math3.random.MersenneTwister(i_array40);
    double d42 = mersenneTwister41.nextDouble();
    double d43 = mersenneTwister41.nextDouble();
    mersenneTwister41.clear();
    boolean b45 = mersenneTwister41.nextBoolean();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer47 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(1009701827, d_array21, 4, 10.0d, true, 93740670, (-1014580284), (org.apache.commons.math3.random.RandomGenerator)mersenneTwister41, false);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair49 = new org.apache.commons.math3.optimization.PointValuePair(d_array21, 79412.28827820117d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair50 = cMAESOptimizer12.optimize(0, multivariateFunction15, goalType16, d_array21);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.13436424090271992d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.8474337429145731d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test395"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.0989037653471982E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-16.023782545024073d));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test396"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_POPULATION_SIZE;
    java.lang.String str1 = localizedFormats0.getSourceString();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException4 = new org.apache.commons.math3.exception.DimensionMismatchException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, 655267105, 1009701827);
    java.lang.Number number5 = dimensionMismatchException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "population size must be positive ({0})"+ "'", str1.equals("population size must be positive ({0})"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 655267105+ "'", number5.equals(655267105));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test397"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-1014580284), 143);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 143);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test398"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100L);
    double d2 = mersenneTwister1.nextDouble();
    int i4 = mersenneTwister1.nextInt(12);
    mersenneTwister1.setSeed(712L);
    mersenneTwister1.setSeed(2429017844712507282L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0787171938695459d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test399"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 7);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test400"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.WRONG_NUMBER_OF_POINTS;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, number1);
    java.lang.Number number3 = notStrictlyPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test401"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    org.apache.commons.math3.optimization.GoalType goalType3 = cMAESOptimizer2.getGoalType();
    int i4 = cMAESOptimizer2.getMaxEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker5 = cMAESOptimizer2.getConvergenceChecker();
    java.util.List list6 = cMAESOptimizer2.getStatisticsSigmaHistory();
    java.util.List list7 = cMAESOptimizer2.getStatisticsFitnessHistory();
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction9 = null;
    org.apache.commons.math3.optimization.GoalType goalType10 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    double[] d_array14 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer15 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array14);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair18 = new org.apache.commons.math3.optimization.PointValuePair(d_array14, 10.0d, true);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair21 = new org.apache.commons.math3.optimization.PointValuePair(d_array14, 0.0d, true);
    java.lang.Object obj22 = pointValuePair21.getSecond();
    double[] d_array23 = pointValuePair21.getPoint();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer24 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(100, d_array23);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair26 = new org.apache.commons.math3.optimization.PointValuePair(d_array23, (-712.4446454973049d));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer27 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1937831252), d_array23);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker30 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array33 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array33);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair37 = new org.apache.commons.math3.optimization.PointValuePair(d_array33, 10.0d, true);
    double[] d_array39 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair42 = new org.apache.commons.math3.optimization.PointValuePair(d_array39, 0.0d, false);
    java.lang.Object obj43 = pointValuePair42.getSecond();
    boolean b44 = simpleValueChecker30.converged(1, pointValuePair37, pointValuePair42);
    java.lang.Object obj45 = pointValuePair37.getSecond();
    double[] d_array46 = pointValuePair37.getPointRef();
    double[] d_array49 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair52 = new org.apache.commons.math3.optimization.PointValuePair(d_array49, 0.0d, false);
    java.lang.Object obj53 = pointValuePair52.getSecond();
    double[] d_array54 = pointValuePair52.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator60 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker64 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array67 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer68 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array67);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair71 = new org.apache.commons.math3.optimization.PointValuePair(d_array67, 10.0d, true);
    double[] d_array73 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair76 = new org.apache.commons.math3.optimization.PointValuePair(d_array73, 0.0d, false);
    java.lang.Object obj77 = pointValuePair76.getSecond();
    boolean b78 = simpleValueChecker64.converged(1, pointValuePair71, pointValuePair76);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer79 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array54, 0, 2.718281828459045d, true, 10, 0, randomGenerator60, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker64);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair81 = new org.apache.commons.math3.optimization.PointValuePair(d_array54, 99.99999999999997d);
    double[] d_array82 = pointValuePair81.getPointRef();
    double[] d_array83 = pointValuePair81.getPoint();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair84 = cMAESOptimizer2.optimize(0, multivariateFunction9, goalType10, d_array23, d_array46, d_array83);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj22 + "' != '" + 0.0d+ "'", obj22.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj43 + "' != '" + 0.0d+ "'", obj43.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj45 + "' != '" + 10.0d+ "'", obj45.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj53 + "' != '" + 0.0d+ "'", obj53.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj77 + "' != '" + 0.0d+ "'", obj77.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test402"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.4170220046815991d, 0.5950449741583292d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test403"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.5483650385312993d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6160402965916458d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test404"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.7165256995489035d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7540920875652949d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test405"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getCount();
    int i3 = incrementor0.getCount();
    incrementor0.resetCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test406"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, 0.07871713f, 143);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test407"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(681.1328556077355d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 681L);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test408"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8445897050863588844L);
    boolean b2 = mersenneTwister1.nextBoolean();
    boolean b3 = mersenneTwister1.nextBoolean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test409"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-5066352), 338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-5066352));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test410"); }


    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker2 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.5607966601082315d, 5730.0d);
    double[] d_array4 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array4, (-0.37480524448791047d));
    double[] d_array7 = pointValuePair6.getPoint();
    double[] d_array9 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException13 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b14 = pointValuePair12.equals((java.lang.Object)mathUnsupportedOperationException13);
    java.lang.Object obj15 = pointValuePair12.getValue();
    boolean b16 = simpleValueChecker2.converged(25022203, pointValuePair6, pointValuePair12);
    java.lang.Object obj17 = pointValuePair12.getKey();
    java.lang.Object obj18 = pointValuePair12.getSecond();
    double[] d_array19 = pointValuePair12.getPoint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj15 + "' != '" + 0.0d+ "'", obj15.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj18 + "' != '" + 0.0d+ "'", obj18.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test411"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(11013.232874703393d, 1882960991);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test412"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.4982677192846716d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.462260824396846d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test413"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals((-11.97555557998987d), 1.5573607112098173d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test414"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.6268604078470186d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test415"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(11.113236425051152d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 33526.4260537157d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test416"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-3.4028235E38f), (-99.999985f), 0.9f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test417"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.7615941559557649d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6900760708753189d));

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test418"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-31.52818994561971d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1806.432219570806d));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test419"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.0009877980461306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test420"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.07879871521265389d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3877787807814457E-17d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test421"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(6.296254784459701E-6d, 1.7724538509055159d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test422"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.INFINITE_VALUE_CONVERSION;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.45925392429663475d, (java.lang.Number)108.00272688554598d, true);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test423"); }


    double[] d_array1 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair4 = new org.apache.commons.math3.optimization.PointValuePair(d_array1, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException5 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b6 = pointValuePair4.equals((java.lang.Object)mathUnsupportedOperationException5);
    double[] d_array7 = pointValuePair4.getPointRef();
    java.lang.Object obj8 = pointValuePair4.getValue();
    java.lang.Object obj9 = pointValuePair4.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj8 + "' != '" + 0.0d+ "'", obj8.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj9 + "' != '" + 0.0d+ "'", obj9.equals(0.0d));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test424"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.002509233903895709d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.14376851250435935d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test425"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(6.040671365616222d, (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5101678414040556d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test426"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.56920385f, (-99.99999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test427"); }


    double d3 = org.apache.commons.math3.util.Precision.round(Double.NEGATIVE_INFINITY, 2, (-6));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test428"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(2.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test429"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-100.0f), 1.142616120638254d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-99.99999f));

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test430"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.54881346f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test431"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(0.01645563051055151d, 1095513148, 655267105);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test432"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(1.253941043085807d, 127, 35);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test433"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.024687696728393785d, 1.069221306921988d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.069221306921988d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test434"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(3175362882241709494L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 3175362882241709494L);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test435"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.7291144f, 0.417022f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test436"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.07871711f, 0.8022651f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test437"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(127, (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 127);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test438"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.024687696728393785d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test439"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.0f, (-0.99999994f), (-0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test440"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round((-0.07871712f), 10, (-5066352));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test441"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-0.1814829742050919d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.18148297420509188d));

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test442"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.00001f);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test443"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(2.3025850929940463d, 0.3822399771262705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.1530806274089282d));

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test444"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(4096.001f, 338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test445"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(2.3632256259657867d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.265526453909918d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test446"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(3.017878108166248d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1045539712484673d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test447"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.417022f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test448"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.039358564f, 0.039358564f, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test449"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.3783638f, 7.478153f, (-99.99998f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test450"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NEGATIVE_BRIGHTNESS_EXPONENT;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)183.87023772979413d);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math3.exception.MathArithmeticException();
    java.lang.String str5 = mathArithmeticException4.toString();
    java.lang.Throwable[] throwable_array6 = mathArithmeticException4.getSuppressed();
    java.lang.Object[] obj_array7 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.5573607112098173d, obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math3.exception.MathArithmeticException: arithmetic exception"+ "'", str5.equals("org.apache.commons.math3.exception.MathArithmeticException: arithmetic exception"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test451"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.1400098159131415d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5192615453946172d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test452"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(4.605170185988091d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test453"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.028579168474238692d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5422132664608574d);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test454"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.15071714f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.15071715f);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test455"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(33526.42606862925d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 33526.426068629255d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test456"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.4669214877224426d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.38316597879371506d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test457"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.6764386613548281d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9668605878122218d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test458"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 0.0d, false);
    java.lang.Object obj7 = pointValuePair6.getSecond();
    double[] d_array8 = pointValuePair6.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator14 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker18 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer22 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array21);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair25 = new org.apache.commons.math3.optimization.PointValuePair(d_array21, 10.0d, true);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair30 = new org.apache.commons.math3.optimization.PointValuePair(d_array27, 0.0d, false);
    java.lang.Object obj31 = pointValuePair30.getSecond();
    boolean b32 = simpleValueChecker18.converged(1, pointValuePair25, pointValuePair30);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer33 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array8, 0, 2.718281828459045d, true, 10, 0, randomGenerator14, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker18);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair35 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 1.9179488867871778E-9d);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister42 = new org.apache.commons.math3.random.MersenneTwister(100L);
    double d43 = mersenneTwister42.nextGaussian();
    mersenneTwister42.clear();
    mersenneTwister42.setSeed(0);
    int i47 = mersenneTwister42.nextInt();
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker51 = new org.apache.commons.math3.optimization.SimpleValueChecker(0.9999346490652955d, 1.4646619727113324d);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer52 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-127), d_array8, (-1014580284), 0.9963d, true, (-655267105), 25022203, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister42, false, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker51);
    java.util.List list53 = cMAESOptimizer52.getStatisticsFitnessHistory();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj7 + "' != '" + 0.0d+ "'", obj7.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj31 + "' != '" + 0.0d+ "'", obj31.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.9086743489308475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == (-1937831252));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list53);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test459"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(2.6680729211090126d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test460"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.5101678414040556d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test461"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(2.028241E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.0282412E31f);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test462"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.DEGREES_OF_FREEDOM;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, 0, 1937831252);
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException7 = new org.apache.commons.math3.exception.OutOfRangeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.6483608274590866d, (java.lang.Number)2L, (java.lang.Number)1.000000000849637d);
    java.lang.Number number8 = outOfRangeException7.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 2L+ "'", number8.equals(2L));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test463"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.6101473418747816d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6991382014165701d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test464"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.7291144961355474d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8538820153484598d);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test465"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.VECTOR_MUST_HAVE_AT_LEAST_ONE_ELEMENT;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.9179488867871778E-9d, (java.lang.Number)0.0f, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    java.lang.Number number6 = numberIsTooLargeException4.getMax();
    boolean b7 = numberIsTooLargeException4.getBoundIsAllowed();
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException11 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)0.13436424090271992d, (java.lang.Number)10.0d, (java.lang.Number)1.0f);
    java.lang.Number number12 = outOfRangeException11.getLo();
    java.lang.Number number13 = outOfRangeException11.getLo();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext14 = new org.apache.commons.math3.exception.util.ExceptionContext((java.lang.Throwable)outOfRangeException11);
    java.lang.Number number15 = outOfRangeException11.getLo();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)outOfRangeException11);
    java.lang.Number number17 = outOfRangeException11.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.0f+ "'", number6.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 10.0d+ "'", number12.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 10.0d+ "'", number13.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0d+ "'", number15.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 1.0f+ "'", number17.equals(1.0f));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test466"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.4677992676220697d, (-0.11268105316873825d), 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test467"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(18.714973875118524d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 19L);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test468"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.9988861866317094d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.047202122687327236d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test469"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.ASSYMETRIC_EIGEN_NOT_SUPPORTED;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException3 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, (java.lang.Number)2.2250738585072014E-308d);
    boolean b4 = notPositiveException3.getBoundIsAllowed();
    java.lang.Number number5 = notPositiveException3.getMin();
    java.lang.Throwable[] throwable_array6 = notPositiveException3.getSuppressed();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math3.exception.util.LocalizedFormats.SCALE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { localizedFormats8 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats7, obj_array9);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_PARSE_AS_TYPE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException15 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, obj_array14);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, obj_array14);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notPositiveException3, (org.apache.commons.math3.exception.util.Localizable)localizedFormats7, obj_array14);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array14);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext19 = nullArgumentException18.getContext();
    java.util.Set set20 = exceptionContext19.getKeys();
    java.lang.Throwable throwable21 = exceptionContext19.getThrowable();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable21);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test470"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(5729.5779513082325d, 0.7581531583453255d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5729.5779513082325d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test471"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.14288697588932528d, 26.076433016484923d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test472"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-0.426013435529045d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.34689243278396087d));

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test473"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(2429017844712507282L, 5235514316520443466L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2429017844712507282L);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test474"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0d, 100.00736613927508d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test475"); }


    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker2 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.5607966601082315d, 5730.0d);
    double[] d_array4 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array4, (-0.37480524448791047d));
    double[] d_array7 = pointValuePair6.getPoint();
    double[] d_array9 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException13 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b14 = pointValuePair12.equals((java.lang.Object)mathUnsupportedOperationException13);
    java.lang.Object obj15 = pointValuePair12.getValue();
    boolean b16 = simpleValueChecker2.converged(25022203, pointValuePair6, pointValuePair12);
    double d17 = simpleValueChecker2.getRelativeThreshold();
    org.apache.commons.math3.optimization.PointValuePair pointValuePair19 = null;
    double[] d_array20 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair22 = new org.apache.commons.math3.optimization.PointValuePair(d_array20, (-0.37480524448791047d));
    double[] d_array23 = pointValuePair22.getPoint();
    // The following exception was thrown during execution in test generation
    try {
      boolean b24 = simpleValueChecker2.converged(288545018, pointValuePair19, pointValuePair22);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj15 + "' != '" + 0.0d+ "'", obj15.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array23);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test476"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-3.4359738E10f), 0.41702196f, 0.80226517f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test477"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(4);
    boolean b2 = incrementor1.canIncrement();
    incrementor1.resetCount();
    boolean b4 = incrementor1.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test478"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.0d, 0.07739182480844334d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0029902763971248d);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test479"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.5996045770523841d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5996045770523842d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test480"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.5950449741583292d, 29950.52647362234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5950449741583292d);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test481"); }


    float f2 = org.apache.commons.math3.util.FastMath.min((-0.07871712f), 0.07630825f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.07871712f));

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test482"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.5191427216538489d, 0.4617942145870364d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4617942145870364d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test483"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.9f, 262144.03f, 0.063106775f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test484"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.6889994146767113E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6888567947843407E-4d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test485"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(6.2499995f, 0.99999994f, 27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test486"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100L);
    int[] i_array3 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(i_array3);
    mersenneTwister1.setSeed(i_array3);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister6 = new org.apache.commons.math3.random.MersenneTwister(i_array3);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(i_array3);
    byte[] byte_array10 = new byte[] { (byte)10, (byte)100 };
    mersenneTwister7.nextBytes(byte_array10);
    mersenneTwister7.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array10);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test487"); }


    double d2 = org.apache.commons.math3.util.Precision.round((-1.2628074534869465d), 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.26280745d));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test488"); }


    double[] d_array2 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer3 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer12 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister10, false);
    byte[] byte_array16 = new byte[] { (byte)0, (byte)(-1), (byte)(-1) };
    mersenneTwister10.nextBytes(byte_array16);
    long long18 = mersenneTwister10.nextLong();
    // The following exception was thrown during execution in test generation
    try {
      int i20 = mersenneTwister10.nextInt(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 8445897050863588844L);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test489"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.0885491877645955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.08831847450281659d);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test490"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round((-0.5558230062359745d), (-1023), (-1079834169));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test491"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.8474337429145731d, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 27.11787977326634d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test492"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.6534742625947831d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2858749016116549d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test493"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.TWO_OR_MORE_VALUES_IN_CATEGORY_REQUIRED;
    java.lang.Object obj1 = new java.lang.Object();
    org.apache.commons.math3.util.Pair pair2 = new org.apache.commons.math3.util.Pair((java.lang.Object)localizedFormats0, obj1);
    java.lang.Object obj3 = pair2.getSecond();
    org.apache.commons.math3.util.Pair pair4 = new org.apache.commons.math3.util.Pair(pair2);
    java.lang.Object obj5 = pair2.getKey();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj5);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test494"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0f, (-0.07871712f), 0.802265f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test495"); }


    double d3 = org.apache.commons.math3.util.Precision.round(0.0d, 5, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test496"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals((-99.99998f), 0.75672764f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test497"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.6033841649634994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6033841649634996d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test498"); }


    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker2 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.2182829050172777d, 6.775827843501124E9d);
    double[] d_array5 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer6 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair9 = new org.apache.commons.math3.optimization.PointValuePair(d_array5, 10.0d, true);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair11 = new org.apache.commons.math3.optimization.PointValuePair(d_array5, Double.NaN);
    double[] d_array13 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair16 = new org.apache.commons.math3.optimization.PointValuePair(d_array13, 0.0d, false);
    java.lang.Object obj17 = pointValuePair16.getSecond();
    double[] d_array18 = pointValuePair16.getPointRef();
    org.apache.commons.math3.optimization.PointValuePair pointValuePair20 = new org.apache.commons.math3.optimization.PointValuePair(d_array18, 0.5403023058681398d);
    boolean b21 = simpleValueChecker2.converged(327741615, pointValuePair11, pointValuePair20);
    double d22 = simpleValueChecker2.getAbsoluteThreshold();
    double d23 = simpleValueChecker2.getAbsoluteThreshold();
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister36 = new org.apache.commons.math3.random.MersenneTwister(8445897050863588844L);
    boolean b37 = mersenneTwister36.nextBoolean();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer39 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(93740670, d_array29, 0, 0.8022650594081673d, false, 338087802, (-1014580284), (org.apache.commons.math3.random.RandomGenerator)mersenneTwister36, false);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair41 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 1.4711276743037347d);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer42 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(3, d_array29);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair44 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 0.0d);
    double[] d_array45 = pointValuePair44.getPoint();
    double[] d_array47 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair50 = new org.apache.commons.math3.optimization.PointValuePair(d_array47, 0.0d, false);
    java.lang.Object obj51 = pointValuePair50.getSecond();
    org.apache.commons.math3.util.Pair pair52 = new org.apache.commons.math3.util.Pair((org.apache.commons.math3.util.Pair)pointValuePair50);
    boolean b53 = simpleValueChecker2.converged(1937831252, pointValuePair44, pointValuePair50);
    java.lang.Object obj54 = pointValuePair50.getFirst();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj17 + "' != '" + 0.0d+ "'", obj17.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 6.775827843501124E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 6.775827843501124E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj51 + "' != '" + 0.0d+ "'", obj51.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj54);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test499"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(8.470329472543003E-22d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest4.test500"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)1.7182445209284818d, (java.lang.Number)0.9960820816966968d, (java.lang.Number)7.295817015018361E-104d);
    java.lang.Number number4 = outOfRangeException3.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.9960820816966968d+ "'", number4.equals(0.9960820816966968d));

  }

}
