
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest9 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test001"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(5729.5779513082325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test002"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-0.010486183977223609d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.010486568347916662d));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test003"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(6.496782061140671d, 0.42868439527217106d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.06651613205810492d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test004"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.07839421769982352d, (-0.0465662975014915d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0783942176998235d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test005"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(6.296254784542902E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0989037653471982E-7d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test006"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1.344058570908068E43d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test007"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-0.3008488743814617d));
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    boolean b3 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test008"); }


    double[] d_array2 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer3 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer12 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister10, false);
    java.util.List list13 = cMAESOptimizer12.getStatisticsDHistory();
    java.util.List list14 = cMAESOptimizer12.getStatisticsDHistory();
    java.util.List list15 = cMAESOptimizer12.getStatisticsFitnessHistory();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list15);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test009"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.TWO_OR_MORE_CATEGORIES_REQUIRED;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.13436424090271992d);
    java.lang.Number number3 = notPositiveException2.getArgument();
    boolean b4 = notPositiveException2.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = new org.apache.commons.math3.exception.util.ExceptionContext((java.lang.Throwable)notPositiveException2);
    java.lang.String str6 = notPositiveException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0.13436424090271992d+ "'", number3.equals(0.13436424090271992d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math3.exception.NotPositiveException: two or more categories required, got 0.134"+ "'", str6.equals("org.apache.commons.math3.exception.NotPositiveException: two or more categories required, got 0.134"));

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test010"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.5974354594654632d, 1.0989037653471982E-7d, 16.255810658840957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test011"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)9.723943146046173d, (java.lang.Number)0.009373890212561416d, true);
    java.lang.String str4 = numberIsTooLargeException3.toString();
    java.lang.Number number5 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooLargeException: 9.724 is larger than the maximum (0.009)"+ "'", str4.equals("org.apache.commons.math3.exception.NumberIsTooLargeException: 9.724 is larger than the maximum (0.009)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.009373890212561416d+ "'", number5.equals(0.009373890212561416d));

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test012"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.069221306921988d, 0.016454887856676596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test013"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)83.14024011661863d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test014"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.024682682989768705d, 0.1428869758893253d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test015"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.018782202971462745d, 0.14469846630823957d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test016"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-0.9339765848655877d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test017"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(-1023), (java.lang.Number)0.0d, false);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test018"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(2.7082427694058855d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9963d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test019"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-1.7976931348623157E308d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.7976931348623157E308d));

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test020"); }


    double[] d_array1 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(100, d_array1);
    int i3 = cMAESOptimizer2.getMaxEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker4 = cMAESOptimizer2.getConvergenceChecker();
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction6 = null;
    org.apache.commons.math3.optimization.GoalType goalType7 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    double[] d_array11 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair14 = new org.apache.commons.math3.optimization.PointValuePair(d_array11, 0.0d, false);
    java.lang.Object obj15 = pointValuePair14.getSecond();
    double[] d_array16 = pointValuePair14.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator22 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker26 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array29 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer30 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array29);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair33 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 10.0d, true);
    double[] d_array35 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair38 = new org.apache.commons.math3.optimization.PointValuePair(d_array35, 0.0d, false);
    java.lang.Object obj39 = pointValuePair38.getSecond();
    boolean b40 = simpleValueChecker26.converged(1, pointValuePair33, pointValuePair38);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer41 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array16, 0, 2.718281828459045d, true, 10, 0, randomGenerator22, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker26);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair43 = new org.apache.commons.math3.optimization.PointValuePair(d_array16, 1.9179488867871778E-9d);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair45 = new org.apache.commons.math3.optimization.PointValuePair(d_array16, 0.9999999999999999d);
    double[] d_array46 = pointValuePair45.getPoint();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister53 = new org.apache.commons.math3.random.MersenneTwister(8445897050863588844L);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister54 = new org.apache.commons.math3.random.MersenneTwister();
    mersenneTwister54.setSeed(10);
    int[] i_array57 = null;
    org.apache.commons.math3.random.MersenneTwister mersenneTwister58 = new org.apache.commons.math3.random.MersenneTwister(i_array57);
    byte[] byte_array59 = new byte[] {  };
    mersenneTwister58.nextBytes(byte_array59);
    mersenneTwister54.nextBytes(byte_array59);
    mersenneTwister53.nextBytes(byte_array59);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker66 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double d67 = simpleValueChecker66.getAbsoluteThreshold();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer68 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(2013722375, d_array46, 100, 11013.232874703393d, true, 0, 1, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister53, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker66);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker71 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.4919351469368358d, 4.641588833612778d);
    double[] d_array74 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair77 = new org.apache.commons.math3.optimization.PointValuePair(d_array74, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException78 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b79 = pointValuePair77.equals((java.lang.Object)mathUnsupportedOperationException78);
    double[] d_array81 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer82 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array81);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair85 = new org.apache.commons.math3.optimization.PointValuePair(d_array81, 10.0d, true);
    double[] d_array86 = pointValuePair85.getPointRef();
    java.lang.Object obj87 = pointValuePair85.getKey();
    boolean b88 = simpleValueChecker71.converged(1, pointValuePair77, pointValuePair85);
    double[] d_array89 = pointValuePair77.getPointRef();
    org.apache.commons.math3.optimization.PointValuePair pointValuePair92 = new org.apache.commons.math3.optimization.PointValuePair(d_array89, 4.591184296476509E19d, false);
    double[] d_array93 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair94 = cMAESOptimizer2.optimize((-7), multivariateFunction6, goalType7, d_array46, d_array89, d_array93);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj15 + "' != '" + 0.0d+ "'", obj15.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj39 + "' != '" + 0.0d+ "'", obj39.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test021"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    incrementor0.resetCount();
    incrementor0.incrementCount((-1882960991));
    int i7 = incrementor0.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test022"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.08866513353837148d, 1.7269712539327982d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7269712539327982d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test023"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.0d, 0.0d, (-0.45163496146870075d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test024"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.6921309f, 0.0f, (-99.99996f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test025"); }


    double[] d_array1 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(100, d_array1);
    int i3 = cMAESOptimizer2.getMaxEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker4 = cMAESOptimizer2.getConvergenceChecker();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker5 = cMAESOptimizer2.getConvergenceChecker();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array6 = cMAESOptimizer2.getLowerBound();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test026"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.75672764f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.75672764f);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test027"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(2780242596957121269L, (-7491853864872071061L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2780242596957121269L);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test028"); }


    double[] d_array1 = null;
    org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister(100L);
    mersenneTwister8.setSeed(4206554034975648306L);
    mersenneTwister8.clear();
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker15 = new org.apache.commons.math3.optimization.SimpleValueChecker(0.13436424090271992d, (-0.07195690173520465d));
    double[] d_array18 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer19 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array18);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair22 = new org.apache.commons.math3.optimization.PointValuePair(d_array18, 10.0d, true);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair24 = new org.apache.commons.math3.optimization.PointValuePair(d_array18, Double.NaN);
    double[] d_array26 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair29 = new org.apache.commons.math3.optimization.PointValuePair(d_array26, 0.0d, false);
    java.lang.Object obj30 = pointValuePair29.getSecond();
    double[] d_array31 = pointValuePair29.getPointRef();
    org.apache.commons.math3.optimization.PointValuePair pointValuePair33 = new org.apache.commons.math3.optimization.PointValuePair(d_array31, 0.5403023058681398d);
    boolean b34 = simpleValueChecker15.converged(12, pointValuePair24, pointValuePair33);
    double d35 = simpleValueChecker15.getRelativeThreshold();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer36 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(18, d_array1, 1560931061, (-0.9011603057788997d), false, (-127), 655267105, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister8, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker15);
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction38 = null;
    org.apache.commons.math3.optimization.GoalType goalType39 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    double[] d_array46 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister53 = new org.apache.commons.math3.random.MersenneTwister(8445897050863588844L);
    boolean b54 = mersenneTwister53.nextBoolean();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer56 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(93740670, d_array46, 0, 0.8022650594081673d, false, 338087802, (-1014580284), (org.apache.commons.math3.random.RandomGenerator)mersenneTwister53, false);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer57 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(1259122480, d_array46);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer58 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(5200, d_array46);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer59 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(2147483647, d_array46);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair60 = cMAESOptimizer36.optimize((-25), multivariateFunction38, goalType39, d_array46);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj30 + "' != '" + 0.0d+ "'", obj30.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.13436424090271992d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == true);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test029"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array1, 10.0d, true);
    double[] d_array6 = pointValuePair5.getPointRef();
    java.lang.Object obj7 = pointValuePair5.getKey();
    double[] d_array8 = pointValuePair5.getPoint();
    java.lang.Object obj9 = pointValuePair5.getFirst();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test030"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)14.143704787427158d, (java.lang.Number)38473.19945576351d, (java.lang.Number)0.42868439527211866d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test031"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.07746929009946407d, 0.7455143669457163d, 1560931061);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test032"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.41635908908416225d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.41635908908416225d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test033"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(10.017874927409903d, 262144, 1882960991);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test034"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.INITIAL_CAPACITY_NOT_POSITIVE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_MEAN;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException7 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, obj_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, (java.lang.Number)(short)(-1), obj_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)1, obj_array6);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math3.exception.MathArithmeticException();
    java.lang.String str11 = mathArithmeticException10.toString();
    java.lang.Throwable[] throwable_array12 = mathArithmeticException10.getSuppressed();
    java.lang.Object[] obj_array13 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array12);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException14 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math3.exception.MathArithmeticException: arithmetic exception"+ "'", str11.equals("org.apache.commons.math3.exception.MathArithmeticException: arithmetic exception"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test035"); }


    double[] d_array2 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer3 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer12 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister10, false);
    mersenneTwister10.clear();
    long long14 = mersenneTwister10.nextLong();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 1452076054732987038L);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test036"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-0.010486568347916662d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.010486568347916662d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test037"); }


    double[] d_array1 = null;
    org.apache.commons.math3.random.RandomGenerator randomGenerator7 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker11 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.5607966601082315d, 5730.0d);
    double d12 = simpleValueChecker11.getRelativeThreshold();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(12, d_array1, 1009701827, 2.302585092994046d, false, 6, (-1), randomGenerator7, false, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker11);
    java.util.List list14 = cMAESOptimizer13.getStatisticsMeanHistory();
    int i15 = cMAESOptimizer13.getMaxEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker16 = cMAESOptimizer13.getConvergenceChecker();
    java.util.List list17 = cMAESOptimizer13.getStatisticsDHistory();
    int[] i_array19 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister20 = new org.apache.commons.math3.random.MersenneTwister(i_array19);
    double d21 = mersenneTwister20.nextDouble();
    mersenneTwister20.setSeed(7837409582861837988L);
    mersenneTwister20.setSeed(1882960991);
    double[] d_array28 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer29 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array28);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister36 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer38 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array28, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister36, false);
    long long39 = mersenneTwister36.nextLong();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister40 = new org.apache.commons.math3.random.MersenneTwister();
    mersenneTwister40.setSeed(10);
    int[] i_array43 = null;
    org.apache.commons.math3.random.MersenneTwister mersenneTwister44 = new org.apache.commons.math3.random.MersenneTwister(i_array43);
    byte[] byte_array45 = new byte[] {  };
    mersenneTwister44.nextBytes(byte_array45);
    mersenneTwister40.nextBytes(byte_array45);
    mersenneTwister36.nextBytes(byte_array45);
    mersenneTwister20.nextBytes(byte_array45);
    org.apache.commons.math3.util.Pair pair50 = new org.apache.commons.math3.util.Pair((java.lang.Object)cMAESOptimizer13, (java.lang.Object)mersenneTwister20);
    int i51 = cMAESOptimizer13.getMaxEvaluations();
    java.util.List list52 = cMAESOptimizer13.getStatisticsMeanHistory();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.13436424090271992d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long39 == 1452076054732987038L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list52);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test038"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.4510709309336693d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1321297789891198d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test039"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(2.4141310816555655E85d, 0.019797424384051d, 976413892);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test040"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.408136868615123d, 1.1983768873984766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test041"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(2.7209682685497256d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.630419496404678d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test042"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.4958643322032013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1436612391369625d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test043"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.107323696639449d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6783452651300512d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test044"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(1.0816326530612246d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test045"); }


    int[] i_array1 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister2 = new org.apache.commons.math3.random.MersenneTwister(i_array1);
    long long3 = mersenneTwister2.nextLong();
    int i5 = mersenneTwister2.nextInt(8);
    double d6 = mersenneTwister2.nextDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 2478582838207141962L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.8022650594081673d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test046"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)(-3), (java.lang.Number)0.9171523356672744d, (java.lang.Number)1.2469769073459873d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test047"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.42956953458201913d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.44290337654077777d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test048"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException2 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array1);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException6 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-1.433780830483027d), (java.lang.Number)4981208062992947122L, true);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException8 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.8506921561246407d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test049"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.42451748f, 6.2499995f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.42451748f);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test050"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.75672764f, (-0.010486183977223609d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.7567276f);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test051"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.0d, 0.0011195157908213773d, 0.018531092291236853d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test052"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(242653419, (-2147483648));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test053"); }


    int[] i_array1 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister2 = new org.apache.commons.math3.random.MersenneTwister(i_array1);
    long long3 = mersenneTwister2.nextLong();
    double d4 = mersenneTwister2.nextGaussian();
    double d5 = mersenneTwister2.nextGaussian();
    int i6 = mersenneTwister2.nextInt();
    float f7 = mersenneTwister2.nextFloat();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister9 = new org.apache.commons.math3.random.MersenneTwister(100L);
    double d10 = mersenneTwister9.nextGaussian();
    mersenneTwister9.clear();
    mersenneTwister9.setSeed(0);
    mersenneTwister9.setSeed(4);
    int[] i_array17 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister18 = new org.apache.commons.math3.random.MersenneTwister(i_array17);
    mersenneTwister9.setSeed(i_array17);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister21 = new org.apache.commons.math3.random.MersenneTwister(0);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister23 = new org.apache.commons.math3.random.MersenneTwister(8445897050863588844L);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister24 = new org.apache.commons.math3.random.MersenneTwister();
    mersenneTwister24.setSeed(10);
    int[] i_array27 = null;
    org.apache.commons.math3.random.MersenneTwister mersenneTwister28 = new org.apache.commons.math3.random.MersenneTwister(i_array27);
    byte[] byte_array29 = new byte[] {  };
    mersenneTwister28.nextBytes(byte_array29);
    mersenneTwister24.nextBytes(byte_array29);
    mersenneTwister23.nextBytes(byte_array29);
    mersenneTwister21.nextBytes(byte_array29);
    mersenneTwister9.nextBytes(byte_array29);
    mersenneTwister2.nextBytes(byte_array29);
    mersenneTwister2.setSeed(1452076054732987038L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 2478582838207141962L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.421885651896664d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-0.6008140850926206d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1095513148);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f7 == 0.11791861f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.9086743489308475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array29);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test054"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)2.748196278246797d, (java.lang.Number)(byte)1, (java.lang.Number)4.0d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test055"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException(number0, (java.lang.Number)0.08878172003506887d, false);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test056"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    int i4 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    int i6 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    boolean b8 = incrementor0.canIncrement();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount(338087802);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test057"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.7033108306539553d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8479639269715182d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test058"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.5370843467987593d, 3.2956269077337098E-12d, 0.0625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test059"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(12, 1222356005);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1222356005);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test060"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.8225191362672397d, 0.4013125264871905d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4013125264871905d);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test061"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.08495229761680663d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-4));

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test062"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 839849605);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test063"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(6.036533944934105E-14d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.656579767664863E13d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test064"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(8.84307387433558E-39d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.843073874335581E-39d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test065"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100L);
    double d2 = mersenneTwister1.nextGaussian();
    mersenneTwister1.clear();
    mersenneTwister1.setSeed(0);
    mersenneTwister1.setSeed(4);
    int[] i_array9 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(i_array9);
    mersenneTwister1.setSeed(i_array9);
    mersenneTwister1.setSeed(0L);
    long long14 = mersenneTwister1.nextLong();
    double d15 = mersenneTwister1.nextDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9086743489308475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 2780242596957121269L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.1955427247895969d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test066"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(3.897396255955938E19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.242912986704154E9d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test067"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.47224522f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test068"); }


    double[] d_array2 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException6 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b7 = pointValuePair5.equals((java.lang.Object)mathUnsupportedOperationException6);
    org.apache.commons.math3.util.Pair pair8 = new org.apache.commons.math3.util.Pair((org.apache.commons.math3.util.Pair)pointValuePair5);
    double[] d_array9 = pointValuePair5.getPoint();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer10 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(100, d_array9);
    org.apache.commons.math3.optimization.GoalType goalType11 = cMAESOptimizer10.getGoalType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType11);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test069"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getCount();
    int i3 = incrementor0.getCount();
    incrementor0.setMaximalCount((-655267105));
    int i6 = incrementor0.getMaximalCount();
    boolean b7 = incrementor0.canIncrement();
    boolean b8 = incrementor0.canIncrement();
    incrementor0.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-655267105));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test070"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.7291144f, 262144);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test071"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.44299309245913404d), 0.12073856289982111d, 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test072"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.04084445256892067d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.04084445256892067d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test073"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.06310677f, 2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.06310677f);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test074"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.01569916537871978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01569981026597603d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test075"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(774.8891f, (-0.07183309342836552d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 774.88904f);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test076"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    boolean b4 = incrementor0.canIncrement();
    incrementor0.resetCount();
    incrementor0.setMaximalCount((-1330796594));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test077"); }


    double[] d_array3 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer4 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array3);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair7 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 10.0d, true);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair10 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 0.0d, true);
    java.lang.Object obj11 = pointValuePair10.getSecond();
    double[] d_array12 = pointValuePair10.getPoint();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(100, d_array12);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer22 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array21);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister29 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer31 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array21, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister29, false);
    byte[] byte_array35 = new byte[] { (byte)0, (byte)(-1), (byte)(-1) };
    mersenneTwister29.nextBytes(byte_array35);
    long long37 = mersenneTwister29.nextLong();
    mersenneTwister29.clear();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer40 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array12, 12, 0.9999999999999889d, false, 10, (-1023), (org.apache.commons.math3.random.RandomGenerator)mersenneTwister29, true);
    mersenneTwister29.clear();
    double d42 = mersenneTwister29.nextGaussian();
    double d43 = mersenneTwister29.nextDouble();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj11 + "' != '" + 0.0d+ "'", obj11.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long37 == 8445897050863588844L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == (-0.5101594552843198d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.2547122790579419d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test078"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.142616120638254d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test079"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.7455143669457163d, 6.775827843501123E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.775827843501123E9d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test080"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(12);
    int i2 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test081"); }


    double[] d_array2 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer3 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer12 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister10, false);
    int i13 = mersenneTwister10.nextInt();
    boolean b14 = mersenneTwister10.nextBoolean();
    mersenneTwister10.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test082"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(4.641588833612778d, 2.360182623737135d, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test083"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(655267105);
    boolean b2 = mersenneTwister1.nextBoolean();
    double d3 = mersenneTwister1.nextDouble();
    mersenneTwister1.setSeed(1471583661082683955L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.2336923255974548d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test084"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException7 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b8 = pointValuePair6.equals((java.lang.Object)mathUnsupportedOperationException7);
    org.apache.commons.math3.util.Pair pair9 = new org.apache.commons.math3.util.Pair((org.apache.commons.math3.util.Pair)pointValuePair6);
    double[] d_array10 = pointValuePair6.getPoint();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer11 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array10);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair14 = new org.apache.commons.math3.optimization.PointValuePair(d_array10, 0.7165256995489035d, false);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair16 = new org.apache.commons.math3.optimization.PointValuePair(d_array10, 5.298292365610485d);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer17 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-3), d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test085"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.SCALE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { localizedFormats2 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array3);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = mathArithmeticException4.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = mathArithmeticException4.getContext();
    java.lang.Object obj8 = exceptionContext6.getValue("");
    java.util.Set set9 = exceptionContext6.getKeys();
    org.apache.commons.math3.util.Pair pair10 = new org.apache.commons.math3.util.Pair((java.lang.Object)2864.789062920583d, (java.lang.Object)exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set9);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test086"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.8839792100757252d, 2.2250738585072014E-308d, 1009701827);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test087"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.36928308f, 8.881784E-16f, (-4096.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test088"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.3780039363410456d, (-0.9999998901096234d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.3780039363410456d));

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test089"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.44301486f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2));

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test090"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.021825671f, (-1014580284));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test091"); }


    int[] i_array1 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister2 = new org.apache.commons.math3.random.MersenneTwister(i_array1);
    long long3 = mersenneTwister2.nextLong();
    int i4 = mersenneTwister2.nextInt();
    int i6 = mersenneTwister2.nextInt(12);
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair13 = new org.apache.commons.math3.optimization.PointValuePair(d_array10, 0.0d, false);
    java.lang.Object obj14 = pointValuePair13.getSecond();
    double[] d_array15 = pointValuePair13.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator21 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker25 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array28 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer29 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array28);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair32 = new org.apache.commons.math3.optimization.PointValuePair(d_array28, 10.0d, true);
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair37 = new org.apache.commons.math3.optimization.PointValuePair(d_array34, 0.0d, false);
    java.lang.Object obj38 = pointValuePair37.getSecond();
    boolean b39 = simpleValueChecker25.converged(1, pointValuePair32, pointValuePair37);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer40 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array15, 0, 2.718281828459045d, true, 10, 0, randomGenerator21, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker25);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair42 = new org.apache.commons.math3.optimization.PointValuePair(d_array15, 1.9179488867871778E-9d);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister49 = new org.apache.commons.math3.random.MersenneTwister(100L);
    double d50 = mersenneTwister49.nextGaussian();
    mersenneTwister49.clear();
    mersenneTwister49.setSeed(0);
    int i54 = mersenneTwister49.nextInt();
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker58 = new org.apache.commons.math3.optimization.SimpleValueChecker(0.9999346490652955d, 1.4646619727113324d);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer59 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-127), d_array15, (-1014580284), 0.9963d, true, (-655267105), 25022203, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister49, false, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker58);
    double[] d_array62 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer63 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array62);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister70 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer72 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array62, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister70, false);
    int i73 = mersenneTwister70.nextInt();
    long long74 = mersenneTwister70.nextLong();
    double d75 = mersenneTwister70.nextGaussian();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException78 = new org.apache.commons.math3.exception.DimensionMismatchException(0, 0);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext79 = dimensionMismatchException78.getContext();
    java.util.Set set80 = exceptionContext79.getKeys();
    java.lang.Throwable throwable81 = exceptionContext79.getThrowable();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister84 = new org.apache.commons.math3.random.MersenneTwister(100L);
    int[] i_array86 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister87 = new org.apache.commons.math3.random.MersenneTwister(i_array86);
    mersenneTwister84.setSeed(i_array86);
    exceptionContext79.setValue("zero denominator in fraction {0}/{1}", (java.lang.Object)i_array86);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister90 = new org.apache.commons.math3.random.MersenneTwister(i_array86);
    mersenneTwister70.setSeed(i_array86);
    mersenneTwister49.setSeed(i_array86);
    mersenneTwister2.setSeed(i_array86);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister94 = new org.apache.commons.math3.random.MersenneTwister(i_array86);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister95 = new org.apache.commons.math3.random.MersenneTwister(i_array86);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister96 = new org.apache.commons.math3.random.MersenneTwister(i_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 2478582838207141962L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-655267105));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj14 + "' != '" + 0.0d+ "'", obj14.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj38 + "' != '" + 0.0d+ "'", obj38.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.9086743489308475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == (-1937831252));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long74 == 8445897050863588844L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == (-0.5101594552843198d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array86);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test092"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.36928308f, 0.0f, 2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test093"); }


    int i1 = org.apache.commons.math3.util.FastMath.round((-0.0625f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test094"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.23369229f, 0.75672764f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test095"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.UNABLE_TO_FIRST_GUESS_HARMONIC_COEFFICIENTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException4 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array3);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = mathUnsupportedOperationException4.getContext();
    java.lang.Throwable throwable6 = exceptionContext5.getThrowable();
    java.lang.Throwable[] throwable_array7 = throwable6.getSuppressed();
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Object[])throwable_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathArithmeticException8.getContext();
    java.lang.Object obj11 = exceptionContext9.getValue("org.apache.commons.math3.exception.DimensionMismatchException: 10 != 10");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj11);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test096"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(1009701827, 27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 27);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test097"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-0.0787171938695459d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.996903401169711d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test098"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(2.9802326E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.5527137E-15f);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test099"); }


    double[] d_array2 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 0.0d, false);
    java.lang.Object obj6 = pointValuePair5.getSecond();
    double[] d_array7 = pointValuePair5.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator13 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker17 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array20 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer21 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array20);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair24 = new org.apache.commons.math3.optimization.PointValuePair(d_array20, 10.0d, true);
    double[] d_array26 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair29 = new org.apache.commons.math3.optimization.PointValuePair(d_array26, 0.0d, false);
    java.lang.Object obj30 = pointValuePair29.getSecond();
    boolean b31 = simpleValueChecker17.converged(1, pointValuePair24, pointValuePair29);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer32 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array7, 0, 2.718281828459045d, true, 10, 0, randomGenerator13, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker17);
    org.apache.commons.math3.optimization.GoalType goalType33 = cMAESOptimizer32.getGoalType();
    java.util.List list34 = cMAESOptimizer32.getStatisticsSigmaHistory();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker35 = cMAESOptimizer32.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj6 + "' != '" + 0.0d+ "'", obj6.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj30 + "' != '" + 0.0d+ "'", obj30.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker35);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test100"); }


    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker2 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.2182829050172777d, 6.775827843501124E9d);
    double[] d_array5 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer6 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair9 = new org.apache.commons.math3.optimization.PointValuePair(d_array5, 10.0d, true);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair11 = new org.apache.commons.math3.optimization.PointValuePair(d_array5, Double.NaN);
    double[] d_array13 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair16 = new org.apache.commons.math3.optimization.PointValuePair(d_array13, 0.0d, false);
    java.lang.Object obj17 = pointValuePair16.getSecond();
    double[] d_array18 = pointValuePair16.getPointRef();
    org.apache.commons.math3.optimization.PointValuePair pointValuePair20 = new org.apache.commons.math3.optimization.PointValuePair(d_array18, 0.5403023058681398d);
    boolean b21 = simpleValueChecker2.converged(327741615, pointValuePair11, pointValuePair20);
    java.lang.Object obj22 = pointValuePair11.getKey();
    int[] i_array24 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister25 = new org.apache.commons.math3.random.MersenneTwister(i_array24);
    long long26 = mersenneTwister25.nextLong();
    int i27 = mersenneTwister25.nextInt();
    float f28 = mersenneTwister25.nextFloat();
    boolean b29 = pointValuePair11.equals((java.lang.Object)f28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj17 + "' != '" + 0.0d+ "'", obj17.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == 2478582838207141962L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == (-655267105));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f28 == 0.80226505f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test101"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-0.009004855654135934d), 0.4560215554707376d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.009004855654135932d));

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test102"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.POPULATION_LIMIT_NOT_POSITIVE;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, 43, 242653419);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test103"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(18.86359145299723d, 0.15739600582033475d, 1095513148);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test104"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.49913895f, 1.1920928E-7f, 27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test105"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 0.0d, false);
    java.lang.Object obj7 = pointValuePair6.getSecond();
    double[] d_array8 = pointValuePair6.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator14 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker18 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer22 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array21);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair25 = new org.apache.commons.math3.optimization.PointValuePair(d_array21, 10.0d, true);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair30 = new org.apache.commons.math3.optimization.PointValuePair(d_array27, 0.0d, false);
    java.lang.Object obj31 = pointValuePair30.getSecond();
    boolean b32 = simpleValueChecker18.converged(1, pointValuePair25, pointValuePair30);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer33 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array8, 0, 2.718281828459045d, true, 10, 0, randomGenerator14, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker18);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair35 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 1.9179488867871778E-9d);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair37 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 0.9999999999999999d);
    double[] d_array38 = pointValuePair37.getPoint();
    double[] d_array46 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer47 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array46);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister54 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer56 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array46, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister54, false);
    int i57 = mersenneTwister54.nextInt();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer59 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(4, d_array38, 25022203, 1.4436354751788103d, true, (-1), 30000, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister54, false);
    java.util.List list60 = cMAESOptimizer59.getStatisticsDHistory();
    int i61 = cMAESOptimizer59.getEvaluations();
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction63 = null;
    org.apache.commons.math3.optimization.GoalType goalType64 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker67 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array70 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer71 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array70);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair74 = new org.apache.commons.math3.optimization.PointValuePair(d_array70, 10.0d, true);
    double[] d_array76 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair79 = new org.apache.commons.math3.optimization.PointValuePair(d_array76, 0.0d, false);
    java.lang.Object obj80 = pointValuePair79.getSecond();
    boolean b81 = simpleValueChecker67.converged(1, pointValuePair74, pointValuePair79);
    java.lang.Object obj82 = pointValuePair74.getSecond();
    double[] d_array83 = pointValuePair74.getPointRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair84 = cMAESOptimizer59.optimize(0, multivariateFunction63, goalType64, d_array83);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj7 + "' != '" + 0.0d+ "'", obj7.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj31 + "' != '" + 0.0d+ "'", obj31.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj80 + "' != '" + 0.0d+ "'", obj80.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj82 + "' != '" + 10.0d+ "'", obj82.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test106"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.OUT_OF_RANGE_ROOT_OF_UNITY_INDEX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.TOO_SMALL_PARAMETERS_RELATIVE_TOLERANCE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_MEAN;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException8 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array7);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, (java.lang.Number)(short)(-1), obj_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array7);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException14 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, (java.lang.Number)2.2250738585072014E-308d);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math3.exception.util.LocalizedFormats.SCALE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { localizedFormats16 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats15, obj_array17);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext19 = mathArithmeticException18.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math3.exception.util.LocalizedFormats.CLASS_DOESNT_IMPLEMENT_COMPARABLE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math3.exception.util.LocalizedFormats.DENOMINATOR_FORMAT;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { localizedFormats21 };
    exceptionContext19.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats20, obj_array22);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException24 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, obj_array22);
    org.apache.commons.math3.util.Pair pair25 = new org.apache.commons.math3.util.Pair((java.lang.Object)mathIllegalArgumentException11, (java.lang.Object)localizedFormats12);
    org.apache.commons.math3.exception.util.Localizable localizable27 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException30 = new org.apache.commons.math3.exception.DimensionMismatchException(1, 1);
    java.lang.Throwable[] throwable_array31 = dimensionMismatchException30.getSuppressed();
    int i32 = dimensionMismatchException30.getDimension();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext33 = dimensionMismatchException30.getContext();
    java.lang.Throwable throwable34 = exceptionContext33.getThrowable();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats35 = org.apache.commons.math3.exception.util.LocalizedFormats.NUMERATOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException41 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats37, (java.lang.Number)(-1L), (java.lang.Number)0.8813735870195429d, false);
    java.lang.Throwable[] throwable_array42 = numberIsTooSmallException41.getSuppressed();
    java.lang.Object[] obj_array43 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array42);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException44 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats36, obj_array43);
    exceptionContext33.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats35, obj_array43);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException46 = new org.apache.commons.math3.exception.MathArithmeticException(localizable27, obj_array43);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException47 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, (java.lang.Number)(-1.0d), obj_array43);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException48 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test107"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(108.00272688554598d, 0.9086743489308475d, 0.26953087034240264d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test108"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_SQUARE_MATRIX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException4 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array3);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = mathUnsupportedOperationException4.getContext();
    java.lang.Throwable throwable6 = exceptionContext5.getThrowable();
    java.lang.Throwable[] throwable_array7 = throwable6.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Object[])throwable_array7);
    java.lang.String str9 = mathIllegalArgumentException8.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math3.exception.MathIllegalArgumentException: non square ({0}x{1}) matrix"+ "'", str9.equals("org.apache.commons.math3.exception.MathIllegalArgumentException: non square ({0}x{1}) matrix"));

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test109"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.8479639269715182d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0121321523594355d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test110"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)0.71314221446842d, (java.lang.Number)1.0851064479210484d, (java.lang.Number)1882960991);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test111"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-0.010486183977223609d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.734723475976807E-18d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test112"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.STANDARD_DEVIATION;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, 10, 59921093);
    java.lang.Number number4 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException5 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test113"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)4.641588833612778d);
    java.lang.String str2 = notPositiveException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math3.exception.NotPositiveException: 4.642 is smaller than the minimum (0)"+ "'", str2.equals("org.apache.commons.math3.exception.NotPositiveException: 4.642 is smaller than the minimum (0)"));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test114"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.039358564f, 0.5691492383803961d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.039358567f);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test115"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(4981208062992947122L);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister3 = new org.apache.commons.math3.random.MersenneTwister(8445897050863588844L);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister();
    mersenneTwister4.setSeed(10);
    int[] i_array7 = null;
    org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister(i_array7);
    byte[] byte_array9 = new byte[] {  };
    mersenneTwister8.nextBytes(byte_array9);
    mersenneTwister4.nextBytes(byte_array9);
    mersenneTwister3.nextBytes(byte_array9);
    mersenneTwister1.nextBytes(byte_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array9);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test116"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister((-1079834169));

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test117"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(7.0f, 0.802265f, 242653419);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test118"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.ZERO_DENOMINATOR;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-712.4446454973049d), (java.lang.Number)(-712.4446454973049d), true);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException6 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.1693178811984979d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = notPositiveException6.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test119"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.49543508531097236d, 1222356005);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test120"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.17741270241744764d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test121"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.978222902468818d, 0.9957129102214886d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3958381877912156d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test122"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1.2277699630522962d, number1, true);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test123"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.7482819672876823d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2899754104252904d));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test124"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-5.200917706115296d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test125"); }


    double[] d_array4 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair7 = new org.apache.commons.math3.optimization.PointValuePair(d_array4, 0.0d, false);
    java.lang.Object obj8 = pointValuePair7.getFirst();
    double[] d_array9 = pointValuePair7.getPoint();
    org.apache.commons.math3.optimization.PointValuePair pointValuePair11 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, 0.46692148772244263d);
    org.apache.commons.math3.random.RandomGenerator randomGenerator17 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer19 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(35, d_array9, 2013722375, (-11.975555579989868d), false, (-53), (-6), randomGenerator17, true);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister26 = new org.apache.commons.math3.random.MersenneTwister(100L);
    mersenneTwister26.setSeed((-712L));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer30 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-5), d_array9, 2, 1.9874953704460259d, true, 0, 8, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister26, false);
    org.apache.commons.math3.random.RandomGenerator randomGenerator36 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer38 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(27, d_array9, 1, 0.866531296165219d, false, 577090037, 0, randomGenerator36, false);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array39 = cMAESOptimizer38.getStartPoint();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test126"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.5403782519145798d, 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 69.16841624506621d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test127"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.80226517f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.9604645E-8f);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test128"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number0, (java.lang.Number)0.7151893652121089d, true);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test129"); }


    java.lang.Object obj0 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SCALE;
    org.apache.commons.math3.util.Pair pair2 = new org.apache.commons.math3.util.Pair(obj0, (java.lang.Object)localizedFormats1);
    java.lang.Object obj3 = pair2.getFirst();
    java.lang.Object obj4 = pair2.getSecond();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj4);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test130"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1L);
    int i3 = mersenneTwister1.nextInt(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 3);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test131"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)868);
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 868+ "'", number2.equals(868));

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test132"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(21727);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 21727);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test133"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.OVERFLOW_IN_SUBTRACTION;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)3.4825423335237806d);
    java.util.Locale locale3 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str4 = localizedFormats0.getLocalizedString(locale3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test134"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.5696768105363728d, 0.5169658075432558d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2526392130008814d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test135"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(2.028241E31f, 0.07871712f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test136"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.ZERO_NOT_ALLOWED;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(3, (-127));
    int i4 = dimensionMismatchException3.getDimension();
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException8 = new org.apache.commons.math3.exception.DimensionMismatchException(1259122480, 100);
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException10 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(short)(-1));
    java.lang.Number number11 = notStrictlyPositiveException10.getMin();
    java.lang.Number number12 = notStrictlyPositiveException10.getMin();
    dimensionMismatchException8.addSuppressed((java.lang.Throwable)notStrictlyPositiveException10);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math3.exception.util.LocalizedFormats.ILL_CONDITIONED_OPERATOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math3.exception.util.LocalizedFormats.WRONG_BLOCK_LENGTH;
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats15, obj_array16);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_SQUARE_MATRIX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException22 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats19, obj_array21);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext23 = mathUnsupportedOperationException22.getContext();
    java.lang.Throwable throwable24 = exceptionContext23.getThrowable();
    java.lang.Throwable[] throwable_array25 = throwable24.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats18, (java.lang.Object[])throwable_array25);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException27 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats15, (java.lang.Object[])throwable_array25);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException10, (org.apache.commons.math3.exception.util.Localizable)localizedFormats14, (java.lang.Object[])throwable_array25);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException29 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)dimensionMismatchException3, localizable5, (java.lang.Object[])throwable_array25);
    java.lang.Object[] obj_array30 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array25);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException31 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 0+ "'", number11.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 0+ "'", number12.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test137"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.117088861174388d, 1.4288992721907328d, 655267105);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test138"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(33526.426068629255d, (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2095.4016292893284d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test139"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.3287130645882126d, 0.7735051574164656d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.245875581101265d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test140"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(29950.52647362234d, 0.49049488913772127d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.49049488913772127d);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test141"); }


    double d2 = org.apache.commons.math3.util.Precision.round(5730.0d, 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5730.0d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test142"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test143"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(59921093, 18);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.COLUMN_INDEX_OUT_OF_RANGE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.INTERNAL_ERROR;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException7 = new org.apache.commons.math3.exception.DimensionMismatchException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, (-5), 0);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_ENOUGH_DATA_REGRESSION;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException12 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats9, obj_array11);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats8, obj_array11);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, obj_array11);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)dimensionMismatchException2, (org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test144"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.VECTOR_MUST_HAVE_AT_LEAST_ONE_ELEMENT;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException6 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, (java.lang.Number)1.9179488867871778E-9d, (java.lang.Number)0.0f, false);
    java.lang.Number number7 = numberIsTooLargeException6.getMax();
    java.lang.Number number8 = numberIsTooLargeException6.getMax();
    double[] d_array11 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair14 = new org.apache.commons.math3.optimization.PointValuePair(d_array11, 0.0d, false);
    java.lang.Object obj15 = pointValuePair14.getSecond();
    double[] d_array16 = pointValuePair14.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator22 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker26 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array29 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer30 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array29);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair33 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 10.0d, true);
    double[] d_array35 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair38 = new org.apache.commons.math3.optimization.PointValuePair(d_array35, 0.0d, false);
    java.lang.Object obj39 = pointValuePair38.getSecond();
    boolean b40 = simpleValueChecker26.converged(1, pointValuePair33, pointValuePair38);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer41 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array16, 0, 2.718281828459045d, true, 10, 0, randomGenerator22, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker26);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair44 = new org.apache.commons.math3.optimization.PointValuePair(d_array16, Double.NaN, false);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair46 = new org.apache.commons.math3.optimization.PointValuePair(d_array16, 1.5573607112098176d);
    org.apache.commons.math3.util.Pair pair47 = new org.apache.commons.math3.util.Pair((java.lang.Object)number8, (java.lang.Object)d_array16);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer48 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(8, d_array16);
    org.apache.commons.math3.random.RandomGenerator randomGenerator54 = null;
    double[] d_array57 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer58 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array57);
    org.apache.commons.math3.optimization.GoalType goalType59 = cMAESOptimizer58.getGoalType();
    int i60 = cMAESOptimizer58.getMaxEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker61 = cMAESOptimizer58.getConvergenceChecker();
    java.util.List list62 = cMAESOptimizer58.getStatisticsMeanHistory();
    java.util.List list63 = cMAESOptimizer58.getStatisticsSigmaHistory();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker64 = cMAESOptimizer58.getConvergenceChecker();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer65 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(12, d_array16, 43, 3.141592653589793d, false, (-1), 18, randomGenerator54, true, convergenceChecker64);
    int i66 = cMAESOptimizer65.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.0f+ "'", number7.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0.0f+ "'", number8.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj15 + "' != '" + 0.0d+ "'", obj15.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj39 + "' != '" + 0.0d+ "'", obj39.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test145"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(3063839374913541636L);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test146"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(2.3632256259657867d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test147"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.4593686874373555d, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.674949499498844d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test148"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.001119516024672494d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test149"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_INCREASING_NUMBER_OF_POINTS;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)5935515629882433952L, (java.lang.Number)(-0.8414709848078964d), (java.lang.Number)0.6931020512916352d);
    java.lang.Number number5 = outOfRangeException4.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.6931020512916352d+ "'", number5.equals(0.6931020512916352d));

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test150"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.002509233903870841d, 9.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test151"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.26358888148991416d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.269868088134417d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test152"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-655267105), (-1));
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = dimensionMismatchException2.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.NEGATIVE_NUMBER_OF_TRIALS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException8 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathUnsupportedOperationException8.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = mathUnsupportedOperationException8.getContext();
    java.lang.Throwable[] throwable_array11 = mathUnsupportedOperationException8.getSuppressed();
    exceptionContext3.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, (java.lang.Object[])throwable_array11);
    double[] d_array17 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer18 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array17);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister25 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer27 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array17, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister25, false);
    double[] d_array36 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer37 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array36);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister44 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer46 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array36, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister44, false);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister53 = new org.apache.commons.math3.random.MersenneTwister(0);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker57 = new org.apache.commons.math3.optimization.SimpleValueChecker(0.9999097434746644d, 0.0d);
    double d58 = simpleValueChecker57.getRelativeThreshold();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer59 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1023), d_array36, 12, 1.4810552260868695d, false, 1937831252, 25022203, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister53, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker57);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer61 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(30000, d_array17, 0, 0.6033841649634994d, false, 32, 30447295, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister53, true);
    java.util.List list62 = cMAESOptimizer61.getStatisticsMeanHistory();
    exceptionContext3.setValue("string \"{0}\" unparseable (from position {1}) as an object of type {2}", (java.lang.Object)list62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.9999097434746644d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list62);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test153"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.9037510304058525d, 0.4170220046815991d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.958674961612163d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test154"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(8.881785E-16f, 0.8022652f, (-47));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test155"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.005686246126657743d, 35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.623601618997205E-79d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test156"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, 1.0989037653472025E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test157"); }


    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException0 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext1 = mathUnsupportedOperationException0.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = mathUnsupportedOperationException0.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.SCALE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { localizedFormats5 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, obj_array6);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = mathArithmeticException7.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathArithmeticException7.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = mathArithmeticException7.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.VECTOR_MUST_HAVE_AT_LEAST_ONE_ELEMENT;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException16 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, (java.lang.Number)1.9179488867871778E-9d, (java.lang.Number)0.0f, false);
    java.lang.Number number17 = numberIsTooLargeException16.getArgument();
    java.lang.Number number18 = numberIsTooLargeException16.getMax();
    exceptionContext10.setValue("org.apache.commons.math3.exception.MaxCountExceededException: illegal state: method not supported in dimension 100", (java.lang.Object)numberIsTooLargeException16);
    exceptionContext2.setValue("unable to solve: singular problem", (java.lang.Object)numberIsTooLargeException16);
    exceptionContext2.setValue("org.apache.commons.math3.exception.OutOfRangeException: must have n >= 0 for n!, got n = 100", (java.lang.Object)0.5919414385456868d);
    java.util.Set set24 = exceptionContext2.getKeys();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 1.9179488867871778E-9d+ "'", number17.equals(1.9179488867871778E-9d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 0.0f+ "'", number18.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set24);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test158"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0d, 1.5687487184294058d, 4.722217422458345d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test159"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    org.apache.commons.math3.optimization.GoalType goalType3 = cMAESOptimizer2.getGoalType();
    int i4 = cMAESOptimizer2.getMaxEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker5 = cMAESOptimizer2.getConvergenceChecker();
    java.util.List list6 = cMAESOptimizer2.getStatisticsMeanHistory();
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction8 = null;
    org.apache.commons.math3.optimization.GoalType goalType9 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    double[] d_array14 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister21 = new org.apache.commons.math3.random.MersenneTwister(8445897050863588844L);
    boolean b22 = mersenneTwister21.nextBoolean();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer24 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(93740670, d_array14, 0, 0.8022650594081673d, false, 338087802, (-1014580284), (org.apache.commons.math3.random.RandomGenerator)mersenneTwister21, false);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer25 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(1259122480, d_array14);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair27 = new org.apache.commons.math3.optimization.PointValuePair(d_array14, 0.15739600582033475d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair28 = cMAESOptimizer2.optimize(50, multivariateFunction8, goalType9, d_array14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test160"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)2.2250738585072014E-308d, (java.lang.Number)(-3.7542440286369883d), (java.lang.Number)0.07879871521265389d);
    java.lang.Number number4 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.07879871521265389d+ "'", number4.equals(0.07879871521265389d));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test161"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.04084445256892067d, 1.0851146450736116d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.04084445256892067d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test162"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-0.0718330934283653d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.115733082814261d));

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test163"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(0L, 7L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test164"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(-0.6008140850926206d));
    java.lang.String str2 = tooManyEvaluationsException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math3.exception.TooManyEvaluationsException: illegal state: maximal count (-0.601) exceeded: evaluations"+ "'", str2.equals("org.apache.commons.math3.exception.TooManyEvaluationsException: illegal state: maximal count (-0.601) exceeded: evaluations"));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test165"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NUMBER_OF_INTERPOLATION_POINTS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.06440208633189615d, (java.lang.Number)2L, false);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException8 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathUnsupportedOperationException8.getContext();
    java.util.Set set10 = exceptionContext9.getKeys();
    java.lang.Throwable throwable11 = exceptionContext9.getThrowable();
    numberIsTooSmallException4.addSuppressed(throwable11);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext13 = numberIsTooSmallException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext13);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test166"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(9.359911529149927E-4d, 1.3093500516866856d, 43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test167"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 0.0d, false);
    java.lang.Object obj7 = pointValuePair6.getSecond();
    double[] d_array8 = pointValuePair6.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator14 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker18 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer22 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array21);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair25 = new org.apache.commons.math3.optimization.PointValuePair(d_array21, 10.0d, true);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair30 = new org.apache.commons.math3.optimization.PointValuePair(d_array27, 0.0d, false);
    java.lang.Object obj31 = pointValuePair30.getSecond();
    boolean b32 = simpleValueChecker18.converged(1, pointValuePair25, pointValuePair30);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer33 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array8, 0, 2.718281828459045d, true, 10, 0, randomGenerator14, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker18);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair35 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 1.9179488867871778E-9d);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair37 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 0.9999999999999999d);
    double[] d_array38 = pointValuePair37.getPoint();
    double[] d_array46 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer47 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array46);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister54 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer56 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array46, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister54, false);
    int i57 = mersenneTwister54.nextInt();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer59 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(4, d_array38, 25022203, 1.4436354751788103d, true, (-1), 30000, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister54, false);
    java.util.List list60 = cMAESOptimizer59.getStatisticsDHistory();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array61 = cMAESOptimizer59.getStartPoint();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj7 + "' != '" + 0.0d+ "'", obj7.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj31 + "' != '" + 0.0d+ "'", obj31.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list60);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test168"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.08878135279036908d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.09284168341725484d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test169"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.7838482210737451d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3232642898929212d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test170"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.90000004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.9000001f);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test171"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.5213902276543251d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.48061299196441d));

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test172"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)0.13436424090271992d, (java.lang.Number)10.0d, (java.lang.Number)1.0f);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = outOfRangeException3.getContext();
    java.lang.Number number5 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.0f+ "'", number5.equals(1.0f));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test173"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.015778955673952d, 2.447823376291469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.015778955673952d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test174"); }


    double[] d_array2 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer3 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 10.0d, true);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair9 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 0.0d, true);
    int[] i_array16 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister17 = new org.apache.commons.math3.random.MersenneTwister(i_array16);
    long long18 = mersenneTwister17.nextLong();
    double d19 = mersenneTwister17.nextGaussian();
    double d20 = mersenneTwister17.nextGaussian();
    double[] d_array24 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair27 = new org.apache.commons.math3.optimization.PointValuePair(d_array24, 0.0d, false);
    java.lang.Object obj28 = pointValuePair27.getSecond();
    double[] d_array29 = pointValuePair27.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator35 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker39 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array42 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer43 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array42);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair46 = new org.apache.commons.math3.optimization.PointValuePair(d_array42, 10.0d, true);
    double[] d_array48 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair51 = new org.apache.commons.math3.optimization.PointValuePair(d_array48, 0.0d, false);
    java.lang.Object obj52 = pointValuePair51.getSecond();
    boolean b53 = simpleValueChecker39.converged(1, pointValuePair46, pointValuePair51);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer54 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array29, 0, 2.718281828459045d, true, 10, 0, randomGenerator35, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker39);
    double d55 = simpleValueChecker39.getRelativeThreshold();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer56 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1014580284), d_array2, 10, (-0.5440211108893698d), true, (-655267105), 100, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister17, false, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker39);
    boolean b57 = mersenneTwister17.nextBoolean();
    int i59 = mersenneTwister17.nextInt(65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 2478582838207141962L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.421885651896664d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == (-0.6008140850926206d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj28 + "' != '" + 0.0d+ "'", obj28.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj52 + "' != '" + 0.0d+ "'", obj52.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 54);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test175"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.2867136427703636d, 0.11021491576018706d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test176"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.49636331778410137d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8793202731682679d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test177"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException3 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array2);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException8 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array7);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)100.0d, obj_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = maxCountExceededException9.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = new org.apache.commons.math3.exception.util.ExceptionContext((java.lang.Throwable)maxCountExceededException9);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math3.exception.util.LocalizedFormats.OUT_OF_RANGE_ROOT_OF_UNITY_INDEX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math3.exception.util.LocalizedFormats.TOO_SMALL_PARAMETERS_RELATIVE_TOLERANCE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_MEAN;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException20 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats17, obj_array19);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException21 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats15, (java.lang.Number)(short)(-1), obj_array19);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats14, obj_array19);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats13, obj_array19);
    exceptionContext11.setValue("real format", (java.lang.Object)mathIllegalArgumentException23);
    java.lang.Object obj26 = null;
    exceptionContext11.setValue("org.apache.commons.math3.exception.TooManyEvaluationsException: illegal state: maximal count (1.471) exceeded: evaluations", obj26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test178"); }


    double[] d_array3 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer4 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array3);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister11 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array3, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister11, false);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister20 = new org.apache.commons.math3.random.MersenneTwister(0);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker24 = new org.apache.commons.math3.optimization.SimpleValueChecker(0.9999097434746644d, 0.0d);
    double d25 = simpleValueChecker24.getRelativeThreshold();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer26 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1023), d_array3, 12, 1.4810552260868695d, false, 1937831252, 25022203, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister20, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker24);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker30 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.5607966601082315d, 5730.0d);
    double[] d_array32 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair34 = new org.apache.commons.math3.optimization.PointValuePair(d_array32, (-0.37480524448791047d));
    double[] d_array35 = pointValuePair34.getPoint();
    double[] d_array37 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair40 = new org.apache.commons.math3.optimization.PointValuePair(d_array37, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException41 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b42 = pointValuePair40.equals((java.lang.Object)mathUnsupportedOperationException41);
    java.lang.Object obj43 = pointValuePair40.getValue();
    boolean b44 = simpleValueChecker30.converged(25022203, pointValuePair34, pointValuePair40);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker47 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.4919351469368358d, 4.641588833612778d);
    double[] d_array50 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair53 = new org.apache.commons.math3.optimization.PointValuePair(d_array50, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException54 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b55 = pointValuePair53.equals((java.lang.Object)mathUnsupportedOperationException54);
    double[] d_array57 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer58 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array57);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair61 = new org.apache.commons.math3.optimization.PointValuePair(d_array57, 10.0d, true);
    double[] d_array62 = pointValuePair61.getPointRef();
    java.lang.Object obj63 = pointValuePair61.getKey();
    boolean b64 = simpleValueChecker47.converged(1, pointValuePair53, pointValuePair61);
    boolean b65 = simpleValueChecker24.converged(30000, pointValuePair34, pointValuePair53);
    org.apache.commons.math3.util.Pair pair66 = new org.apache.commons.math3.util.Pair((org.apache.commons.math3.util.Pair)pointValuePair53);
    org.apache.commons.math3.util.Pair pair67 = new org.apache.commons.math3.util.Pair(pair66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.9999097434746644d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj43 + "' != '" + 0.0d+ "'", obj43.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test179"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(104289926);
    double[] d_array5 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer6 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair9 = new org.apache.commons.math3.optimization.PointValuePair(d_array5, 10.0d, true);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array5, 0.0d, true);
    java.lang.Object obj13 = pointValuePair12.getSecond();
    double[] d_array14 = pointValuePair12.getPoint();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer15 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(100, d_array14);
    double[] d_array23 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer24 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array23);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister31 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer33 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array23, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister31, false);
    byte[] byte_array37 = new byte[] { (byte)0, (byte)(-1), (byte)(-1) };
    mersenneTwister31.nextBytes(byte_array37);
    long long39 = mersenneTwister31.nextLong();
    mersenneTwister31.clear();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer42 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array14, 12, 0.9999999999999889d, false, 10, (-1023), (org.apache.commons.math3.random.RandomGenerator)mersenneTwister31, true);
    mersenneTwister31.clear();
    long long44 = mersenneTwister31.nextLong();
    int[] i_array46 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister47 = new org.apache.commons.math3.random.MersenneTwister(i_array46);
    byte[] byte_array51 = new byte[] { (byte)100, (byte)0, (byte)10 };
    mersenneTwister47.nextBytes(byte_array51);
    mersenneTwister31.nextBytes(byte_array51);
    mersenneTwister1.nextBytes(byte_array51);
    // The following exception was thrown during execution in test generation
    try {
      int i56 = mersenneTwister1.nextInt(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj13 + "' != '" + 0.0d+ "'", obj13.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long39 == 8445897050863588844L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long44 == 7837409582861837988L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array51);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test180"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(Float.NEGATIVE_INFINITY, 0.46885622f, 839849605);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test181"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(3219033915453980972L);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test182"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.8579456142318722d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test183"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.4245175f, 8.881784E-16f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.4245175f);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test184"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test185"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0d, 0.14288697588932528d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test186"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-5.366232273174298E-4d), (-0.6020318266835689d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6020320658440402d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test187"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-0.07183309342836552d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test188"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(25022203);
    incrementor1.setMaximalCount(655267105);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test189"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-0.07871712f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-4));

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test190"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.30903160681469705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5559061133093403d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test191"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.570645300200989d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0231027935742487d);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test192"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.016253335990741136d, 11013.232874703393d, 1.5428195302386352d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test193"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.44914815431898303d, 2.0154611791980828d, 12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test194"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.75672764f, (-47));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.3768732E-15f);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test195"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(5.551115123125783E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test196"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.4142135623730951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test197"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.SIMPLE_MESSAGE;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.4142135623730951d, (java.lang.Number)0.8248501627407814d, false);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Number number6 = numberIsTooLargeException4.getMax();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = numberIsTooLargeException4.getContext();
    exceptionContext7.setValue("org.apache.commons.math3.exception.NumberIsTooLargeException: vector must have at least one element", (java.lang.Object)6.513011550775108E9d);
    java.util.Set set11 = exceptionContext7.getKeys();
    java.lang.Object obj13 = exceptionContext7.getValue("org.apache.commons.math3.exception.NumberIsTooLargeException: 0.669 is larger than the maximum (3.746)");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.8248501627407814d+ "'", number6.equals(0.8248501627407814d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj13);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test198"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(57.295779513082316d, (-15.993724371811345d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test199"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-0.07871712f), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.07871711f));

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test200"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8648871746486944765L);
    int i2 = mersenneTwister1.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2112343454);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test201"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.5844195940526133d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7939494644781058d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test202"); }


    double d2 = org.apache.commons.math3.util.Precision.round(0.761511811895975d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test203"); }


    int[] i_array1 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister2 = new org.apache.commons.math3.random.MersenneTwister(i_array1);
    long long3 = mersenneTwister2.nextLong();
    int i4 = mersenneTwister2.nextInt();
    int i6 = mersenneTwister2.nextInt(12);
    double[] d_array10 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair13 = new org.apache.commons.math3.optimization.PointValuePair(d_array10, 0.0d, false);
    java.lang.Object obj14 = pointValuePair13.getSecond();
    double[] d_array15 = pointValuePair13.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator21 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker25 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array28 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer29 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array28);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair32 = new org.apache.commons.math3.optimization.PointValuePair(d_array28, 10.0d, true);
    double[] d_array34 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair37 = new org.apache.commons.math3.optimization.PointValuePair(d_array34, 0.0d, false);
    java.lang.Object obj38 = pointValuePair37.getSecond();
    boolean b39 = simpleValueChecker25.converged(1, pointValuePair32, pointValuePair37);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer40 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array15, 0, 2.718281828459045d, true, 10, 0, randomGenerator21, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker25);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair42 = new org.apache.commons.math3.optimization.PointValuePair(d_array15, 1.9179488867871778E-9d);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister49 = new org.apache.commons.math3.random.MersenneTwister(100L);
    double d50 = mersenneTwister49.nextGaussian();
    mersenneTwister49.clear();
    mersenneTwister49.setSeed(0);
    int i54 = mersenneTwister49.nextInt();
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker58 = new org.apache.commons.math3.optimization.SimpleValueChecker(0.9999346490652955d, 1.4646619727113324d);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer59 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-127), d_array15, (-1014580284), 0.9963d, true, (-655267105), 25022203, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister49, false, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker58);
    double[] d_array62 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer63 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array62);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister70 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer72 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array62, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister70, false);
    int i73 = mersenneTwister70.nextInt();
    long long74 = mersenneTwister70.nextLong();
    double d75 = mersenneTwister70.nextGaussian();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException78 = new org.apache.commons.math3.exception.DimensionMismatchException(0, 0);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext79 = dimensionMismatchException78.getContext();
    java.util.Set set80 = exceptionContext79.getKeys();
    java.lang.Throwable throwable81 = exceptionContext79.getThrowable();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister84 = new org.apache.commons.math3.random.MersenneTwister(100L);
    int[] i_array86 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister87 = new org.apache.commons.math3.random.MersenneTwister(i_array86);
    mersenneTwister84.setSeed(i_array86);
    exceptionContext79.setValue("zero denominator in fraction {0}/{1}", (java.lang.Object)i_array86);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister90 = new org.apache.commons.math3.random.MersenneTwister(i_array86);
    mersenneTwister70.setSeed(i_array86);
    mersenneTwister49.setSeed(i_array86);
    mersenneTwister2.setSeed(i_array86);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister94 = new org.apache.commons.math3.random.MersenneTwister(i_array86);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister95 = new org.apache.commons.math3.random.MersenneTwister(i_array86);
    int i97 = mersenneTwister95.nextInt(32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 2478582838207141962L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-655267105));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj14 + "' != '" + 0.0d+ "'", obj14.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj38 + "' != '" + 0.0d+ "'", obj38.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.9086743489308475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == (-1937831252));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long74 == 8445897050863588844L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == (-0.5101594552843198d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i97 == 4);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test204"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.9037510304058525d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test205"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.ZERO_DENOMINATOR;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-712.4446454973049d), (java.lang.Number)(-712.4446454973049d), true);
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_ENOUGH_DATA_REGRESSION;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException11 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats8, obj_array10);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable6, (org.apache.commons.math3.exception.util.Localizable)localizedFormats7, obj_array10);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.0025811062437018d, obj_array10);
    java.lang.Number number14 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException15 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, number14);
    java.lang.String str16 = localizedFormats0.getSourceString();
    java.util.Locale locale17 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str18 = localizedFormats0.getLocalizedString(locale17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "denominator must be different from 0"+ "'", str16.equals("denominator must be different from 0"));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test206"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0f, 0.6764386613548281d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test207"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.47224522f, 8.653397151028901d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.47224525f);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test208"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_ENOUGH_DATA_REGRESSION;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException5 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array4);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable0, (org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array4);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math3.exception.util.LocalizedFormats.NUMBER_OF_ELEMENTS_SHOULD_BE_POSITIVE;
    org.apache.commons.math3.util.Pair pair8 = new org.apache.commons.math3.util.Pair((java.lang.Object)localizedFormats1, (java.lang.Object)localizedFormats7);
    java.lang.Object obj9 = pair8.getSecond();
    java.lang.Object obj10 = pair8.getValue();
    java.lang.Object obj11 = pair8.getKey();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj11);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test209"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(104289926);
    incrementor1.incrementCount((-2));
    int i4 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 104289926);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test210"); }


    double[] d_array3 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer4 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array3);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister11 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array3, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister11, false);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister20 = new org.apache.commons.math3.random.MersenneTwister(0);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker24 = new org.apache.commons.math3.optimization.SimpleValueChecker(0.9999097434746644d, 0.0d);
    double d25 = simpleValueChecker24.getRelativeThreshold();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer26 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1023), d_array3, 12, 1.4810552260868695d, false, 1937831252, 25022203, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister20, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker24);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker30 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.5607966601082315d, 5730.0d);
    double[] d_array32 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair34 = new org.apache.commons.math3.optimization.PointValuePair(d_array32, (-0.37480524448791047d));
    double[] d_array35 = pointValuePair34.getPoint();
    double[] d_array37 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair40 = new org.apache.commons.math3.optimization.PointValuePair(d_array37, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException41 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b42 = pointValuePair40.equals((java.lang.Object)mathUnsupportedOperationException41);
    java.lang.Object obj43 = pointValuePair40.getValue();
    boolean b44 = simpleValueChecker30.converged(25022203, pointValuePair34, pointValuePair40);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker47 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.4919351469368358d, 4.641588833612778d);
    double[] d_array50 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair53 = new org.apache.commons.math3.optimization.PointValuePair(d_array50, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException54 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b55 = pointValuePair53.equals((java.lang.Object)mathUnsupportedOperationException54);
    double[] d_array57 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer58 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array57);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair61 = new org.apache.commons.math3.optimization.PointValuePair(d_array57, 10.0d, true);
    double[] d_array62 = pointValuePair61.getPointRef();
    java.lang.Object obj63 = pointValuePair61.getKey();
    boolean b64 = simpleValueChecker47.converged(1, pointValuePair53, pointValuePair61);
    boolean b65 = simpleValueChecker24.converged(30000, pointValuePair34, pointValuePair53);
    org.apache.commons.math3.util.Pair pair66 = new org.apache.commons.math3.util.Pair((org.apache.commons.math3.util.Pair)pointValuePair53);
    java.lang.Object obj67 = pointValuePair53.getKey();
    double[] d_array68 = pointValuePair53.getPoint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.9999097434746644d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj43 + "' != '" + 0.0d+ "'", obj43.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test211"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.00184618561967836d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.00184618561967836d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test212"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(3.8834864931005E-310d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test213"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(19L, 19L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 19L);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test214"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(Float.NaN, 0.7637746f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test215"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)0.13436424090271992d, (java.lang.Number)10.0d, (java.lang.Number)1.0f);
    java.lang.Number number4 = outOfRangeException3.getLo();
    java.lang.Number number5 = outOfRangeException3.getHi();
    java.lang.Number number6 = outOfRangeException3.getArgument();
    java.lang.Number number7 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 10.0d+ "'", number4.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.0f+ "'", number5.equals(1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.13436424090271992d+ "'", number6.equals(0.13436424090271992d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 1.0f+ "'", number7.equals(1.0f));

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test216"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)0.42868439527217106d, (java.lang.Number)1.4958643322032013d, (java.lang.Number)(-8663130145794615806L));
    java.lang.String str4 = outOfRangeException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math3.exception.OutOfRangeException: 0.429 out of [1.496, -8,663,130,145,794,615,806] range"+ "'", str4.equals("org.apache.commons.math3.exception.OutOfRangeException: 0.429 out of [1.496, -8,663,130,145,794,615,806] range"));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test217"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.351249872567267d, (-3.6841189821057436E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3512498725672668d);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test218"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    int i4 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(338087802);
    incrementor0.incrementCount();
    incrementor0.incrementCount(65);
    boolean b10 = incrementor0.canIncrement();
    boolean b11 = incrementor0.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test219"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.003105011664156d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7869482614498038d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test220"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(3.860921062872504d, 3.6932208605852663d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.6932208605852663d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test221"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(7.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 7);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test222"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.7567276f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.7567276f);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test223"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 0.0d, false);
    java.lang.Object obj7 = pointValuePair6.getSecond();
    double[] d_array8 = pointValuePair6.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator14 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker18 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer22 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array21);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair25 = new org.apache.commons.math3.optimization.PointValuePair(d_array21, 10.0d, true);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair30 = new org.apache.commons.math3.optimization.PointValuePair(d_array27, 0.0d, false);
    java.lang.Object obj31 = pointValuePair30.getSecond();
    boolean b32 = simpleValueChecker18.converged(1, pointValuePair25, pointValuePair30);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer33 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array8, 0, 2.718281828459045d, true, 10, 0, randomGenerator14, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker18);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair36 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, Double.NaN, false);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair38 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 1.5573607112098176d);
    double[] d_array39 = pointValuePair38.getPointRef();
    double[] d_array47 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer48 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array47);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister55 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer57 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array47, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister55, false);
    byte[] byte_array61 = new byte[] { (byte)0, (byte)(-1), (byte)(-1) };
    mersenneTwister55.nextBytes(byte_array61);
    long long63 = mersenneTwister55.nextLong();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException66 = new org.apache.commons.math3.exception.DimensionMismatchException(0, 0);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext67 = dimensionMismatchException66.getContext();
    java.util.Set set68 = exceptionContext67.getKeys();
    java.lang.Throwable throwable69 = exceptionContext67.getThrowable();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister72 = new org.apache.commons.math3.random.MersenneTwister(100L);
    int[] i_array74 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister75 = new org.apache.commons.math3.random.MersenneTwister(i_array74);
    mersenneTwister72.setSeed(i_array74);
    exceptionContext67.setValue("zero denominator in fraction {0}/{1}", (java.lang.Object)i_array74);
    mersenneTwister55.setSeed(i_array74);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister79 = new org.apache.commons.math3.random.MersenneTwister(i_array74);
    double d80 = mersenneTwister79.nextDouble();
    int[] i_array81 = null;
    mersenneTwister79.setSeed(i_array81);
    double[] d_array85 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer86 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1014580284), d_array85);
    java.util.List list87 = cMAESOptimizer86.getStatisticsSigmaHistory();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker88 = cMAESOptimizer86.getConvergenceChecker();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer89 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-849265104), d_array39, 288545018, 9.869604401089358d, false, 12, 2147483647, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister79, true, convergenceChecker88);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array90 = cMAESOptimizer89.getLowerBound();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj7 + "' != '" + 0.0d+ "'", obj7.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj31 + "' != '" + 0.0d+ "'", obj31.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long63 == 8445897050863588844L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.13436424090271992d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker88);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test224"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(20.09946273062537d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.6944585214579613d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test225"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_MEAN;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.0805490483952224d, (java.lang.Number)0.8414222155717919d, true);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = new org.apache.commons.math3.exception.util.ExceptionContext((java.lang.Throwable)numberIsTooLargeException4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test226"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100L);
    int[] i_array3 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(i_array3);
    mersenneTwister1.setSeed(i_array3);
    boolean b6 = mersenneTwister1.nextBoolean();
    mersenneTwister1.setSeed((-1937831252));
    double d9 = mersenneTwister1.nextDouble();
    mersenneTwister1.setSeed(100);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister13 = new org.apache.commons.math3.random.MersenneTwister(1937831252);
    int[] i_array14 = null;
    org.apache.commons.math3.random.MersenneTwister mersenneTwister15 = new org.apache.commons.math3.random.MersenneTwister(i_array14);
    byte[] byte_array16 = new byte[] {  };
    mersenneTwister15.nextBytes(byte_array16);
    mersenneTwister13.nextBytes(byte_array16);
    mersenneTwister1.nextBytes(byte_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.7131422144684201d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array16);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test227"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    org.apache.commons.math3.optimization.GoalType goalType3 = cMAESOptimizer2.getGoalType();
    java.util.List list4 = cMAESOptimizer2.getStatisticsSigmaHistory();
    java.util.List list5 = cMAESOptimizer2.getStatisticsSigmaHistory();
    int i6 = cMAESOptimizer2.getEvaluations();
    int i7 = cMAESOptimizer2.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test228"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.700481273518738d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test229"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(7.478153f, 0.0f, 212654178);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test230"); }


    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer1 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(327741615);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test231"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100);
    mersenneTwister1.setSeed(7);
    int i4 = mersenneTwister1.nextInt();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister6 = new org.apache.commons.math3.random.MersenneTwister(100L);
    int[] i_array8 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister9 = new org.apache.commons.math3.random.MersenneTwister(i_array8);
    mersenneTwister6.setSeed(i_array8);
    mersenneTwister1.setSeed(i_array8);
    int[] i_array14 = new int[] { (-1), 100 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister15 = new org.apache.commons.math3.random.MersenneTwister(i_array14);
    mersenneTwister1.setSeed(i_array14);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister17 = new org.apache.commons.math3.random.MersenneTwister(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 327741615);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test232"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    int i4 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(338087802);
    incrementor0.incrementCount();
    incrementor0.incrementCount(65);
    incrementor0.resetCount();
    incrementor0.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test233"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 0.4343480334458663d, 61373301);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test234"); }


    int[] i_array1 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister2 = new org.apache.commons.math3.random.MersenneTwister(i_array1);
    double d3 = mersenneTwister2.nextDouble();
    double d4 = mersenneTwister2.nextDouble();
    double[] d_array7 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer8 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array7);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister15 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer17 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array7, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister15, false);
    org.apache.commons.math3.util.Pair pair18 = new org.apache.commons.math3.util.Pair((java.lang.Object)d4, (java.lang.Object)100);
    java.lang.Object obj19 = pair18.getFirst();
    boolean b21 = pair18.equals((java.lang.Object)1.3287130645882126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.13436424090271992d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.8474337429145731d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj19 + "' != '" + 0.8474337429145731d+ "'", obj19.equals(0.8474337429145731d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test235"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.80226517f, 0.0f, (-25));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test236"); }


    double[] d_array4 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair7 = new org.apache.commons.math3.optimization.PointValuePair(d_array4, 0.0d, false);
    java.lang.Object obj8 = pointValuePair7.getSecond();
    double[] d_array9 = pointValuePair7.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator15 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker19 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array22 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer23 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array22);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair26 = new org.apache.commons.math3.optimization.PointValuePair(d_array22, 10.0d, true);
    double[] d_array28 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array28, 0.0d, false);
    java.lang.Object obj32 = pointValuePair31.getSecond();
    boolean b33 = simpleValueChecker19.converged(1, pointValuePair26, pointValuePair31);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array9, 0, 2.718281828459045d, true, 10, 0, randomGenerator15, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker19);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair37 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, Double.NaN, false);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair39 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, 1.5573607112098176d);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer40 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(338087802, d_array9);
    int[] i_array47 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister48 = new org.apache.commons.math3.random.MersenneTwister(i_array47);
    int[] i_array49 = null;
    mersenneTwister48.setSeed(i_array49);
    double[] d_array52 = null;
    org.apache.commons.math3.random.MersenneTwister mersenneTwister59 = new org.apache.commons.math3.random.MersenneTwister((-1L));
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer61 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(6, d_array52, (-1937831252), 0.0787171938695459d, false, 12, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister59, false);
    int[] i_array63 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister64 = new org.apache.commons.math3.random.MersenneTwister(i_array63);
    mersenneTwister59.setSeed(i_array63);
    mersenneTwister48.setSeed(i_array63);
    double d67 = mersenneTwister48.nextGaussian();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer69 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(338087802, d_array9, (-2147483648), 4.591184296476509E19d, true, (-7), 1882960991, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister48, false);
    java.util.List list70 = cMAESOptimizer69.getStatisticsMeanHistory();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj8 + "' != '" + 0.0d+ "'", obj8.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj32 + "' != '" + 0.0d+ "'", obj32.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.3822399771262705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list70);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test237"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.9086743489308475d, (-0.3847078749651568d), (-4096));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test238"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.4375080521822572d, 6.513011550775108E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test239"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException3 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array2);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = mathUnsupportedOperationException3.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = mathUnsupportedOperationException3.getContext();
    java.lang.String str6 = mathUnsupportedOperationException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math3.exception.MathUnsupportedOperationException: method not supported in dimension 0"+ "'", str6.equals("org.apache.commons.math3.exception.MathUnsupportedOperationException: method not supported in dimension 0"));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test240"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(4096.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 4.8828125E-4f);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test241"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array1, 10.0d, true);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair7 = new org.apache.commons.math3.optimization.PointValuePair(d_array1, Double.NaN);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair9 = new org.apache.commons.math3.optimization.PointValuePair(d_array1, 0.0d);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair11 = new org.apache.commons.math3.optimization.PointValuePair(d_array1, 1.0047006690195917d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test242"); }


    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException0 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext1 = mathUnsupportedOperationException0.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = mathUnsupportedOperationException0.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.SCALE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { localizedFormats5 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, obj_array6);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = mathArithmeticException7.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathArithmeticException7.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = mathArithmeticException7.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.VECTOR_MUST_HAVE_AT_LEAST_ONE_ELEMENT;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException16 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, (java.lang.Number)1.9179488867871778E-9d, (java.lang.Number)0.0f, false);
    java.lang.Number number17 = numberIsTooLargeException16.getArgument();
    java.lang.Number number18 = numberIsTooLargeException16.getMax();
    exceptionContext10.setValue("org.apache.commons.math3.exception.MaxCountExceededException: illegal state: method not supported in dimension 100", (java.lang.Object)numberIsTooLargeException16);
    exceptionContext2.setValue("unable to solve: singular problem", (java.lang.Object)numberIsTooLargeException16);
    java.lang.Number number21 = numberIsTooLargeException16.getMax();
    java.lang.Number number22 = numberIsTooLargeException16.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 1.9179488867871778E-9d+ "'", number17.equals(1.9179488867871778E-9d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 0.0f+ "'", number18.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + 0.0f+ "'", number21.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + 0.0f+ "'", number22.equals(0.0f));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test243"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(1.0025811062437018d, 0.472694075215576d, 0.9456509398789392d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test244"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(212654178, (-25));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-25));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test245"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(69.16841624506621d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 69.0d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test246"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.4711276743037347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1373220393635d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test247"); }


    int[] i_array1 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister2 = new org.apache.commons.math3.random.MersenneTwister(i_array1);
    byte[] byte_array6 = new byte[] { (byte)100, (byte)0, (byte)10 };
    mersenneTwister2.nextBytes(byte_array6);
    mersenneTwister2.setSeed(1937831252);
    mersenneTwister2.clear();
    mersenneTwister2.setSeed(1222356005);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array6);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test248"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(100.00001f, 0.0f, (-1330796594));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test249"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.SCALE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { localizedFormats1 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException3 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array2);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = mathArithmeticException3.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.CLASS_DOESNT_IMPLEMENT_COMPARABLE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math3.exception.util.LocalizedFormats.DENOMINATOR_FORMAT;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { localizedFormats6 };
    exceptionContext4.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array7);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math3.exception.util.LocalizedFormats.EQUAL_VERTICES_IN_SIMPLEX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException12 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, (java.lang.Number)2.2250738585072014E-308d);
    boolean b13 = notPositiveException12.getBoundIsAllowed();
    java.lang.Number number14 = notPositiveException12.getMin();
    java.lang.Throwable[] throwable_array15 = notPositiveException12.getSuppressed();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math3.exception.util.LocalizedFormats.SCALE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { localizedFormats17 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats16, obj_array18);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_PARSE_AS_TYPE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException24 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats21, obj_array23);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException25 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats20, obj_array23);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notPositiveException12, (org.apache.commons.math3.exception.util.Localizable)localizedFormats16, obj_array23);
    exceptionContext4.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats9, obj_array23);
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException29 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats9, (java.lang.Number)9.5367431640625E-7d);
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException31 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats9, (java.lang.Number)7.630419496404678d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 0+ "'", number14.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test250"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.6777039475155269d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test251"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.017396703343529156d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.051474553727604d));

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test252"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-0.01926085487914221d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.019260854879142208d));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test253"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.5193880233362196d, 2.479807260525049d, 577090037);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test254"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 0.0d, false);
    java.lang.Object obj7 = pointValuePair6.getSecond();
    double[] d_array8 = pointValuePair6.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator14 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker18 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer22 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array21);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair25 = new org.apache.commons.math3.optimization.PointValuePair(d_array21, 10.0d, true);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair30 = new org.apache.commons.math3.optimization.PointValuePair(d_array27, 0.0d, false);
    java.lang.Object obj31 = pointValuePair30.getSecond();
    boolean b32 = simpleValueChecker18.converged(1, pointValuePair25, pointValuePair30);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer33 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array8, 0, 2.718281828459045d, true, 10, 0, randomGenerator14, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker18);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair35 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 1.9179488867871778E-9d);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair37 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 0.9999999999999999d);
    double[] d_array38 = pointValuePair37.getPoint();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister45 = new org.apache.commons.math3.random.MersenneTwister(8445897050863588844L);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister46 = new org.apache.commons.math3.random.MersenneTwister();
    mersenneTwister46.setSeed(10);
    int[] i_array49 = null;
    org.apache.commons.math3.random.MersenneTwister mersenneTwister50 = new org.apache.commons.math3.random.MersenneTwister(i_array49);
    byte[] byte_array51 = new byte[] {  };
    mersenneTwister50.nextBytes(byte_array51);
    mersenneTwister46.nextBytes(byte_array51);
    mersenneTwister45.nextBytes(byte_array51);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker58 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double d59 = simpleValueChecker58.getAbsoluteThreshold();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer60 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(2013722375, d_array38, 100, 11013.232874703393d, true, 0, 1, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister45, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker58);
    mersenneTwister45.setSeed((-1));
    org.apache.commons.math3.random.MersenneTwister mersenneTwister64 = new org.apache.commons.math3.random.MersenneTwister(0L);
    double[] d_array67 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer68 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array67);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister75 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer77 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array67, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister75, false);
    byte[] byte_array81 = new byte[] { (byte)0, (byte)(-1), (byte)(-1) };
    mersenneTwister75.nextBytes(byte_array81);
    mersenneTwister64.nextBytes(byte_array81);
    mersenneTwister45.nextBytes(byte_array81);
    float f85 = mersenneTwister45.nextFloat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj7 + "' != '" + 0.0d+ "'", obj7.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj31 + "' != '" + 0.0d+ "'", obj31.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f85 == 0.5928446f);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test255"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException3 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array2);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException8 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array7);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)100.0d, obj_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = maxCountExceededException9.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.FACTORIAL_NEGATIVE_PARAMETER;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException14 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, (java.lang.Number)2.2250738585072014E-308d);
    boolean b15 = notPositiveException14.getBoundIsAllowed();
    java.lang.Number number16 = notPositiveException14.getMin();
    java.lang.Throwable[] throwable_array17 = notPositiveException14.getSuppressed();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math3.exception.util.LocalizedFormats.SCALE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats19 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { localizedFormats19 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats18, obj_array20);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_PARSE_AS_TYPE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException26 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats23, obj_array25);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException27 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats22, obj_array25);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notPositiveException14, (org.apache.commons.math3.exception.util.Localizable)localizedFormats18, obj_array25);
    exceptionContext10.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, obj_array25);
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException33 = new org.apache.commons.math3.exception.OutOfRangeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, (java.lang.Number)99.99999999999997d, (java.lang.Number)0.07869800291016738d, (java.lang.Number)(-712.4446454973049d));
    java.lang.Number number34 = outOfRangeException33.getLo();
    java.lang.Number number35 = outOfRangeException33.getHi();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats36 = org.apache.commons.math3.exception.util.LocalizedFormats.BANDWIDTH;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats37 = org.apache.commons.math3.exception.util.LocalizedFormats.OUT_OF_BOUNDS_QUANTILE_VALUE;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException40 = new org.apache.commons.math3.exception.DimensionMismatchException((org.apache.commons.math3.exception.util.Localizable)localizedFormats37, (-1937831252), (-6));
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats41 = org.apache.commons.math3.exception.util.LocalizedFormats.INITIAL_CAPACITY_NOT_POSITIVE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats43 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_MEAN;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats45 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array47 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException48 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats45, obj_array47);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException49 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats43, (java.lang.Number)(short)(-1), obj_array47);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException50 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats41, (java.lang.Number)1, obj_array47);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException51 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats37, obj_array47);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException52 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)outOfRangeException33, (org.apache.commons.math3.exception.util.Localizable)localizedFormats36, obj_array47);
    java.lang.String str53 = outOfRangeException33.toString();
    java.lang.Number number54 = outOfRangeException33.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 0+ "'", number16.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + 0.07869800291016738d+ "'", number34.equals(0.07869800291016738d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number35 + "' != '" + (-712.4446454973049d)+ "'", number35.equals((-712.4446454973049d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.apache.commons.math3.exception.OutOfRangeException: must have n >= 0 for n!, got n = 100"+ "'", str53.equals("org.apache.commons.math3.exception.OutOfRangeException: must have n >= 0 for n!, got n = 100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number54 + "' != '" + (-712.4446454973049d)+ "'", number54.equals((-712.4446454973049d)));

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test256"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.9388149908366094d, 6.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9388149908366095d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test257"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-0.010486183977223609d), (-0.22341083056640654d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.01048618397722361d));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test258"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    incrementor0.setMaximalCount(4);
    incrementor0.resetCount();
    incrementor0.incrementCount();
    int i7 = incrementor0.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test259"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.03125f, 8.881784E-16f, (-1817558105));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test260"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.06310678f, 0.80226505f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test261"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.8022652f, (-1817558105));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test262"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.30903160681469705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.314174629825732d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test263"); }


    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker2 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array5 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer6 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array5);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair9 = new org.apache.commons.math3.optimization.PointValuePair(d_array5, 10.0d, true);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array5, 0.0d, true);
    java.lang.Object obj13 = pointValuePair12.getSecond();
    double[] d_array14 = pointValuePair12.getPoint();
    double[] d_array15 = pointValuePair12.getPoint();
    double[] d_array17 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer18 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array17);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair21 = new org.apache.commons.math3.optimization.PointValuePair(d_array17, 10.0d, true);
    boolean b22 = simpleValueChecker2.converged(12, pointValuePair12, pointValuePair21);
    double[] d_array23 = pointValuePair12.getPointRef();
    org.apache.commons.math3.optimization.PointValuePair pointValuePair26 = new org.apache.commons.math3.optimization.PointValuePair(d_array23, 1.0816326530612246d, true);
    boolean b28 = pointValuePair26.equals((java.lang.Object)0.9999097435d);
    double[] d_array29 = pointValuePair26.getPointRef();
    double[] d_array30 = pointValuePair26.getPointRef();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj13 + "' != '" + 0.0d+ "'", obj13.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test264"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.5828925866430474d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5247646424043312d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test265"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    int i3 = cMAESOptimizer2.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test266"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(6.513011550775108E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.813781848392637d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test267"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.COVARIANCE_MATRIX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException4 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array3);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array3);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = mathArithmeticException5.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test268"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.5950449741583292d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test269"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1.5707510708998078d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test270"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_SQUARE_MATRIX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException6 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array5);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = mathUnsupportedOperationException6.getContext();
    java.lang.Throwable throwable8 = exceptionContext7.getThrowable();
    java.lang.Throwable[] throwable_array9 = throwable8.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, (java.lang.Object[])throwable_array9);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math3.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array9);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array9);
    java.lang.Object[] obj_array13 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test271"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(27.11787977326634d, 1.4210854715202004E-14d, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test272"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-0.009004733961816244d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test273"); }


    double[] d_array4 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer5 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister12 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer14 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array4, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister12, false);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister21 = new org.apache.commons.math3.random.MersenneTwister(0);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker25 = new org.apache.commons.math3.optimization.SimpleValueChecker(0.9999097434746644d, 0.0d);
    double d26 = simpleValueChecker25.getRelativeThreshold();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer27 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1023), d_array4, 12, 1.4810552260868695d, false, 1937831252, 25022203, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister21, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker25);
    double[] d_array35 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer36 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array35);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister43 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer45 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array35, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister43, false);
    long long46 = mersenneTwister43.nextLong();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister47 = new org.apache.commons.math3.random.MersenneTwister();
    mersenneTwister47.setSeed(10);
    int[] i_array50 = null;
    org.apache.commons.math3.random.MersenneTwister mersenneTwister51 = new org.apache.commons.math3.random.MersenneTwister(i_array50);
    byte[] byte_array52 = new byte[] {  };
    mersenneTwister51.nextBytes(byte_array52);
    mersenneTwister47.nextBytes(byte_array52);
    mersenneTwister43.nextBytes(byte_array52);
    boolean b56 = mersenneTwister43.nextBoolean();
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker60 = new org.apache.commons.math3.optimization.SimpleValueChecker(0.07855500819329882d, 0.0d);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer61 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-127), d_array4, (-127), (-0.1925535300627975d), false, 65, (-1023), (org.apache.commons.math3.random.RandomGenerator)mersenneTwister43, false, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker60);
    java.util.List list62 = cMAESOptimizer61.getStatisticsSigmaHistory();
    int i63 = cMAESOptimizer61.getMaxEvaluations();
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction65 = null;
    org.apache.commons.math3.optimization.GoalType goalType66 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    double[] d_array67 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair68 = cMAESOptimizer61.optimize(59921093, multivariateFunction65, goalType66, d_array67);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.9999097434746644d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long46 == 1452076054732987038L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType66);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test274"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.12541071089025602d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.12508427594045038d);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test275"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.44301486f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test276"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.POPULATION_LIMIT_NOT_POSITIVE;
    java.lang.String str1 = localizedFormats0.getSourceString();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.POLYNOMIAL_INTERPOLANTS_MISMATCH_SEGMENTS;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.SCALE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { localizedFormats6 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathArithmeticException8.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.CLASS_DOESNT_IMPLEMENT_COMPARABLE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.DENOMINATOR_FORMAT;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { localizedFormats11 };
    exceptionContext9.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, obj_array12);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math3.exception.util.LocalizedFormats.EQUAL_VERTICES_IN_SIMPLEX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException17 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats15, (java.lang.Number)2.2250738585072014E-308d);
    boolean b18 = notPositiveException17.getBoundIsAllowed();
    java.lang.Number number19 = notPositiveException17.getMin();
    java.lang.Throwable[] throwable_array20 = notPositiveException17.getSuppressed();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math3.exception.util.LocalizedFormats.SCALE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { localizedFormats22 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException24 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats21, obj_array23);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_PARSE_AS_TYPE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException29 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats26, obj_array28);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException30 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats25, obj_array28);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notPositiveException17, (org.apache.commons.math3.exception.util.Localizable)localizedFormats21, obj_array28);
    exceptionContext9.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats14, obj_array28);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_COMPUTE_NTH_ROOT_FOR_NEGATIVE_N;
    java.lang.Object[] obj_array35 = null;
    java.lang.Object[] obj_array36 = org.apache.commons.math3.exception.util.ArgUtils.flatten(obj_array35);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException37 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats33, (java.lang.Number)338087802, obj_array36);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats38 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats39 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException43 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats39, (java.lang.Number)(-1L), (java.lang.Number)0.8813735870195429d, false);
    java.lang.Throwable[] throwable_array44 = numberIsTooSmallException43.getSuppressed();
    java.lang.Object[] obj_array45 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array44);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats38, obj_array45);
    exceptionContext9.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats33, obj_array45);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException48 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, obj_array45);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException49 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array45);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException50 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.8682448253167901d, obj_array45);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext51 = maxCountExceededException50.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "population limit has to be positive"+ "'", str1.equals("population limit has to be positive"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 0+ "'", number19.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext51);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test277"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(0.99999994f, 61373301, 32);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test278"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-99.99996f), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-99.999954f));

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test279"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-7491853864872071061L), 5235514316520443466L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-7491853864872071061L));

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test280"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, 11013.232874703395d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.9E-324d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test281"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.7209976334655994d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 98.60590094958145d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test282"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.8414222155717919d, 0.8965250437166541d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.632618861807436d);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test283"); }


    double d2 = org.apache.commons.math3.util.Precision.round(2.2645114375808335d, 18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.2645114375808335d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test284"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(7.4505806E-9f, 0.9f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.4505806E-9f);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test285"); }


    double[] d_array2 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 0.0d, false);
    java.lang.Object obj6 = pointValuePair5.getSecond();
    double[] d_array7 = pointValuePair5.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator13 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker17 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array20 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer21 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array20);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair24 = new org.apache.commons.math3.optimization.PointValuePair(d_array20, 10.0d, true);
    double[] d_array26 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair29 = new org.apache.commons.math3.optimization.PointValuePair(d_array26, 0.0d, false);
    java.lang.Object obj30 = pointValuePair29.getSecond();
    boolean b31 = simpleValueChecker17.converged(1, pointValuePair24, pointValuePair29);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer32 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array7, 0, 2.718281828459045d, true, 10, 0, randomGenerator13, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker17);
    org.apache.commons.math3.optimization.GoalType goalType33 = cMAESOptimizer32.getGoalType();
    org.apache.commons.math3.optimization.GoalType goalType34 = cMAESOptimizer32.getGoalType();
    java.util.List list35 = cMAESOptimizer32.getStatisticsMeanHistory();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker36 = cMAESOptimizer32.getConvergenceChecker();
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction38 = null;
    org.apache.commons.math3.optimization.GoalType goalType39 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    double[] d_array42 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer43 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array42);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair46 = new org.apache.commons.math3.optimization.PointValuePair(d_array42, 10.0d, true);
    double[] d_array47 = pointValuePair46.getPointRef();
    double[] d_array48 = pointValuePair46.getPoint();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer49 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array48);
    double[] d_array50 = null;
    double[] d_array53 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer54 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array53);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair57 = new org.apache.commons.math3.optimization.PointValuePair(d_array53, 10.0d, true);
    double[] d_array58 = pointValuePair57.getPointRef();
    double[] d_array59 = pointValuePair57.getPointRef();
    org.apache.commons.math3.optimization.PointValuePair pointValuePair62 = new org.apache.commons.math3.optimization.PointValuePair(d_array59, 3.0d, true);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer63 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(1259122480, d_array59);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair64 = cMAESOptimizer32.optimize(0, multivariateFunction38, goalType39, d_array48, d_array50, d_array59);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj6 + "' != '" + 0.0d+ "'", obj6.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj30 + "' != '" + 0.0d+ "'", obj30.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test286"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(2.479807260525049d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.614526320681337d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test287"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(6.296254784501302E-6d, 3.7462779016053167d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.11028822660251711d));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test288"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.003105011664156d, 7.105427357601002E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test289"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)5.8203425589686248E16d, (java.lang.Number)(-0.4286455584935028d), false);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test290"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-2017042168), (-1023));

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test291"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    org.apache.commons.math3.optimization.GoalType goalType3 = cMAESOptimizer2.getGoalType();
    int i4 = cMAESOptimizer2.getMaxEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker5 = cMAESOptimizer2.getConvergenceChecker();
    int i6 = cMAESOptimizer2.getEvaluations();
    java.util.List list7 = cMAESOptimizer2.getStatisticsFitnessHistory();
    int i8 = cMAESOptimizer2.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType9 = cMAESOptimizer2.getGoalType();
    int i10 = cMAESOptimizer2.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test292"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)4206554034975648306L);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException8 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, (java.lang.Number)(-1L), (java.lang.Number)0.8813735870195429d, false);
    java.lang.Throwable[] throwable_array9 = numberIsTooSmallException8.getSuppressed();
    java.lang.Object[] obj_array10 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array10);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notPositiveException1, (org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array10);
    java.lang.Number number13 = notPositiveException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 4206554034975648306L+ "'", number13.equals(4206554034975648306L));

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test293"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)1.107323696639449d, (java.lang.Number)5.128437721587357E-6d, (java.lang.Number)(byte)10);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test294"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.5367681330705697d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4296815963583176d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test295"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.033702691681423d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8591993235416349d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test296"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    int i4 = incrementor0.getCount();
    incrementor0.resetCount();
    incrementor0.resetCount();
    int i7 = incrementor0.getCount();
    boolean b8 = incrementor0.canIncrement();
    int i9 = incrementor0.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test297"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance((-30.43836130486142d), (-0.37480524448791047d), (-0.16220829231182426d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test298"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_PARSE_AS_TYPE;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.6777039475155267d, (java.lang.Number)11013.232874703393d, (java.lang.Number)8.944271909999157d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test299"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100);
    boolean b2 = mersenneTwister1.nextBoolean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test300"); }


    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer0 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer();
    java.util.List list1 = cMAESOptimizer0.getStatisticsSigmaHistory();
    int i2 = cMAESOptimizer0.getEvaluations();
    int i3 = cMAESOptimizer0.getMaxEvaluations();
    java.util.List list4 = cMAESOptimizer0.getStatisticsSigmaHistory();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test301"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0436315037199522d, 5730.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test302"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.VALUES_ADDED_BEFORE_CONFIGURING_STATISTIC;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-0.44299309245913404d), number2, false);
    java.lang.String str5 = localizedFormats0.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "{0} values have been added before statistic is configured"+ "'", str5.equals("{0} values have been added before statistic is configured"));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test303"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_CLUSTER_IN_K_MEANS;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException3 = new org.apache.commons.math3.exception.MathArithmeticException();
    java.lang.String str4 = mathArithmeticException3.toString();
    java.lang.Throwable[] throwable_array5 = mathArithmeticException3.getSuppressed();
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException6 = new org.apache.commons.math3.exception.MathUnsupportedOperationException(localizable2, (java.lang.Object[])throwable_array5);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException7 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, number1, (java.lang.Object[])throwable_array5);
    java.lang.String str8 = localizedFormats0.getSourceString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math3.exception.MathArithmeticException: arithmetic exception"+ "'", str4.equals("org.apache.commons.math3.exception.MathArithmeticException: arithmetic exception"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "empty cluster in k-means"+ "'", str8.equals("empty cluster in k-means"));

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test304"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_ENOUGH_DATA_REGRESSION;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException4 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array3);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array3);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = mathArithmeticException5.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math3.exception.util.LocalizedFormats.FAILED_FRACTION_CONVERSION;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException9 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats7, (java.lang.Number)1.000000000849637d);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.NEGATIVE_NUMBER_OF_TRIALS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException14 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, (java.lang.Number)0.5403023058681398d, (java.lang.Number)10, false);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats15 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException19 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats15, (java.lang.Number)(-1L), (java.lang.Number)0.8813735870195429d, false);
    java.lang.Throwable[] throwable_array20 = numberIsTooSmallException19.getSuppressed();
    java.lang.Object[] obj_array21 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array20);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException22 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, (java.lang.Object[])throwable_array20);
    exceptionContext6.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats7, (java.lang.Object[])throwable_array20);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_SQUARE_MATRIX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException29 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats26, obj_array28);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext30 = mathUnsupportedOperationException29.getContext();
    java.lang.Throwable throwable31 = exceptionContext30.getThrowable();
    java.lang.Throwable[] throwable_array32 = throwable31.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException33 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats25, (java.lang.Object[])throwable_array32);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException34 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats7, (java.lang.Number)(-7620559045538868611L), (java.lang.Object[])throwable_array32);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext35 = maxCountExceededException34.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext35);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test305"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.5403023058681398d, (java.lang.Number)2.363225625965787d, false);
    java.lang.Throwable[] throwable_array4 = numberIsTooSmallException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test306"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.27577835456922156d, 1.0989037653471982E-7d, Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test307"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.9987651424210936d, 0.5367681330705697d, 0.005686246126657743d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test308"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-17.158709752846928d), 3.7462779016053167d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test309"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0631068237881216d, 0.07861679367956467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9204624369740548d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test310"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_COMPUTE_BETA_DENSITY_AT_0_FOR_SOME_ALPHA;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_ENOUGH_DATA_REGRESSION;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException5 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array4);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = mathArithmeticException6.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math3.exception.util.LocalizedFormats.FAILED_FRACTION_CONVERSION;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException10 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats8, (java.lang.Number)1.000000000849637d);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.NEGATIVE_NUMBER_OF_TRIALS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException15 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, (java.lang.Number)0.5403023058681398d, (java.lang.Number)10, false);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException20 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats16, (java.lang.Number)(-1L), (java.lang.Number)0.8813735870195429d, false);
    java.lang.Throwable[] throwable_array21 = numberIsTooSmallException20.getSuppressed();
    java.lang.Object[] obj_array22 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array21);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException23 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, (java.lang.Object[])throwable_array21);
    exceptionContext7.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats8, (java.lang.Object[])throwable_array21);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats25 = org.apache.commons.math3.exception.util.LocalizedFormats.REAL_FORMAT;
    java.lang.String str26 = localizedFormats25.getSourceString();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException29 = new org.apache.commons.math3.exception.DimensionMismatchException((-655267105), (-1));
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext30 = dimensionMismatchException29.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math3.exception.util.LocalizedFormats.NEGATIVE_NUMBER_OF_TRIALS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array34 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException35 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats32, obj_array34);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext36 = mathUnsupportedOperationException35.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext37 = mathUnsupportedOperationException35.getContext();
    java.lang.Throwable[] throwable_array38 = mathUnsupportedOperationException35.getSuppressed();
    exceptionContext30.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats31, (java.lang.Object[])throwable_array38);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats40 = org.apache.commons.math3.exception.util.LocalizedFormats.INDEX_NOT_POSITIVE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats42 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_SQUARE_MATRIX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats43 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException46 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats43, obj_array45);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext47 = mathUnsupportedOperationException46.getContext();
    java.lang.Throwable throwable48 = exceptionContext47.getThrowable();
    java.lang.Throwable[] throwable_array49 = throwable48.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException50 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats42, (java.lang.Object[])throwable_array49);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister52 = new org.apache.commons.math3.random.MersenneTwister(100L);
    int[] i_array54 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister55 = new org.apache.commons.math3.random.MersenneTwister(i_array54);
    mersenneTwister52.setSeed(i_array54);
    boolean b57 = mersenneTwister52.nextBoolean();
    mersenneTwister52.setSeed((-1937831252));
    double d60 = mersenneTwister52.nextDouble();
    mersenneTwister52.setSeed(100);
    double d63 = mersenneTwister52.nextGaussian();
    org.apache.commons.math3.util.Pair pair64 = new org.apache.commons.math3.util.Pair((java.lang.Object)throwable_array49, (java.lang.Object)mersenneTwister52);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException65 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats40, (java.lang.Number)1.718244520928482d, (java.lang.Object[])throwable_array49);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException66 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats31, (java.lang.Object[])throwable_array49);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException67 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats25, (java.lang.Object[])throwable_array49);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException68 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats8, (java.lang.Object[])throwable_array49);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException69 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Object[])throwable_array49);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException71 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-4.9E-324d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "real format"+ "'", str26.equals("real format"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.7131422144684201d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == (-1.5401476965874874d));

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test311"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(242653419);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test312"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(402613113023623976L);
    float f2 = mersenneTwister1.nextFloat();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.7291144f);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test313"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.9000001f, 0.063106775f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test314"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(-0.24842778679675914d), (java.lang.Number)(-0.18148297420509188d), false);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test315"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(4.32608065980265d, 1.656579767664863E13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test316"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.026039182312656242d, (-0.07195690173520465d), (-47));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test317"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.42451759467098804d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.43738373590149654d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test318"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(4.935487558066377d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.935487558066378d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test319"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 0.0d, false);
    java.lang.Object obj7 = pointValuePair6.getSecond();
    double[] d_array8 = pointValuePair6.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator14 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker18 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer22 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array21);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair25 = new org.apache.commons.math3.optimization.PointValuePair(d_array21, 10.0d, true);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair30 = new org.apache.commons.math3.optimization.PointValuePair(d_array27, 0.0d, false);
    java.lang.Object obj31 = pointValuePair30.getSecond();
    boolean b32 = simpleValueChecker18.converged(1, pointValuePair25, pointValuePair30);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer33 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array8, 0, 2.718281828459045d, true, 10, 0, randomGenerator14, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker18);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair35 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 1.9179488867871778E-9d);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair37 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 0.9999999999999999d);
    double[] d_array38 = pointValuePair37.getPoint();
    double[] d_array46 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer47 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array46);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister54 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer56 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array46, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister54, false);
    int i57 = mersenneTwister54.nextInt();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer59 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(4, d_array38, 25022203, 1.4436354751788103d, true, (-1), 30000, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister54, false);
    java.util.List list60 = cMAESOptimizer59.getStatisticsDHistory();
    int i61 = cMAESOptimizer59.getEvaluations();
    int i62 = cMAESOptimizer59.getEvaluations();
    java.util.List list63 = cMAESOptimizer59.getStatisticsFitnessHistory();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array64 = cMAESOptimizer59.getUpperBound();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj7 + "' != '" + 0.0d+ "'", obj7.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj31 + "' != '" + 0.0d+ "'", obj31.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list63);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test320"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(1.5045710544078124d, 0.0885491877645955d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test321"); }


    int[] i_array1 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister2 = new org.apache.commons.math3.random.MersenneTwister(i_array1);
    long long3 = mersenneTwister2.nextLong();
    int i4 = mersenneTwister2.nextInt();
    double[] d_array7 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer8 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array7);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister15 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer17 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array7, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister15, false);
    long long18 = mersenneTwister15.nextLong();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister19 = new org.apache.commons.math3.random.MersenneTwister();
    mersenneTwister19.setSeed(10);
    int[] i_array22 = null;
    org.apache.commons.math3.random.MersenneTwister mersenneTwister23 = new org.apache.commons.math3.random.MersenneTwister(i_array22);
    byte[] byte_array24 = new byte[] {  };
    mersenneTwister23.nextBytes(byte_array24);
    mersenneTwister19.nextBytes(byte_array24);
    mersenneTwister15.nextBytes(byte_array24);
    mersenneTwister2.nextBytes(byte_array24);
    long long29 = mersenneTwister2.nextLong();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister31 = new org.apache.commons.math3.random.MersenneTwister(100L);
    int[] i_array33 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister34 = new org.apache.commons.math3.random.MersenneTwister(i_array33);
    mersenneTwister31.setSeed(i_array33);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister36 = new org.apache.commons.math3.random.MersenneTwister(i_array33);
    mersenneTwister2.setSeed(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 2478582838207141962L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-655267105));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 1452076054732987038L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == (-4357589138675350319L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test322"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.010486183977223609d), 34.354811641828384d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test323"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.99999994f), (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test324"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.UNABLE_TO_FIRST_GUESS_HARMONIC_COEFFICIENTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException4 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array3);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = mathUnsupportedOperationException4.getContext();
    java.lang.Throwable throwable6 = exceptionContext5.getThrowable();
    java.lang.Throwable[] throwable_array7 = throwable6.getSuppressed();
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Object[])throwable_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathArithmeticException8.getContext();
    exceptionContext9.setValue("two or more categories required, got {0}", (java.lang.Object)"org.apache.commons.math3.exception.MathArithmeticException: arithmetic exception");
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math3.exception.util.LocalizedFormats.FAILED_BRACKETING;
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats13, (java.lang.Number)4.0d, obj_array15);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_ADDITION_COMPATIBLE_MATRICES;
    org.apache.commons.math3.exception.util.Localizable localizable18 = null;
    java.lang.Throwable throwable19 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats20 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_ENOUGH_DATA_REGRESSION;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array23 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException24 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats21, obj_array23);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable19, (org.apache.commons.math3.exception.util.Localizable)localizedFormats20, obj_array23);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException26 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable18, obj_array23);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException16, (org.apache.commons.math3.exception.util.Localizable)localizedFormats17, obj_array23);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException31 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats17, (java.lang.Number)5.551115123125783E-17d, (java.lang.Number)8.653397151028903d, true);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math3.exception.util.LocalizedFormats.UNBOUNDED_SOLUTION;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats33 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException37 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats33, (java.lang.Number)(-1L), (java.lang.Number)0.8813735870195429d, false);
    java.lang.Throwable[] throwable_array38 = numberIsTooSmallException37.getSuppressed();
    java.lang.Object[] obj_array39 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array38);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats32, (java.lang.Object[])throwable_array38);
    exceptionContext9.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats17, (java.lang.Object[])throwable_array38);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException44 = new org.apache.commons.math3.exception.DimensionMismatchException((-655267105), (-1));
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext45 = dimensionMismatchException44.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats46 = org.apache.commons.math3.exception.util.LocalizedFormats.NEGATIVE_NUMBER_OF_TRIALS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats47 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array49 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException50 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats47, obj_array49);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext51 = mathUnsupportedOperationException50.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext52 = mathUnsupportedOperationException50.getContext();
    java.lang.Throwable[] throwable_array53 = mathUnsupportedOperationException50.getSuppressed();
    exceptionContext45.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats46, (java.lang.Object[])throwable_array53);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException55 = new org.apache.commons.math3.exception.NullArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats17, (java.lang.Object[])throwable_array53);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException59 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats17, (java.lang.Number)0.958674961612163d, (java.lang.Number)0.7540920875652949d, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array53);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test325"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 0.0d, false);
    java.lang.Object obj7 = pointValuePair6.getSecond();
    double[] d_array8 = pointValuePair6.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator14 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker18 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer22 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array21);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair25 = new org.apache.commons.math3.optimization.PointValuePair(d_array21, 10.0d, true);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair30 = new org.apache.commons.math3.optimization.PointValuePair(d_array27, 0.0d, false);
    java.lang.Object obj31 = pointValuePair30.getSecond();
    boolean b32 = simpleValueChecker18.converged(1, pointValuePair25, pointValuePair30);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer33 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array8, 0, 2.718281828459045d, true, 10, 0, randomGenerator14, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker18);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair35 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 1.9179488867871778E-9d);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair37 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 0.9999999999999999d);
    double[] d_array38 = pointValuePair37.getPoint();
    double[] d_array46 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer47 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array46);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister54 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer56 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array46, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister54, false);
    int i57 = mersenneTwister54.nextInt();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer59 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(4, d_array38, 25022203, 1.4436354751788103d, true, (-1), 30000, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister54, false);
    java.util.List list60 = cMAESOptimizer59.getStatisticsMeanHistory();
    int i61 = cMAESOptimizer59.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj7 + "' != '" + 0.0d+ "'", obj7.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj31 + "' != '" + 0.0d+ "'", obj31.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test326"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.9841972395802796d, 1.2182829050172774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test327"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)99.99999999999997d, (java.lang.Number)6.775827843501123E9d, false);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test328"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.6931020512916352d, 0.07839421769982352d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.945329224695638d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test329"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NAN_VALUE_CONVERSION;
    org.apache.commons.math3.util.Pair pair2 = new org.apache.commons.math3.util.Pair((java.lang.Object)localizedFormats0, (java.lang.Object)localizedFormats1);
    java.lang.Number number4 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException6 = new org.apache.commons.math3.exception.OutOfRangeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.5868885f, number4, (java.lang.Number)(-1.2005453658296206d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test330"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.6020320658440402d, (-0.8414709848078964d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.520571349335987d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test331"); }


    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker2 = new org.apache.commons.math3.optimization.SimpleValueChecker((-5.366232273174298E-4d), (-1.2977316311254157d));

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test332"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    int i4 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(338087802);
    incrementor0.incrementCount();
    incrementor0.incrementCount(65);
    incrementor0.resetCount();
    int i11 = incrementor0.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 338087802);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test333"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.16765036534441524d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0140862693330137d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test334"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    org.apache.commons.math3.optimization.GoalType goalType3 = cMAESOptimizer2.getGoalType();
    int i4 = cMAESOptimizer2.getMaxEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker5 = cMAESOptimizer2.getConvergenceChecker();
    java.util.List list6 = cMAESOptimizer2.getStatisticsMeanHistory();
    java.util.List list7 = cMAESOptimizer2.getStatisticsSigmaHistory();
    java.util.List list8 = cMAESOptimizer2.getStatisticsDHistory();
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction10 = null;
    org.apache.commons.math3.optimization.GoalType goalType11 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    double[] d_array13 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair16 = new org.apache.commons.math3.optimization.PointValuePair(d_array13, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException17 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b18 = pointValuePair16.equals((java.lang.Object)mathUnsupportedOperationException17);
    java.lang.Object obj19 = pointValuePair16.getValue();
    double[] d_array20 = pointValuePair16.getPointRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair21 = cMAESOptimizer2.optimize(212654178, multivariateFunction10, goalType11, d_array20);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj19 + "' != '" + 0.0d+ "'", obj19.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test335"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp((-99.99998f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-99.99997f));

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test336"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(328280.6350011744d, 1.7487127349697082d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.748712734959554d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test337"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.75745666f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.75745666f);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test338"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(100, 32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test339"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.8529784409828663d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9235683196076326d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test340"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.4245175f, (-99.99996f), 0.75672764f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test341"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    org.apache.commons.math3.optimization.GoalType goalType3 = cMAESOptimizer2.getGoalType();
    java.util.List list4 = cMAESOptimizer2.getStatisticsSigmaHistory();
    java.util.List list5 = cMAESOptimizer2.getStatisticsSigmaHistory();
    org.apache.commons.math3.optimization.GoalType goalType6 = cMAESOptimizer2.getGoalType();
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction8 = null;
    org.apache.commons.math3.optimization.GoalType goalType9 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    double[] d_array12 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair15 = new org.apache.commons.math3.optimization.PointValuePair(d_array12, 0.0d, false);
    java.lang.Object obj16 = pointValuePair15.getSecond();
    double[] d_array17 = pointValuePair15.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator23 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker27 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array30 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer31 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array30);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair34 = new org.apache.commons.math3.optimization.PointValuePair(d_array30, 10.0d, true);
    double[] d_array36 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair39 = new org.apache.commons.math3.optimization.PointValuePair(d_array36, 0.0d, false);
    java.lang.Object obj40 = pointValuePair39.getSecond();
    boolean b41 = simpleValueChecker27.converged(1, pointValuePair34, pointValuePair39);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer42 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array17, 0, 2.718281828459045d, true, 10, 0, randomGenerator23, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker27);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair43 = cMAESOptimizer2.optimize(0, multivariateFunction8, goalType9, d_array17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj16 + "' != '" + 0.0d+ "'", obj16.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj40 + "' != '" + 0.0d+ "'", obj40.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test342"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.9204624369740548d, (java.lang.Number)1009701827, false);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test343"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)Float.POSITIVE_INFINITY);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test344"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100L);
    double d2 = mersenneTwister1.nextGaussian();
    mersenneTwister1.clear();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister5 = new org.apache.commons.math3.random.MersenneTwister(100);
    mersenneTwister5.setSeed(7);
    int i8 = mersenneTwister5.nextInt();
    double d9 = mersenneTwister5.nextGaussian();
    byte[] byte_array11 = new byte[] { (byte)100 };
    mersenneTwister5.nextBytes(byte_array11);
    mersenneTwister1.nextBytes(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9086743489308475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 327741615);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.2145165269817783d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test345"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.VECTOR_LENGTH_MISMATCH;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.018531092291236853d);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException4 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)2.479807260525049d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test346"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.SAMPLE_SIZE_EXCEEDS_COLLECTION_SIZE;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.5978457819086704d);
    java.lang.String str3 = notStrictlyPositiveException2.toString();
    java.lang.Throwable[] throwable_array4 = notStrictlyPositiveException2.getSuppressed();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats5 = org.apache.commons.math3.exception.util.LocalizedFormats.TOO_MANY_REGRESSORS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException9 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats6, obj_array8);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException14 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, obj_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats6, (java.lang.Number)100.0d, obj_array13);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException16 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array13);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats17 = org.apache.commons.math3.exception.util.LocalizedFormats.SCALE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats18 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    java.lang.Object[] obj_array19 = new java.lang.Object[] { localizedFormats18 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats17, obj_array19);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext21 = mathArithmeticException20.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math3.exception.util.LocalizedFormats.CLASS_DOESNT_IMPLEMENT_COMPARABLE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math3.exception.util.LocalizedFormats.DENOMINATOR_FORMAT;
    java.lang.Object[] obj_array24 = new java.lang.Object[] { localizedFormats23 };
    exceptionContext21.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats22, obj_array24);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_ZERO_LENGTH_OR_NULL_NOT_ALLOWED;
    org.apache.commons.math3.util.Pair pair27 = new org.apache.commons.math3.util.Pair((java.lang.Object)obj_array24, (java.lang.Object)localizedFormats26);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, (org.apache.commons.math3.exception.util.Localizable)localizedFormats5, obj_array24);
    java.util.Locale locale29 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str30 = localizedFormats5.getLocalizedString(locale29);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math3.exception.NotStrictlyPositiveException: sample size (0.598) exceeds collection size (0)"+ "'", str3.equals("org.apache.commons.math3.exception.NotStrictlyPositiveException: sample size (0.598) exceeds collection size (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test347"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.23369229f, 0.8022653f, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test348"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(22.597067790157972d, 0.6483608274590866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test349"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)9.18236859295302E19d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test350"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-0.019798711411219555d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.019798711411219555d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test351"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)0.6694408103566049d, (java.lang.Number)3.7462779016053167d, true);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    java.lang.Throwable[] throwable_array6 = numberIsTooLargeException4.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 3.7462779016053167d+ "'", number5.equals(3.7462779016053167d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test352"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100L);
    int[] i_array3 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(i_array3);
    mersenneTwister1.setSeed(i_array3);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister6 = new org.apache.commons.math3.random.MersenneTwister(i_array3);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister7 = new org.apache.commons.math3.random.MersenneTwister(i_array3);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister8 = new org.apache.commons.math3.random.MersenneTwister(i_array3);
    int i9 = mersenneTwister8.nextInt();
    mersenneTwister8.setSeed((-4487583432980557378L));
    int i12 = mersenneTwister8.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 577090037);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1861503219));

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test353"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100);
    mersenneTwister1.setSeed(7);
    int i4 = mersenneTwister1.nextInt();
    double d5 = mersenneTwister1.nextDouble();
    int[] i_array6 = null;
    mersenneTwister1.setSeed(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 327741615);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.22733908563731298d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test354"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.16765036534441544d, 1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.10700306729141504d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test355"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.4923215889322998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9555239904852991d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test356"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.4170220046815991d, 0.5996045770523842d, 0.5367681330705697d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test357"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100);
    mersenneTwister1.setSeed(7);
    int i4 = mersenneTwister1.nextInt();
    double d5 = mersenneTwister1.nextGaussian();
    double d6 = mersenneTwister1.nextDouble();
    double d7 = mersenneTwister1.nextGaussian();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 327741615);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.2145165269817783d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.978222902468818d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.4964241307011745d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test358"); }


    double[] d_array5 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair8 = new org.apache.commons.math3.optimization.PointValuePair(d_array5, 0.0d, false);
    java.lang.Object obj9 = pointValuePair8.getSecond();
    double[] d_array10 = pointValuePair8.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator16 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker20 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array23 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer24 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array23);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair27 = new org.apache.commons.math3.optimization.PointValuePair(d_array23, 10.0d, true);
    double[] d_array29 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair32 = new org.apache.commons.math3.optimization.PointValuePair(d_array29, 0.0d, false);
    java.lang.Object obj33 = pointValuePair32.getSecond();
    boolean b34 = simpleValueChecker20.converged(1, pointValuePair27, pointValuePair32);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer35 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array10, 0, 2.718281828459045d, true, 10, 0, randomGenerator16, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker20);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair37 = new org.apache.commons.math3.optimization.PointValuePair(d_array10, 1.9179488867871778E-9d);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister44 = new org.apache.commons.math3.random.MersenneTwister(100L);
    double d45 = mersenneTwister44.nextGaussian();
    mersenneTwister44.clear();
    mersenneTwister44.setSeed(0);
    int i49 = mersenneTwister44.nextInt();
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker53 = new org.apache.commons.math3.optimization.SimpleValueChecker(0.9999346490652955d, 1.4646619727113324d);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer54 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-127), d_array10, (-1014580284), 0.9963d, true, (-655267105), 25022203, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister44, false, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker53);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer55 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array10);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException63 = new org.apache.commons.math3.exception.DimensionMismatchException(0, 0);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext64 = dimensionMismatchException63.getContext();
    java.util.Set set65 = exceptionContext64.getKeys();
    java.lang.Throwable throwable66 = exceptionContext64.getThrowable();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister69 = new org.apache.commons.math3.random.MersenneTwister(100L);
    int[] i_array71 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister72 = new org.apache.commons.math3.random.MersenneTwister(i_array71);
    mersenneTwister69.setSeed(i_array71);
    exceptionContext64.setValue("zero denominator in fraction {0}/{1}", (java.lang.Object)i_array71);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister75 = new org.apache.commons.math3.random.MersenneTwister(i_array71);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister76 = new org.apache.commons.math3.random.MersenneTwister(i_array71);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer78 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array10, (-655267105), 0.2802770201611526d, false, 1937831252, 1, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister76, true);
    java.util.List list79 = cMAESOptimizer78.getStatisticsDHistory();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array80 = cMAESOptimizer78.getLowerBound();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj9 + "' != '" + 0.0d+ "'", obj9.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj33 + "' != '" + 0.0d+ "'", obj33.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.9086743489308475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == (-1937831252));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list79);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test359"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(10.352600347733866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5995781814771023d));

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test360"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(7.478153f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.4781537f);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test361"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-37.96623593411205d), 1.6777039475155269d, 1003700882);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test362"); }


    double[] d_array2 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer3 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 10.0d, true);
    double[] d_array7 = pointValuePair6.getPointRef();
    double[] d_array8 = pointValuePair6.getPoint();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister15 = new org.apache.commons.math3.random.MersenneTwister(7601525465616549971L);
    boolean b16 = mersenneTwister15.nextBoolean();
    double[] d_array21 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair24 = new org.apache.commons.math3.optimization.PointValuePair(d_array21, 0.0d, false);
    java.lang.Object obj25 = pointValuePair24.getSecond();
    double[] d_array26 = pointValuePair24.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator32 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker36 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array39 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer40 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array39);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair43 = new org.apache.commons.math3.optimization.PointValuePair(d_array39, 10.0d, true);
    double[] d_array45 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair48 = new org.apache.commons.math3.optimization.PointValuePair(d_array45, 0.0d, false);
    java.lang.Object obj49 = pointValuePair48.getSecond();
    boolean b50 = simpleValueChecker36.converged(1, pointValuePair43, pointValuePair48);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer51 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array26, 0, 2.718281828459045d, true, 10, 0, randomGenerator32, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker36);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair53 = new org.apache.commons.math3.optimization.PointValuePair(d_array26, 1.9179488867871778E-9d);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister60 = new org.apache.commons.math3.random.MersenneTwister(100L);
    double d61 = mersenneTwister60.nextGaussian();
    mersenneTwister60.clear();
    mersenneTwister60.setSeed(0);
    int i65 = mersenneTwister60.nextInt();
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker69 = new org.apache.commons.math3.optimization.SimpleValueChecker(0.9999346490652955d, 1.4646619727113324d);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer70 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-127), d_array26, (-1014580284), 0.9963d, true, (-655267105), 25022203, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister60, false, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker69);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer71 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(5, d_array8, 25022203, 0.08241824201693815d, false, 10, 1259122480, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister15, false, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker69);
    java.util.List list72 = cMAESOptimizer71.getStatisticsDHistory();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj25 + "' != '" + 0.0d+ "'", obj25.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj49 + "' != '" + 0.0d+ "'", obj49.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.9086743489308475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == (-1937831252));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list72);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test363"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.8022651f, 0.802265f, 0.75672764f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test364"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.07630825f, 8.881786E-16f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test365"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(0);
    float f2 = mersenneTwister1.nextFloat();
    int i4 = mersenneTwister1.nextInt(12);
    double d5 = mersenneTwister1.nextDouble();
    mersenneTwister1.setSeed(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.54881346f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.7151893652121089d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test366"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.4375080521822572d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test367"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException(number0, (java.lang.Number)0.9999097435d, (java.lang.Number)1.0989037653471982E-7d);
    java.lang.Number number4 = outOfRangeException3.getLo();
    java.lang.Number number5 = outOfRangeException3.getHi();
    java.lang.Number number6 = outOfRangeException3.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.9999097435d+ "'", number4.equals(0.9999097435d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.0989037653471982E-7d+ "'", number5.equals(1.0989037653471982E-7d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.9999097435d+ "'", number6.equals(0.9999097435d));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test368"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_POLYNOMIALS_COEFFICIENTS_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, (java.lang.Number)(-1L), (java.lang.Number)0.8813735870195429d, false);
    java.lang.Throwable[] throwable_array7 = numberIsTooSmallException6.getSuppressed();
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException8 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, (java.lang.Object[])throwable_array7);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException9 = new org.apache.commons.math3.exception.MathUnsupportedOperationException(localizable0, (java.lang.Object[])throwable_array7);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = mathUnsupportedOperationException9.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test369"); }


    double[] d_array2 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer3 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer12 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister10, false);
    java.util.List list13 = cMAESOptimizer12.getStatisticsMeanHistory();
    java.util.List list14 = cMAESOptimizer12.getStatisticsSigmaHistory();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list14);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test370"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.0680027973133575d, (-0.7726359101024601d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test371"); }


    double[] d_array3 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 0.0d, false);
    java.lang.Object obj7 = pointValuePair6.getSecond();
    double[] d_array8 = pointValuePair6.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator14 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker18 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array21 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer22 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array21);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair25 = new org.apache.commons.math3.optimization.PointValuePair(d_array21, 10.0d, true);
    double[] d_array27 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair30 = new org.apache.commons.math3.optimization.PointValuePair(d_array27, 0.0d, false);
    java.lang.Object obj31 = pointValuePair30.getSecond();
    boolean b32 = simpleValueChecker18.converged(1, pointValuePair25, pointValuePair30);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer33 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array8, 0, 2.718281828459045d, true, 10, 0, randomGenerator14, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker18);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair36 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, Double.NaN, false);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair38 = new org.apache.commons.math3.optimization.PointValuePair(d_array8, 1.5573607112098176d);
    double[] d_array39 = pointValuePair38.getPoint();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer40 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-2147483648), d_array39);
    java.util.List list41 = cMAESOptimizer40.getStatisticsMeanHistory();
    int i42 = cMAESOptimizer40.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj7 + "' != '" + 0.0d+ "'", obj7.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj31 + "' != '" + 0.0d+ "'", obj31.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test372"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.49913895f, (-47));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.5465956E-15f);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test373"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.FUNCTION;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_MEAN;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException6 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array5);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException7 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, (java.lang.Number)(short)(-1), obj_array5);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array5);
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException12 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, (java.lang.Number)2.2250738585072014E-308d);
    boolean b13 = notPositiveException12.getBoundIsAllowed();
    java.lang.Number number14 = notPositiveException12.getMin();
    java.lang.Throwable[] throwable_array15 = notPositiveException12.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException8, localizable9, (java.lang.Object[])throwable_array15);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext17 = mathIllegalStateException8.getContext();
    java.lang.Throwable[] throwable_array18 = mathIllegalStateException8.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 0+ "'", number14.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test374"); }


    int i1 = org.apache.commons.math3.util.FastMath.round((-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test375"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.802265f, 0.802265f, 5200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test376"); }


    double[] d_array2 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 0.0d, false);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer6 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-5), d_array2);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair8 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 0.0d);
    double[] d_array9 = pointValuePair8.getPoint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test377"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)0);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = tooManyEvaluationsException1.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_INCREASING_NUMBER_OF_POINTS;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException5 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, (java.lang.Number)0.08241824201693815d);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException7 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)4206554034975648306L);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math3.exception.util.LocalizedFormats.OBSERVED_COUNTS_BOTTH_ZERO_FOR_ENTRY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException14 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, (java.lang.Number)(-1L), (java.lang.Number)0.8813735870195429d, false);
    java.lang.Throwable[] throwable_array15 = numberIsTooSmallException14.getSuppressed();
    java.lang.Object[] obj_array16 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array15);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats9, obj_array16);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notPositiveException7, (org.apache.commons.math3.exception.util.Localizable)localizedFormats8, obj_array16);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException1, (org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array16);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException22 = new org.apache.commons.math3.exception.DimensionMismatchException((-1014580284), 338087802);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math3.exception.util.LocalizedFormats.UNPARSEABLE_REAL_VECTOR;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException25 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats23, (java.lang.Number)0L);
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException29 = new org.apache.commons.math3.exception.OutOfRangeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats23, (java.lang.Number)0.761511811895975d, (java.lang.Number)0.16765036534441544d, (java.lang.Number)0.12607235382243653d);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats30 = org.apache.commons.math3.exception.util.LocalizedFormats.PERCENTILE_IMPLEMENTATION_UNSUPPORTED_METHOD;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats31 = org.apache.commons.math3.exception.util.LocalizedFormats.SCALE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats32 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_ELEMENT_AT_INDEX;
    java.lang.Object[] obj_array33 = new java.lang.Object[] { localizedFormats32 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException34 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats31, obj_array33);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext35 = mathArithmeticException34.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext36 = mathArithmeticException34.getContext();
    java.lang.Object obj38 = exceptionContext36.getValue("");
    java.lang.Object obj40 = exceptionContext36.getValue("org.apache.commons.math3.exception.MaxCountExceededException: illegal state: method not supported in dimension 100");
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats41 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_SIZES_SHOULD_HAVE_DIFFERENCE_1;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats42 = org.apache.commons.math3.exception.util.LocalizedFormats.COVARIANCE_MATRIX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats43 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array45 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException46 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats43, obj_array45);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException47 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats42, obj_array45);
    exceptionContext36.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats41, obj_array45);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException49 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats30, obj_array45);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException50 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)dimensionMismatchException22, (org.apache.commons.math3.exception.util.Localizable)localizedFormats23, obj_array45);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException51 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, obj_array45);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException54 = new org.apache.commons.math3.exception.DimensionMismatchException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, 49182197, (-475618837));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test378"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)(-0.7688412568142693d));

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test379"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(4.867408113382301d, 0.023328528165269646d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test380"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.ROW_INDEX_OUT_OF_RANGE;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)20.447857477346233d);
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = new org.apache.commons.math3.exception.util.ExceptionContext((java.lang.Throwable)notStrictlyPositiveException2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test381"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.05790034702616722d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.057835730997210504d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test382"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.016252620390376952d, 1.734723475976807E-18d, 242653419);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test383"); }


    double[] d_array3 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer4 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array3);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair7 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 10.0d, true);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair10 = new org.apache.commons.math3.optimization.PointValuePair(d_array3, 0.0d, true);
    int[] i_array17 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister18 = new org.apache.commons.math3.random.MersenneTwister(i_array17);
    long long19 = mersenneTwister18.nextLong();
    double d20 = mersenneTwister18.nextGaussian();
    double d21 = mersenneTwister18.nextGaussian();
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair28 = new org.apache.commons.math3.optimization.PointValuePair(d_array25, 0.0d, false);
    java.lang.Object obj29 = pointValuePair28.getSecond();
    double[] d_array30 = pointValuePair28.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator36 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker40 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array43 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer44 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array43);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair47 = new org.apache.commons.math3.optimization.PointValuePair(d_array43, 10.0d, true);
    double[] d_array49 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair52 = new org.apache.commons.math3.optimization.PointValuePair(d_array49, 0.0d, false);
    java.lang.Object obj53 = pointValuePair52.getSecond();
    boolean b54 = simpleValueChecker40.converged(1, pointValuePair47, pointValuePair52);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer55 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array30, 0, 2.718281828459045d, true, 10, 0, randomGenerator36, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker40);
    double d56 = simpleValueChecker40.getRelativeThreshold();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer57 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1014580284), d_array3, 10, (-0.5440211108893698d), true, (-655267105), 100, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister18, false, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker40);
    double[] d_array65 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer66 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array65);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister73 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer75 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array65, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister73, false);
    byte[] byte_array79 = new byte[] { (byte)0, (byte)(-1), (byte)(-1) };
    mersenneTwister73.nextBytes(byte_array79);
    long long81 = mersenneTwister73.nextLong();
    double d82 = mersenneTwister73.nextGaussian();
    mersenneTwister73.setSeed(402613113023623976L);
    mersenneTwister73.clear();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer87 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(655267105, d_array3, 0, 0.9999346490652955d, false, 10, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister73, true);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker88 = cMAESOptimizer87.getConvergenceChecker();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array89 = cMAESOptimizer87.getUpperBound();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 2478582838207141962L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.421885651896664d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == (-0.6008140850926206d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj29 + "' != '" + 0.0d+ "'", obj29.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj53 + "' != '" + 0.0d+ "'", obj53.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long81 == 8445897050863588844L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == (-0.5101594552843198d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker88);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test384"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.14547170942041737d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test385"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(30409061, 327741615);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test386"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(108.00272688554598d, 1.7724538509055159d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4019.4737937881937d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test387"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    int i4 = incrementor0.getCount();
    incrementor0.resetCount();
    incrementor0.resetCount();
    incrementor0.incrementCount((-1014580284));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test388"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(6.242912986704154E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 22.55471273535147d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test389"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(10.131447863133008d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.01121811646698d);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test390"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(1.0876620322151944d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.967328438096834d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test391"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(6.496782061140671d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4180725591887928d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test392"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsWithRelativeTolerance(0.27577835456922156d, 0.002509233903870841d, 0.5868886623511733d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test393"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.INPUT_DATA_FROM_UNSUPPORTED_DATASOURCE;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-0.6900760708753189d), number2, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test394"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.9555239904852991d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4148358619654426d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test395"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1452076054732987038L);
    int[] i_array3 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(i_array3);
    mersenneTwister1.setSeed(i_array3);
    double d6 = mersenneTwister1.nextGaussian();
    long long7 = mersenneTwister1.nextLong();
    int[] i_array9 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(i_array9);
    long long11 = mersenneTwister10.nextLong();
    int i12 = mersenneTwister10.nextInt();
    float f13 = mersenneTwister10.nextFloat();
    int[] i_array16 = new int[] { 100, 10 };
    mersenneTwister10.setSeed(i_array16);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister18 = new org.apache.commons.math3.random.MersenneTwister(i_array16);
    mersenneTwister1.setSeed(i_array16);
    int i20 = mersenneTwister1.nextInt();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.3822399771262705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == (-4357589138675350319L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 2478582838207141962L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-655267105));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f13 == 0.80226505f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1107206566));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test396"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(7.698503921204917d, 27.11787977326634d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.698503921204917d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test397"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)19L);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test398"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(100.0d, 0.9998039600078416d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.257371662528363E-5d));

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test399"); }


    double[] d_array2 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer3 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer12 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister10, false);
    int i13 = mersenneTwister10.nextInt();
    mersenneTwister10.setSeed(5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 338087802);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test400"); }


    double[] d_array2 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer3 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 10.0d, true);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair9 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 0.0d, true);
    int[] i_array16 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister17 = new org.apache.commons.math3.random.MersenneTwister(i_array16);
    long long18 = mersenneTwister17.nextLong();
    double d19 = mersenneTwister17.nextGaussian();
    double d20 = mersenneTwister17.nextGaussian();
    double[] d_array24 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair27 = new org.apache.commons.math3.optimization.PointValuePair(d_array24, 0.0d, false);
    java.lang.Object obj28 = pointValuePair27.getSecond();
    double[] d_array29 = pointValuePair27.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator35 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker39 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array42 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer43 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array42);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair46 = new org.apache.commons.math3.optimization.PointValuePair(d_array42, 10.0d, true);
    double[] d_array48 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair51 = new org.apache.commons.math3.optimization.PointValuePair(d_array48, 0.0d, false);
    java.lang.Object obj52 = pointValuePair51.getSecond();
    boolean b53 = simpleValueChecker39.converged(1, pointValuePair46, pointValuePair51);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer54 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array29, 0, 2.718281828459045d, true, 10, 0, randomGenerator35, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker39);
    double d55 = simpleValueChecker39.getRelativeThreshold();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer56 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1014580284), d_array2, 10, (-0.5440211108893698d), true, (-655267105), 100, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister17, false, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker39);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array57 = cMAESOptimizer56.getStartPoint();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 2478582838207141962L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.421885651896664d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == (-0.6008140850926206d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj28 + "' != '" + 0.0d+ "'", obj28.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj52 + "' != '" + 0.0d+ "'", obj52.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 10.0d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test401"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(54, 1930549411);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 54);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test402"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(1452076054732987038L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1452076054732987038L);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test403"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.1400098159131415d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test404"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.5696768105363728d, 0.006420183186241809d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5696768105363728d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test405"); }


    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker2 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.5607966601082315d, 5730.0d);
    double[] d_array4 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair6 = new org.apache.commons.math3.optimization.PointValuePair(d_array4, (-0.37480524448791047d));
    double[] d_array7 = pointValuePair6.getPoint();
    double[] d_array9 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair12 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException13 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b14 = pointValuePair12.equals((java.lang.Object)mathUnsupportedOperationException13);
    java.lang.Object obj15 = pointValuePair12.getValue();
    boolean b16 = simpleValueChecker2.converged(25022203, pointValuePair6, pointValuePair12);
    double d17 = simpleValueChecker2.getRelativeThreshold();
    double d18 = simpleValueChecker2.getRelativeThreshold();
    double d19 = simpleValueChecker2.getRelativeThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj15 + "' != '" + 0.0d+ "'", obj15.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.5607966601082315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.5607966601082315d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test406"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)0.09628704824115093d);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0.09628704824115093d+ "'", number2.equals(0.09628704824115093d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test407"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.LCM_OVERFLOW_32_BITS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException4 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array3);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = mathUnsupportedOperationException4.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = mathUnsupportedOperationException4.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = mathUnsupportedOperationException4.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math3.exception.util.LocalizedFormats.INSUFFICIENT_ROWS_AND_COLUMNS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats9 = org.apache.commons.math3.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_MEAN;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException16 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats13, obj_array15);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, (java.lang.Number)(short)(-1), obj_array15);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats10, obj_array15);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException19 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats9, obj_array15);
    exceptionContext7.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats8, obj_array15);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array15);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext22 = mathArithmeticException21.getContext();
    java.util.Set set23 = exceptionContext22.getKeys();
    org.apache.commons.math3.exception.util.Localizable localizable24 = null;
    java.lang.Object[] obj_array25 = null;
    exceptionContext22.addMessage(localizable24, obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set23);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test408"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor((-1882960991), maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test409"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-3.684118982105744E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-6.430000627296729E-18d));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test410"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals((-99.999954f), 3.5527137E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test411"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.INSUFFICIENT_OBSERVED_POINTS_IN_SAMPLE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.UNABLE_TO_FIRST_GUESS_HARMONIC_COEFFICIENTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException5 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, obj_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = mathUnsupportedOperationException5.getContext();
    java.lang.Throwable throwable7 = exceptionContext6.getThrowable();
    java.lang.Throwable[] throwable_array8 = throwable7.getSuppressed();
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, (java.lang.Object[])throwable_array8);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = mathArithmeticException9.getContext();
    java.lang.Throwable throwable11 = exceptionContext10.getThrowable();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.EMPTY_SELECTED_COLUMN_INDEX_ARRAY;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats13 = org.apache.commons.math3.exception.util.LocalizedFormats.CANNOT_NORMALIZE_A_ZERO_NORM_VECTOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats14 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array16 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException17 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats14, obj_array16);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext18 = mathUnsupportedOperationException17.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext19 = mathUnsupportedOperationException17.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext20 = mathUnsupportedOperationException17.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats21 = org.apache.commons.math3.exception.util.LocalizedFormats.INSUFFICIENT_ROWS_AND_COLUMNS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats22 = org.apache.commons.math3.exception.util.LocalizedFormats.MAP_MODIFIED_WHILE_ITERATING;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats23 = org.apache.commons.math3.exception.util.LocalizedFormats.SAME_SIGN_AT_ENDPOINTS;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats24 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_MEAN;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats26 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array28 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException29 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats26, obj_array28);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException30 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats24, (java.lang.Number)(short)(-1), obj_array28);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException31 = new org.apache.commons.math3.exception.MathArithmeticException((org.apache.commons.math3.exception.util.Localizable)localizedFormats23, obj_array28);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException32 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats22, obj_array28);
    exceptionContext20.addMessage((org.apache.commons.math3.exception.util.Localizable)localizedFormats21, obj_array28);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException34 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats13, obj_array28);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException35 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable11, (org.apache.commons.math3.exception.util.Localizable)localizedFormats12, obj_array28);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, obj_array28);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException40 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.9957129102214886d, (java.lang.Number)0.0787171f, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test412"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_ZERO_LENGTH_OR_NULL_NOT_ALLOWED;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.6947506487576603d, (java.lang.Number)8.653470809708786d, true);
    java.lang.Throwable throwable5 = null;
    // The following exception was thrown during execution in test generation
    try {
      numberIsTooSmallException4.addSuppressed(throwable5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test413"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9801980198019802d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test414"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.025676021633806948d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4711276743037347d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test415"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(100.00736613927508d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test416"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(0.0f, 8.881784E-16f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test417"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test418"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array1, 10.0d, true);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair8 = new org.apache.commons.math3.optimization.PointValuePair(d_array1, 0.0d, true);
    java.lang.Object obj9 = pointValuePair8.getSecond();
    org.apache.commons.math3.util.Pair pair10 = new org.apache.commons.math3.util.Pair((org.apache.commons.math3.util.Pair)pointValuePair8);
    java.lang.Object obj11 = pair10.getSecond();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj9 + "' != '" + 0.0d+ "'", obj9.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj11 + "' != '" + 0.0d+ "'", obj11.equals(0.0d));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test419"); }


    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer1 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-47));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test420"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException(number0, (java.lang.Number)99.99999999999999d, true);
    java.lang.Number number4 = numberIsTooLargeException3.getMax();
    boolean b5 = numberIsTooLargeException3.getBoundIsAllowed();
    java.lang.Number number6 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 99.99999999999999d+ "'", number4.equals(99.99999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 99.99999999999999d+ "'", number6.equals(99.99999999999999d));

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test421"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(2.980232E-8f, 0.13436413f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.13436413f);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test422"); }


    double[] d_array4 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair7 = new org.apache.commons.math3.optimization.PointValuePair(d_array4, 0.0d, false);
    java.lang.Object obj8 = pointValuePair7.getSecond();
    double[] d_array9 = pointValuePair7.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator15 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker19 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array22 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer23 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array22);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair26 = new org.apache.commons.math3.optimization.PointValuePair(d_array22, 10.0d, true);
    double[] d_array28 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair31 = new org.apache.commons.math3.optimization.PointValuePair(d_array28, 0.0d, false);
    java.lang.Object obj32 = pointValuePair31.getSecond();
    boolean b33 = simpleValueChecker19.converged(1, pointValuePair26, pointValuePair31);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer34 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array9, 0, 2.718281828459045d, true, 10, 0, randomGenerator15, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker19);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair37 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, Double.NaN, false);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair39 = new org.apache.commons.math3.optimization.PointValuePair(d_array9, 1.5573607112098176d);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer40 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(338087802, d_array9);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer41 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(1882960991, d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj8 + "' != '" + 0.0d+ "'", obj8.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj32 + "' != '" + 0.0d+ "'", obj32.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test423"); }


    double[] d_array1 = null;
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1014580284), d_array1);
    java.util.List list3 = cMAESOptimizer2.getStatisticsSigmaHistory();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker4 = cMAESOptimizer2.getConvergenceChecker();
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction6 = null;
    org.apache.commons.math3.optimization.GoalType goalType7 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker10 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double d11 = simpleValueChecker10.getAbsoluteThreshold();
    double d12 = simpleValueChecker10.getAbsoluteThreshold();
    double[] d_array15 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer16 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array15);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair19 = new org.apache.commons.math3.optimization.PointValuePair(d_array15, 10.0d, true);
    double[] d_array20 = pointValuePair19.getPointRef();
    java.lang.Object obj21 = pointValuePair19.getSecond();
    double[] d_array25 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair28 = new org.apache.commons.math3.optimization.PointValuePair(d_array25, 0.0d, false);
    java.lang.Object obj29 = pointValuePair28.getSecond();
    double[] d_array30 = pointValuePair28.getPointRef();
    org.apache.commons.math3.random.RandomGenerator randomGenerator36 = null;
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker40 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array43 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer44 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array43);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair47 = new org.apache.commons.math3.optimization.PointValuePair(d_array43, 10.0d, true);
    double[] d_array49 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair52 = new org.apache.commons.math3.optimization.PointValuePair(d_array49, 0.0d, false);
    java.lang.Object obj53 = pointValuePair52.getSecond();
    boolean b54 = simpleValueChecker40.converged(1, pointValuePair47, pointValuePair52);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer55 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(10, d_array30, 0, 2.718281828459045d, true, 10, 0, randomGenerator36, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker40);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair57 = new org.apache.commons.math3.optimization.PointValuePair(d_array30, 1.9179488867871778E-9d);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair59 = new org.apache.commons.math3.optimization.PointValuePair(d_array30, 0.9999999999999999d);
    double[] d_array60 = pointValuePair59.getPoint();
    double[] d_array68 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer69 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array68);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister76 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer78 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array68, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister76, false);
    int i79 = mersenneTwister76.nextInt();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer81 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(4, d_array60, 25022203, 1.4436354751788103d, true, (-1), 30000, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister76, false);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair84 = new org.apache.commons.math3.optimization.PointValuePair(d_array60, 2.4081368686151228d, false);
    boolean b85 = simpleValueChecker10.converged(1009701827, pointValuePair19, pointValuePair84);
    java.lang.Object obj86 = pointValuePair84.getFirst();
    java.lang.Object obj87 = pointValuePair84.getFirst();
    double[] d_array88 = pointValuePair84.getPointRef();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair89 = cMAESOptimizer2.optimize(0, multivariateFunction6, goalType7, d_array88);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj21 + "' != '" + 10.0d+ "'", obj21.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj29 + "' != '" + 0.0d+ "'", obj29.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj53 + "' != '" + 0.0d+ "'", obj53.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i79 == 338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test424"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    int i1 = incrementor0.getMaximalCount();
    int i2 = incrementor0.getCount();
    incrementor0.incrementCount((-1));
    boolean b5 = incrementor0.canIncrement();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount(877132);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test425"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-3052851576851628662L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 3052851576851628662L);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test426"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.009060749780624126d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.009060997746860425d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test427"); }


    double[] d_array1 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer2 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array1);
    org.apache.commons.math3.optimization.GoalType goalType3 = cMAESOptimizer2.getGoalType();
    int i4 = cMAESOptimizer2.getMaxEvaluations();
    java.util.List list5 = cMAESOptimizer2.getStatisticsSigmaHistory();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker6 = cMAESOptimizer2.getConvergenceChecker();
    int i7 = cMAESOptimizer2.getMaxEvaluations();
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction9 = null;
    org.apache.commons.math3.optimization.GoalType goalType10 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister23 = new org.apache.commons.math3.random.MersenneTwister(8445897050863588844L);
    boolean b24 = mersenneTwister23.nextBoolean();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer26 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(93740670, d_array16, 0, 0.8022650594081673d, false, 338087802, (-1014580284), (org.apache.commons.math3.random.RandomGenerator)mersenneTwister23, false);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer27 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(1259122480, d_array16);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair29 = new org.apache.commons.math3.optimization.PointValuePair(d_array16, 0.15739600582033475d);
    double[] d_array37 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer38 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array37);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister45 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer47 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array37, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister45, false);
    int i48 = mersenneTwister45.nextInt();
    long long49 = mersenneTwister45.nextLong();
    double d50 = mersenneTwister45.nextGaussian();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException53 = new org.apache.commons.math3.exception.DimensionMismatchException(0, 0);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext54 = dimensionMismatchException53.getContext();
    java.util.Set set55 = exceptionContext54.getKeys();
    java.lang.Throwable throwable56 = exceptionContext54.getThrowable();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister59 = new org.apache.commons.math3.random.MersenneTwister(100L);
    int[] i_array61 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister62 = new org.apache.commons.math3.random.MersenneTwister(i_array61);
    mersenneTwister59.setSeed(i_array61);
    exceptionContext54.setValue("zero denominator in fraction {0}/{1}", (java.lang.Object)i_array61);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister65 = new org.apache.commons.math3.random.MersenneTwister(i_array61);
    mersenneTwister45.setSeed(i_array61);
    double d67 = mersenneTwister45.nextDouble();
    mersenneTwister45.clear();
    mersenneTwister45.clear();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer71 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1817558105), d_array16, 0, 6.775827843501122E9d, true, 0, (-475618837), (org.apache.commons.math3.random.RandomGenerator)mersenneTwister45, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair72 = cMAESOptimizer2.optimize(0, multivariateFunction9, goalType10, d_array16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 338087802);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long49 == 8445897050863588844L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == (-0.5101594552843198d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.13436424090271992d);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test428"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(100.00736613927508d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5730.0d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test429"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.31495636285343115d, (-0.041090890495003904d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.31495636285343115d));

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test430"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.7567276f, 0.11791862f, 0.021825671f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test431"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.084306098356293d, 0.293199929595482d, 2133986319);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test432"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.5868885f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.58688855f);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test433"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.07869800291016738d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.07869800291016739d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test434"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(3219033915453980972L, (-5253828890213626688L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3219033915453980972L);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test435"); }


    double[] d_array3 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer4 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array3);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister11 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer13 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array3, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister11, false);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister20 = new org.apache.commons.math3.random.MersenneTwister(0);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker24 = new org.apache.commons.math3.optimization.SimpleValueChecker(0.9999097434746644d, 0.0d);
    double d25 = simpleValueChecker24.getRelativeThreshold();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer26 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-1023), d_array3, 12, 1.4810552260868695d, false, 1937831252, 25022203, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister20, true, (org.apache.commons.math3.optimization.ConvergenceChecker)simpleValueChecker24);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker30 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.5607966601082315d, 5730.0d);
    double[] d_array32 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair34 = new org.apache.commons.math3.optimization.PointValuePair(d_array32, (-0.37480524448791047d));
    double[] d_array35 = pointValuePair34.getPoint();
    double[] d_array37 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair40 = new org.apache.commons.math3.optimization.PointValuePair(d_array37, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException41 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b42 = pointValuePair40.equals((java.lang.Object)mathUnsupportedOperationException41);
    java.lang.Object obj43 = pointValuePair40.getValue();
    boolean b44 = simpleValueChecker30.converged(25022203, pointValuePair34, pointValuePair40);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker47 = new org.apache.commons.math3.optimization.SimpleValueChecker(1.4919351469368358d, 4.641588833612778d);
    double[] d_array50 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair53 = new org.apache.commons.math3.optimization.PointValuePair(d_array50, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException54 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b55 = pointValuePair53.equals((java.lang.Object)mathUnsupportedOperationException54);
    double[] d_array57 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer58 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array57);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair61 = new org.apache.commons.math3.optimization.PointValuePair(d_array57, 10.0d, true);
    double[] d_array62 = pointValuePair61.getPointRef();
    java.lang.Object obj63 = pointValuePair61.getKey();
    boolean b64 = simpleValueChecker47.converged(1, pointValuePair53, pointValuePair61);
    boolean b65 = simpleValueChecker24.converged(30000, pointValuePair34, pointValuePair53);
    org.apache.commons.math3.optimization.SimpleValueChecker simpleValueChecker69 = new org.apache.commons.math3.optimization.SimpleValueChecker(10.0d, 1.0d);
    double[] d_array72 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer73 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array72);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair76 = new org.apache.commons.math3.optimization.PointValuePair(d_array72, 10.0d, true);
    double[] d_array78 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair81 = new org.apache.commons.math3.optimization.PointValuePair(d_array78, 0.0d, false);
    java.lang.Object obj82 = pointValuePair81.getSecond();
    boolean b83 = simpleValueChecker69.converged(1, pointValuePair76, pointValuePair81);
    java.lang.Object obj84 = pointValuePair81.getKey();
    double[] d_array86 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer87 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array86);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair90 = new org.apache.commons.math3.optimization.PointValuePair(d_array86, 10.0d, true);
    double[] d_array91 = pointValuePair90.getPointRef();
    java.lang.Object obj92 = pointValuePair90.getFirst();
    double[] d_array93 = pointValuePair90.getPoint();
    boolean b94 = simpleValueChecker24.converged((-1937831252), pointValuePair81, pointValuePair90);
    double d95 = simpleValueChecker24.getRelativeThreshold();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.9999097434746644d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj43 + "' != '" + 0.0d+ "'", obj43.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + obj82 + "' != '" + 0.0d+ "'", obj82.equals(0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 0.9999097434746644d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test436"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.0876620322151944d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7960232292974703d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test437"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(30000);
    incrementor1.resetCount();

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test438"); }


    double[] d_array0 = null;
    org.apache.commons.math3.optimization.PointValuePair pointValuePair2 = new org.apache.commons.math3.optimization.PointValuePair(d_array0, 0.0d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test439"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.VECTOR_MUST_HAVE_AT_LEAST_ONE_ELEMENT;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.9179488867871778E-9d, (java.lang.Number)0.0f, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    java.lang.Number number6 = numberIsTooLargeException4.getMax();
    boolean b7 = numberIsTooLargeException4.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = numberIsTooLargeException4.getContext();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats10 = org.apache.commons.math3.exception.util.LocalizedFormats.ARITHMETIC_EXCEPTION;
    exceptionContext8.setValue("unable to solve: singular problem", (java.lang.Object)localizedFormats10);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats12 = org.apache.commons.math3.exception.util.LocalizedFormats.ARRAY_SIZES_SHOULD_HAVE_DIFFERENCE_1;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException16 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats12, (java.lang.Number)0.8248501627407815d, (java.lang.Number)2.363225625965787d, false);
    org.apache.commons.math3.util.Pair pair17 = new org.apache.commons.math3.util.Pair((java.lang.Object)"unable to solve: singular problem", (java.lang.Object)numberIsTooSmallException16);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext18 = new org.apache.commons.math3.exception.util.ExceptionContext((java.lang.Throwable)numberIsTooSmallException16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.0f+ "'", number6.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats12);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test440"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(0.039358564f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.7252903E-9f);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test441"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.7567f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.75670004f);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test442"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-0.3721043051605049d), 0.4375080521822572d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3721043051605049d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test443"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(0L, 5235514316520443466L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test444"); }


    double[] d_array2 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer3 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer12 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister10, false);
    byte[] byte_array16 = new byte[] { (byte)0, (byte)(-1), (byte)(-1) };
    mersenneTwister10.nextBytes(byte_array16);
    long long18 = mersenneTwister10.nextLong();
    double d19 = mersenneTwister10.nextGaussian();
    mersenneTwister10.setSeed(402613113023623976L);
    float f22 = mersenneTwister10.nextFloat();
    int i23 = mersenneTwister10.nextInt();
    mersenneTwister10.setSeed(53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 8445897050863588844L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == (-0.5101594552843198d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f22 == 0.7291144f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == (-1882960991));

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test445"); }


    double[] d_array2 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 0.0d, false);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException6 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    boolean b7 = pointValuePair5.equals((java.lang.Object)mathUnsupportedOperationException6);
    org.apache.commons.math3.util.Pair pair8 = new org.apache.commons.math3.util.Pair((org.apache.commons.math3.util.Pair)pointValuePair5);
    double[] d_array9 = pointValuePair5.getPoint();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer10 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(100, d_array9);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker11 = cMAESOptimizer10.getConvergenceChecker();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = cMAESOptimizer10.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker12);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test446"); }


    double[] d_array2 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer3 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister10 = new org.apache.commons.math3.random.MersenneTwister(100L);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer12 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array2, 100, 2.302585092994046d, true, 100, 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister10, false);
    java.util.List list13 = cMAESOptimizer12.getStatisticsDHistory();
    java.util.List list14 = cMAESOptimizer12.getStatisticsSigmaHistory();
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction16 = null;
    org.apache.commons.math3.optimization.GoalType goalType17 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister29 = new org.apache.commons.math3.random.MersenneTwister(8445897050863588844L);
    boolean b30 = mersenneTwister29.nextBoolean();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer32 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(93740670, d_array22, 0, 0.8022650594081673d, false, 338087802, (-1014580284), (org.apache.commons.math3.random.RandomGenerator)mersenneTwister29, false);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair34 = new org.apache.commons.math3.optimization.PointValuePair(d_array22, 1.4711276743037347d);
    int[] i_array41 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister42 = new org.apache.commons.math3.random.MersenneTwister(i_array41);
    double d43 = mersenneTwister42.nextDouble();
    double d44 = mersenneTwister42.nextDouble();
    mersenneTwister42.clear();
    boolean b46 = mersenneTwister42.nextBoolean();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer48 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(1009701827, d_array22, 4, 10.0d, true, 93740670, (-1014580284), (org.apache.commons.math3.random.RandomGenerator)mersenneTwister42, false);
    org.apache.commons.math3.optimization.PointValuePair pointValuePair50 = new org.apache.commons.math3.optimization.PointValuePair(d_array22, 79412.28827820117d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.PointValuePair pointValuePair51 = cMAESOptimizer12.optimize((-1861503219), multivariateFunction16, goalType17, d_array22);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(list14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.13436424090271992d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.8474337429145731d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test447"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.4711276743037347d, (java.lang.Number)1.4142135623730951d, false);
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException7 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)57.295779513082316d, (java.lang.Number)9.346544323973411d, (java.lang.Number)0.7344359933146324d);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats8 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_POPULATION_SIZE;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException12 = new org.apache.commons.math3.exception.OutOfRangeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats8, (java.lang.Number)(byte)0, (java.lang.Number)0.9999097435d, (java.lang.Number)0.942795626548638d);
    outOfRangeException7.addSuppressed((java.lang.Throwable)outOfRangeException12);
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)outOfRangeException7);
    java.lang.Number number15 = outOfRangeException7.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 57.295779513082316d+ "'", number15.equals(57.295779513082316d));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test448"); }


    double[] d_array2 = new double[] { 1.0d };
    org.apache.commons.math3.optimization.PointValuePair pointValuePair5 = new org.apache.commons.math3.optimization.PointValuePair(d_array2, 0.0d, false);
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer6 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer((-5), d_array2);
    int i7 = cMAESOptimizer6.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test449"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.16809575539349206d, 1.140935385239593d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test450"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round((-0.5558230062359745d), 2133986319, 143);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test451"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.COVARIANCE_MATRIX;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)0.8852024f);
    java.lang.Throwable[] throwable_array3 = notPositiveException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test452"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException(localizable0, (java.lang.Number)1.6094379124341003d, (java.lang.Number)4755415987172432967L, (java.lang.Number)0.4094512978907448d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test453"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0f, 0.8414222155717919d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test454"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.33503619695926856d, (-0.6201114261699797d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.33503619695926856d));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test455"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(8445897050863588844L);
    int i2 = mersenneTwister1.nextInt();
    mersenneTwister1.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1079834169));

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test456"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.SIGNIFICANCE_LEVEL;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-0.015551514853003462d), (java.lang.Number)43, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test457"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.VECTOR_MUST_HAVE_AT_LEAST_ONE_ELEMENT;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)1.9179488867871778E-9d, (java.lang.Number)0.0f, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    java.lang.Number number6 = numberIsTooLargeException4.getMax();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math3.exception.util.LocalizedFormats.MAX_ITERATIONS_EXCEEDED;
    java.lang.String str8 = localizedFormats7.getSourceString();
    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException10 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)1.4711276743037347d);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException14 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, obj_array13);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats16 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException19 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats16, obj_array18);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException20 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, (java.lang.Number)100.0d, obj_array18);
    tooManyEvaluationsException10.addSuppressed((java.lang.Throwable)maxCountExceededException20);
    java.lang.Number number22 = maxCountExceededException20.getMax();
    java.lang.Object[] obj_array23 = new java.lang.Object[] { number22 };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException24 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooLargeException4, (org.apache.commons.math3.exception.util.Localizable)localizedFormats7, obj_array23);
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException28 = new org.apache.commons.math3.exception.OutOfRangeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats7, (java.lang.Number)(-872117295892591670L), (java.lang.Number)(-655267105), (java.lang.Number)0.4688562f);
    java.lang.Number number29 = outOfRangeException28.getLo();
    java.lang.Number number30 = outOfRangeException28.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.0f+ "'", number6.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "maximal number of iterations ({0}) exceeded"+ "'", str8.equals("maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + 100.0d+ "'", number22.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number29 + "' != '" + (-655267105)+ "'", number29.equals((-655267105)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number30 + "' != '" + (-655267105)+ "'", number30.equals((-655267105)));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test458"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test459"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.7718911237718805d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.1638545035639067d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test460"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.06077219739100021d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.8006228743475723d));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test461"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-3.4028235E38f), 867.7721f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test462"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(53, 127);
    java.lang.Throwable[] throwable_array3 = dimensionMismatchException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test463"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.TOO_LARGE_CUTOFF_SINGULAR_VALUE;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.FUNCTION;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats2 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_MEAN;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException7 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, obj_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException((org.apache.commons.math3.exception.util.Localizable)localizedFormats2, (java.lang.Number)(short)(-1), obj_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, obj_array6);
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats11 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SAMPLE_SIZE;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException13 = new org.apache.commons.math3.exception.NotPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats11, (java.lang.Number)2.2250738585072014E-308d);
    boolean b14 = notPositiveException13.getBoundIsAllowed();
    java.lang.Number number15 = notPositiveException13.getMin();
    java.lang.Throwable[] throwable_array16 = notPositiveException13.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException9, localizable10, (java.lang.Object[])throwable_array16);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Object[])throwable_array16);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException22 = new org.apache.commons.math3.exception.NumberIsTooLargeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)8.653397151028901d, (java.lang.Number)1.9999999999999998d, false);
    boolean b23 = numberIsTooLargeException22.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 0+ "'", number15.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test464"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)522.7352996704365d, (java.lang.Number)0.8591993235416349d, false);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test465"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(2.2645114375808335d, 0.44914815431898303d, 6.296254784459701E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test466"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)31.216456779783737d, (java.lang.Number)(-0.7990402319777286d), (java.lang.Number)33526.426068629255d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = new org.apache.commons.math3.exception.util.ExceptionContext((java.lang.Throwable)outOfRangeException3);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test467"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.9552644149753684d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test468"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.9000001f, 0.0f, 25022203);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test469"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-0.48564067996642346d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6648331915467565d));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test470"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.07871711f, 5.298292365610485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.07871712f);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test471"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.47224525f, (-4.267140870520531d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.47224522f);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test472"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.EVALUATIONS;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)(-1L), (java.lang.Number)0.8813735870195429d, false);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    java.lang.Object[] obj_array6 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.math3.exception.util.ArgUtils.flatten((java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test473"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.7131422144684201d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.893426263671092d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test474"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)0.5928446f, (java.lang.Number)(-0.26995750485404135d), false);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test475"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.3783638f, 2.9802326E-8f, (-0.078717105f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test476"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.9848233860826024d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7777519827546713d));

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test477"); }


    int[] i_array1 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister2 = new org.apache.commons.math3.random.MersenneTwister(i_array1);
    long long3 = mersenneTwister2.nextLong();
    int i4 = mersenneTwister2.nextInt();
    mersenneTwister2.clear();
    int i6 = mersenneTwister2.nextInt();
    int i7 = mersenneTwister2.nextInt();
    mersenneTwister2.setSeed(1937831252);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 2478582838207141962L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-655267105));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-849265104));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1014580284));

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test478"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.42451748f, (-0.3073748887138923d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.42451745f);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test479"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.175183713145797d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test480"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(2864.789062920583d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 11);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test481"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)0.08808955617933069d);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test482"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-3.43597363E10f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.43597363E10f);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test483"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_POSITIVE_DEFINITE_OPERATOR;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats1 = org.apache.commons.math3.exception.util.LocalizedFormats.INVALID_INTERVAL_INITIAL_VALUE_PARAMETERS;
    java.lang.String str2 = localizedFormats1.getSourceString();
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats3 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_SCALE;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats6 = org.apache.commons.math3.exception.util.LocalizedFormats.NON_SQUARE_MATRIX;
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats7 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_SUPPORTED_IN_DIMENSION_N;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 0.0f };
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException10 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats7, obj_array9);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = mathUnsupportedOperationException10.getContext();
    java.lang.Throwable throwable12 = exceptionContext11.getThrowable();
    java.lang.Throwable[] throwable_array13 = throwable12.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException((org.apache.commons.math3.exception.util.Localizable)localizedFormats6, (java.lang.Object[])throwable_array13);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math3.exception.MathArithmeticException(localizable5, (java.lang.Object[])throwable_array13);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException16 = new org.apache.commons.math3.exception.MathUnsupportedOperationException(localizable4, (java.lang.Object[])throwable_array13);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException17 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats3, (java.lang.Object[])throwable_array13);
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException18 = new org.apache.commons.math3.exception.MathUnsupportedOperationException((org.apache.commons.math3.exception.util.Localizable)localizedFormats1, (java.lang.Object[])throwable_array13);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math3.exception.MathIllegalStateException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Object[])throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "invalid interval, initial value parameters:  lower={0}, initial={1}, upper={2}"+ "'", str2.equals("invalid interval, initial value parameters:  lower={0}, initial={1}, upper={2}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test484"); }


    float f3 = org.apache.commons.math3.util.Precision.round(0.078717135f, 30000, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f3, Float.NaN, 0);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test485"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-99.99998f), 0.75670004f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test486"); }


    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats0 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_POPULATION_SIZE;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)(byte)0, (java.lang.Number)0.9999097435d, (java.lang.Number)0.942795626548638d);
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException6 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)2.6680729211090126d);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException10 = new org.apache.commons.math3.exception.NumberIsTooSmallException((org.apache.commons.math3.exception.util.Localizable)localizedFormats0, (java.lang.Number)2.2305876242860343d, (java.lang.Number)0.026107757760092106d, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats0);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test487"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)57.295779513082316d, (java.lang.Number)9.346544323973411d, (java.lang.Number)0.7344359933146324d);
    org.apache.commons.math3.exception.util.LocalizedFormats localizedFormats4 = org.apache.commons.math3.exception.util.LocalizedFormats.NOT_POSITIVE_POPULATION_SIZE;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException8 = new org.apache.commons.math3.exception.OutOfRangeException((org.apache.commons.math3.exception.util.Localizable)localizedFormats4, (java.lang.Number)(byte)0, (java.lang.Number)0.9999097435d, (java.lang.Number)0.942795626548638d);
    outOfRangeException3.addSuppressed((java.lang.Throwable)outOfRangeException8);
    java.lang.Number number10 = outOfRangeException3.getHi();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = outOfRangeException3.getContext();
    org.apache.commons.math3.exception.MathUnsupportedOperationException mathUnsupportedOperationException12 = new org.apache.commons.math3.exception.MathUnsupportedOperationException();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext13 = mathUnsupportedOperationException12.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext14 = mathUnsupportedOperationException12.getContext();
    outOfRangeException3.addSuppressed((java.lang.Throwable)mathUnsupportedOperationException12);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext16 = mathUnsupportedOperationException12.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(localizedFormats4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 0.7344359933146324d+ "'", number10.equals(0.7344359933146324d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext16);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test488"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(100L);
    int[] i_array3 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister4 = new org.apache.commons.math3.random.MersenneTwister(i_array3);
    mersenneTwister1.setSeed(i_array3);
    boolean b6 = mersenneTwister1.nextBoolean();
    double[] d_array9 = new double[] { 10.0d };
    int[] i_array16 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister17 = new org.apache.commons.math3.random.MersenneTwister(i_array16);
    byte[] byte_array21 = new byte[] { (byte)100, (byte)0, (byte)10 };
    mersenneTwister17.nextBytes(byte_array21);
    double[] d_array25 = new double[] {  };
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer26 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(0, d_array25);
    org.apache.commons.math3.optimization.GoalType goalType27 = cMAESOptimizer26.getGoalType();
    int i28 = cMAESOptimizer26.getMaxEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker29 = cMAESOptimizer26.getConvergenceChecker();
    org.apache.commons.math3.optimization.direct.CMAESOptimizer cMAESOptimizer30 = new org.apache.commons.math3.optimization.direct.CMAESOptimizer(30000, d_array9, 0, 0.0d, false, (-127), 0, (org.apache.commons.math3.random.RandomGenerator)mersenneTwister17, false, convergenceChecker29);
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException33 = new org.apache.commons.math3.exception.DimensionMismatchException(0, 0);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext34 = dimensionMismatchException33.getContext();
    java.util.Set set35 = exceptionContext34.getKeys();
    java.lang.Throwable throwable36 = exceptionContext34.getThrowable();
    org.apache.commons.math3.random.MersenneTwister mersenneTwister39 = new org.apache.commons.math3.random.MersenneTwister(100L);
    int[] i_array41 = new int[] { 1 };
    org.apache.commons.math3.random.MersenneTwister mersenneTwister42 = new org.apache.commons.math3.random.MersenneTwister(i_array41);
    mersenneTwister39.setSeed(i_array41);
    exceptionContext34.setValue("zero denominator in fraction {0}/{1}", (java.lang.Object)i_array41);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister45 = new org.apache.commons.math3.random.MersenneTwister(i_array41);
    mersenneTwister17.setSeed(i_array41);
    mersenneTwister1.setSeed(i_array41);
    org.apache.commons.math3.random.MersenneTwister mersenneTwister48 = new org.apache.commons.math3.random.MersenneTwister(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(convergenceChecker29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(set35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test489"); }


    org.apache.commons.math3.random.MersenneTwister mersenneTwister1 = new org.apache.commons.math3.random.MersenneTwister(1);
    int i3 = mersenneTwister1.nextInt(27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 15);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test490"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(14.457941663404105d, 44.866459607289386d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test491"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(100.00001f, 0.0f, (-1817558105));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test492"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(2.1344245311225736d, (-16.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.1344245311225736d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test493"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.8022650594081673d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.339449991687876d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test494"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.5735999905130874d, (-11.528862716314247d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test495"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.866531296165219d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9308766277897512d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test496"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(9139164271367581508L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 9139164271367581508L);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test497"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.000001f, 0.9f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test498"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.016385412657179226d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9998657621294355d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test499"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.3783638f, 0.49913895f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test500"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.06435764989580653d, number1, false);

  }

}
